<?php
  session_start();
  
  require_once("funkce.php");
  
  //nastaveni pole pro vyhledavani
  $searchExterni = '<input name="search_externi" value="" type="text" />';
  //nastevni popisku tlacitka vyhledavani
  $tlacitkoVyhledat = "Vyhledat konferenci";
  //nastaveni zacatku a konce vyhledavaciho formulare
  $formHledaniZacatek = "<form action=\"index.php\" method=\"post\">";
  $formHledaniKonec = "</form>";
  
  //nastaveni odkazu prihlasit/odhlasit
  $prihlaseni = loginLogout();
  
  //pro zjisteni, ktere polozky menu se maji zobrazit 
  $muzeSpravovatUzivatele = muzeSpravovatUzivatele();
  $muzeSpravovatTemata= muzeSpravovatTemata();
  
  $nadpis = "Editovat téma";
  
  $tlacitko_submit = "Uložit téma";
  
  $akce_vytvorit_nebo_editovat = "editace_tematu.php";
  
  $editace_poznamka = "<p><i>Poznámka:<br />Přesunete-li téma (změnou nadřazeného tématu), budou upraveny záznamy u konferencí, které do přesouvaného tématu patří, a to tak, že tyto konference budou nově zařazeny i do témat nově nadřazených editovanému tématu.</i></p>";
  
  $chyba = $nazev = $zkratka = $info = $onload = $temata_radio = "";
  
  if (prihlasen()) {
    if (muzeSpravovatTemata()) {
      //rezim editace konference
      if (isset($_GET["id"]) && is_numeric($_GET["id"]) && ($_GET["id"] > 0)) {
        $id = $_GET["id"];
        $akce_vytvorit_nebo_editovat = "editace_tematu.php?id=$id";
        if (mysql_num_rows($dotaz = query("SELECT nazev, menu_zkr, id_rodice FROM tema WHERE id_tema=$id LIMIT 1"))==1) {
          $radek = mysql_fetch_array($dotaz);
          //pokud byl jiz formular odeslan, nactou se odesilana data
          if (isset($_POST["nazev"]) && isset($_POST["menu_zkr"]) && isset($_POST["radio_temata"])) {
            $nazev = htmlspecialchars($_POST["nazev"]);
            $zkratka = htmlspecialchars($_POST["menu_zkr"]);
            $chyba = "<h3 style=\"color: red;\">Formulář nebylo možné odeslat, protože byly zjištěny následují chyby:</h3>";
            $e = 0;
            if (strlen($_POST["nazev"]) < 3) {
              $e++;
              $chyba .= "<p>Pole názvu je příliš krátké (musí mít minimálně 3 znaky).</p>";
            }
            if (strlen($_POST["menu_zkr"]) < 2) {
              $e++;
              $chyba .= "<p>Pole zkratky názvu tématu je příliš krátké (musí mít minimálně 2 znaky).</p>";
            }
            
            overVybraniPotomka($id);
            
            if ($_POST["radio_temata"] == $id) {
              $e++;
              $chyba .= "<p>Jako rodičovské téma nelze vybrat editované téma (téma nemůže být rodičem samo sebe).</p>";
            }
            
            if ($e == 0) {
              if (isset($_POST["radio_temata"])) {
                $rodicOdeslat = $_POST["radio_temata"];
              }
              else {
                $rodicOdeslat = 0;
              }
              query("UPDATE tema SET nazev='".mysql_real_escape_string($nazev)."', menu_zkr='".mysql_real_escape_string($zkratka)."', id_rodice='" . mysql_real_escape_string($rodicOdeslat) . "' WHERE id_tema=$id");
              $rodic = $radek["id_rodice"];
              //pokud byl menen rodic tematu a pokud tema neni korenove
              if (($rodicOdeslat != $rodic) && ($rodicOdeslat != "0")) {
                zaradTemata($id);
              }
              $chyba = "";
              $info = "<h3>Téma bylo úspěšně upraveno.</h3>";
              $info .= "<br /><a href=\"sprava_temat.php\"><img src=\"./graf/sipka_nalevo.gif\" alt=\"sipka\" class=\"sipka_nalevo\" />zpět na správu témat</a>";
            }
            else {
              $chyba .= "<br />";
              $onload = "onload=\"";
              $pole = array(false);
              $temata_radio = zobrazTemataRadio(0, 0, $pole, $_POST["radio_temata"], "", false);
              $onload .= "\"";
            }
          }
          //pokud jeste nebyl formular odeslan, nactou se data o editovanem tematu z databaze
          else {
            $nazev = htmlspecialchars($radek["nazev"]);
            $zkratka = htmlspecialchars($radek["menu_zkr"]);
            $nadpis .= " \"" . $nazev . "\"";
            $onload = "onload=\"";
            $pole = array(false);
            $rodic = $radek["id_rodice"];
            $temata_radio = zobrazTemataRadio(0, 0, $pole, $rodic, "", false);
            $onload .= "\"";
          }
        }
        else {
          $info= "<h3>Téma nebylo nalezeno.</h3>";
        }
      }
    }
    else {
      $info = "<h3>Pro možnost editace tématu nemáte dostatečná oprávnění.</h3>";
    }
  }
  else {
    $info = "<h3>Pro možnost editace tématu se musíte nejprve <a href=\"login.php\">přihlásit</a>.</h3>";
  }
  
  
  require("./smarty.php");
  $smarty = new KonfSmarty;
  
  $smarty->assign("prihlaseni", $prihlaseni);
  $smarty->assign("tlacitkoVyhledat", $tlacitkoVyhledat);
  $smarty->assign("formHledaniZacatek", $formHledaniZacatek);
  $smarty->assign("formHledaniKonec", $formHledaniKonec);
  $smarty->assign("searchExterni", $searchExterni);
  $smarty->assign("nadpis", $nadpis);
  $smarty->assign("info", $info);
  $smarty->assign("tlacitko_submit", $tlacitko_submit);
  $smarty->assign("akce_vytvorit_nebo_editovat", $akce_vytvorit_nebo_editovat);
  $smarty->assign("chyba", $chyba);
  $smarty->assign("nazev", $nazev);
  $smarty->assign("zkratka", $zkratka);
  $smarty->assign("temata_radio", $temata_radio);
  $smarty->assign("onload", $onload);
  $smarty->assign("muzeSpravovatUzivatele", $muzeSpravovatUzivatele);
  $smarty->assign("muzeSpravovatTemata", $muzeSpravovatTemata);
  $smarty->assign("editace_poznamka", $editace_poznamka);

  $smarty->display("vytvoreni_a_editace_tematu.tpl");
  
  if ($pripojeni) {
    odpojitDB($pripojeni);
  }
  
  function overVybraniPotomka($id) {
    global $e, $chyba;
    $dotaz2 = query("SELECT id_tema from tema WHERE id_rodice=$id");
    if (mysql_num_rows($dotaz2) > 0) {
      while ($radek2 = mysql_fetch_array($dotaz2)) {
        if ($radek2[0] == $_POST["radio_temata"]) {
          $e++;
          $chyba .= "<p>Jako rodičovské téma nelze vybrat jeho vlastního potomka.</p>";
        }
        else {
          overVybraniPotomka($radek2[0]);
        }
      }
    }
  }
  
  //zaradi temata, ktera patri do tematu s ID v parametru, i do temat jemu nadrazenych
  function zaradTemata($id) {
    $maRodice = true;
    $i = 0;
    $editovaneTema = $id;
    while ($maRodice) {
      $dotaz = query("SELECT id_rodice FROM tema WHERE id_tema=$id LIMIT 1");
      $radek= mysql_fetch_assoc($dotaz);
      $rodic = ($radek["id_rodice"]=="" ? "0" : $radek["id_rodice"]);
      $id = $rodic;
      if ($rodic != "0") {
        $maRodice = true;
        $nadrazenaTemata[$i] = $id;
      }
      else {
        $maRodice = false;
      }
      $i++;
    }
    $dotaz = query("SELECT id_konf FROM konftema WHERE id_tema=$editovaneTema");
    while ($radek = mysql_fetch_assoc($dotaz)) {
      $konference = $radek["id_konf"];
      for ($i=0; $i < count($nadrazenaTemata); $i++) {
        query("DELETE FROM konftema WHERE id_konf=$konference AND id_tema=$nadrazenaTemata[$i]"); //pro pripad, ze konference jiz v danem tematu byla
        query("INSERT INTO konftema ( id_konf, id_tema) VALUES ($konference, $nadrazenaTemata[$i])");
      }
    }
  }
  
?>