<?php
  session_start();
  
  require_once("funkce.php");
  
  //nastaveni pole pro vyhledavani
  $searchExterni = '<input name="search_externi" value="" type="text" />';
  //nastevni popisku tlacitka vyhledavani
  $tlacitkoVyhledat = "Vyhledat konferenci";
  //nastaveni zacatku a konce vyhledavaciho formulare
  $formHledaniZacatek = "<form action=\"index.php\" method=\"post\">";
  $formHledaniKonec = "</form>";
  
  //nastaveni odkazu prihlasit/odhlasit
  $prihlaseni = loginLogout();
  
  //zjisteni peti nejaktualnejsich konferenci
  $petNejaktualnejsich = petNejaktualnejsich();
  
  $info = $nadpis = $id = $hlaska = $prehledPrispevku = $vypisPrispevku = $zadnePrispevky = $muzePrispivat = "";
  
  if (prihlasen()) {
    if (isset($_GET["id"])  && is_numeric($_GET["id"])  && ($_GET["id"]>0)) {
      $id = $_GET["id"];
      if(mysql_num_rows($dotaz=query("SELECT nazev, rok FROM konference WHERE id_konf='$id' LIMIT 1;"))>0) {
        $muzePrispivat = muzePrispivatDoFora();
        $radek = mysql_fetch_array($dotaz);
        //zjisteni poctu prispevku ve foru
        $query_pocet_prispevku = query("SELECT COUNT(*) FROM forum WHERE id_konf=$id");
        $RS_pocet_prispevku    = mysql_fetch_array($query_pocet_prispevku);
        $pocet_prispevku       = $RS_pocet_prispevku[0];
        if ($pocet_prispevku == 0) {
          $hlaska = "<h3>Žádné příspěvky k zobrazení.</h3>";
          $zadnePrispevky = true;
        }
        else {
          $zadnePrispevky = false;
          //zobraz vyber
          if (isset($_POST[zobrazit_oznacene])) {
            $nadpis = "<h2>Vybrané příspěvky ke konferenci " . htmlspecialchars($radek[0]) . " " . htmlspecialchars($radek[1]) . "</h2>";
            if ($muzePrispivat) {
              $vypisPrispevku = "<div class=\"forum_tlacitko_pridat\"><a href=\"forum_prispevek.php?id=$id\"  class=\"tlacitko_akce\">Přidat nový příspěvek</a></div>";
            }
            $vypisPrispevku .= zobrazPrispevky($id, 0, 0, $muzePrispivat, 1);
            $vypisPrispevku .= "<div><br /><br /></div>";
          }
          //zobraz vsechny
          elseif (isset($_POST[zobrazit_vse])) {
            $nadpis = "<h2>Všechny příspěvky ke konferenci " . htmlspecialchars($radek[0]) . " " . htmlspecialchars($radek[1]) . "</h2>";
            if ($muzePrispivat) {
              $vypisPrispevku = "<div class=\"forum_tlacitko_pridat\"><a href=\"forum_prispevek.php?id=$id\"  class=\"tlacitko_akce\">Přidat nový příspěvek</a></div>";
            }
            $vypisPrispevku .= zobrazPrispevky($id, 0, 0, $muzePrispivat, 2);
            $vypisPrispevku .= "<div><br /><br /></div>";
          }
          //zobraz pouze prehled
          else {
            $nadpis = "<h2>Přehled příspěvků ke konferenci " . htmlspecialchars($radek[0]) . " " . htmlspecialchars($radek[1]) . "</h2>";
          }
          
          $Pole = array(false);
          $prehledPrispevku = zobrazPrehledPrispevku($id, 0, 0, $Pole);
        }
      }
      else {
        $info = "Konference nebyla nalezena.";
      }
    }
    else {
      $info = "Zadané ID konference není platné.";
    }
  }
  else {
    $info = "Pro možnost čtení fóra se musíte nejprve <a href=\"login.php\">přihlásit</a>.";
  }
  
  
  require("./smarty.php");
  $smarty = new KonfSmarty;
  
  $smarty->assign("prihlaseni", $prihlaseni);
  $smarty->assign("tlacitkoVyhledat", $tlacitkoVyhledat);
  $smarty->assign("formHledaniZacatek", $formHledaniZacatek);
  $smarty->assign("formHledaniKonec", $formHledaniKonec);
  $smarty->assign("searchExterni", $searchExterni);
  $smarty->assign("petNejaktualnejsich", $petNejaktualnejsich);
  $smarty->assign("nadpis", $nadpis);
  $smarty->assign("info", $info);
  $smarty->assign("id_konf", $id);
  $smarty->assign("hlaska", $hlaska);
  $smarty->assign("prehledPrispevku", $prehledPrispevku);
  $smarty->assign("vypisPrispevku", $vypisPrispevku);
  $smarty->assign("zadnePrispevky", $zadnePrispevky);
  $smarty->assign("muzePrispivat", $muzePrispivat);

  $smarty->display("forum.tpl");
  
  if ($pripojeni) {
    odpojitDB($pripojeni);
  }
  

  function zobrazPrehledPrispevku($idKonference, $uroven, $klic, $poleUrovni) {
    $prehledPrispevku = "";
    if ($uroven == 0) {
      $prispevky = query("SELECT * FROM `forum` WHERE (id_item=id_reply) AND id_konf=$idKonference");
      if (mysql_num_rows($prispevky) > 0) {
        $prehledPrispevku .= "<table class=\"b_collapse\">
                                <tr class=\"textbg-3\">
                                  <th>Zobrazit</th>
                                  <th>Název</th>
                                  <th>Vložil</th>
                                  <th>Datum</th>
                                  <th>Editováno</th>
                                </tr>";
      }
    }       
    else {
      $prispevky = query("SELECT * FROM `forum` WHERE id_reply=$klic AND (NOT(id_item=id_reply)) AND id_konf=$idKonference");
    }
    
    for ($i=0; $i < mysql_num_rows($prispevky); $i++) {
      $radek = mysql_fetch_array($prispevky);
    
      $prehledPrispevku .=  "<tr>
                            <td class=\"center_\"> <input type=\"checkbox\"  value=\"".$radek["id_item"]."\" name=\"chb_".$radek["id_item"]."\" ".(((isset($_POST["chb_".$radek["id_item"]])) || (isset($_POST[zobrazit_vse])))? "checked=\"checked\"":"")." /></td>
                            <td>"; 
    
      if ($uroven > 0) {
        for($j=1; $j < $uroven; $j++) {            
          if ($poleUrovni[$j]) {  
            $prehledPrispevku .= "<img width=\"9\" height=\"21\" class=\"left_\" alt=\"-\" src=\"graf/i.gif\" />";
          }
          else {
            $prehledPrispevku .= "&nbsp;";
          } 
        }
      
        if ((mysql_num_rows($prispevky) == 1) || ($i == (mysql_num_rows($prispevky)-1))) {
          $prehledPrispevku .= "<img width=\"9\" height=\"21\" class=\"left_\" alt=\"L\" src=\"graf/l.gif\" />";
          $poleUrovni[$uroven] = false; 
        }
        else {
          $prehledPrispevku .= "<img width=\"9\" height=\"21\" class=\"left_\" alt=\"+\" src=\"graf/t.gif\" />";
          $poleUrovni[$uroven] = true; 
        }            
      }

      $prehledPrispevku .= htmlspecialchars($radek["nazev"]) . "</td>";
    
      $jmeno = "Neznámý uživatel.";
      $query_jmeno = query("SELECT uname FROM uziv WHERE uid=".$radek["id_uziv"]." LIMIT 1");
      if ($RS_jmeno = mysql_fetch_array($query_jmeno)) {
        $jmeno = $RS_jmeno[0];
      }
    
      $prehledPrispevku .= "<td>".htmlspecialchars($jmeno)."</td>";
      $datum = substr($radek["dat_vlozeni"], 0, 10);
      $datum = zmenFormatData($datum);
      $cas = substr($radek["dat_vlozeni"], 11, 8);
      $prehledPrispevku .= "<td>" . $datum . ", " . $cas . "</td>";
      
      $datum = substr($radek["dat_editace"], 0, 10);
      $datum = zmenFormatData($datum);
      $cas = substr($radek["dat_editace"], 11, 8);
      $datumCas .= $datum . ", " . $cas;
      
      $prehledPrispevku .= "<td>".$radek["pocet_editaci"]."x".(($radek["pocet_editaci"]==0)? "" : " (".$datumCas.")" )."</td>";
      $prehledPrispevku .= "</tr>";
    
      $prehledPrispevku .= zobrazPrehledPrispevku($idKonference, $uroven+1, $radek["id_item"], $poleUrovni);
    }
    if($uroven==0 && (mysql_num_rows($prispevky) > 0)) {
      $prehledPrispevku .= "</table>";
    }
    return $prehledPrispevku;
  }
  
  function zobrazPrispevky($idKonference, $uroven, $klic, $muzeDiskutovat, $zobrazovaciMod) {
    if ($uroven == 0) {
      $prispevky = query("SELECT * FROM `forum` WHERE (id_item=id_reply) AND id_konf=$idKonference");
    }       
    else {  
      $prispevky = query("SELECT * FROM `forum` WHERE id_reply=$klic AND (NOT(id_item=id_reply)) AND id_konf=$idKonference");
    }

    $vypisPrispevku = "";
    for ($i=0; $i < mysql_num_rows($prispevky); $i++) {  
      $radek = mysql_fetch_array($prispevky); 
      $zobrazitPrispevek = false;
      if ($zobrazovaciMod==2) {
        $zobrazitPrispevek = true;
      }  
      else {
        if (isset($_POST["chb_".$radek["id_item"]])) {
          $zobrazitPrispevek = true;
        }
      }
  
      if ($zobrazitPrispevek) {
        $vypisPrispevku .= "<div style=\"margin-left:" . ($uroven*25) . "px;\">";
        $vypisPrispevku .= "
        <div class=\"prispevek\">
          <div class=\"zahlavi\">       
            <span>Datum: </span>";
            $datum = substr($radek["dat_vlozeni"], 0, 10);
            $datum = zmenFormatData($datum);
            $cas = substr($radek["dat_vlozeni"], 11, 8);
            $vypisPrispevku .= $datum . " (" . $cas;
            $vypisPrispevku .= "), ";
            $jmeno = "Neznámý uživatel.";
            $query_jmeno = query("SELECT uname FROM uziv WHERE uid=".mysql_real_escape_string($radek["id_uziv"])." LIMIT 1");
            if ($RS_jmeno = mysql_fetch_array($query_jmeno)) {
              $jmeno = $RS_jmeno[0];
            }
            $vypisPrispevku .= "<span>autor: </span>";
            $vypisPrispevku .= htmlspecialchars($jmeno);
            $vypisPrispevku .= "&nbsp;<a href=\"mail_uzivateli.php?id=" . $radek["id_uziv"] . "\" title=\"Kontaktovat uživatele " . htmlspecialchars($jmeno) . "\"><img src=\"graf/obalka.gif\" alt=\"obalka\" /></a>";
            $vypisPrispevku .= "
            <br />
            <br />
            <strong>";
            $vypisPrispevku .= htmlspecialchars($radek["nazev"]);
            $vypisPrispevku .= "
            </strong>                 
          </div>
          <div class=\"telo\">";
            $nahradit = array("\r\n", "\n", "\r");
            $text_s_radkovanim  = str_replace($nahradit, "<br />", htmlspecialchars($radek["text"]));
            $vypisPrispevku .= $text_s_radkovanim;
          $vypisPrispevku .= "
          </div>
          <div class=\"zapati\">
            <div class=\"odpovedet_editovat\">";
              if ($muzeDiskutovat) {                         
                $vypisPrispevku .= "<div class=\"polozka_zapati\">";
                $vypisPrispevku .= "<a href='forum_prispevek.php?id=$idKonference&amp;id_reply=".$radek["id_item"]."'>Odpovědět </a>";
                $vypisPrispevku .= "</div>";
                  
                if($radek["id_uziv"]==$_SESSION["uid"]) {
                  $vypisPrispevku .= "<div class=\"polozka_zapati\">";
                  $vypisPrispevku .= "<a href='forum_prispevek.php?id=$idKonference&amp;id_item=".$radek["id_item"]."'>Editovat</a>";
                  $vypisPrispevku .= "</div>";
                }
              }
              else {
                $vypisPrispevku .= "<div class=\"polozka_zapati\">Nemáte dostatečná práva pro přispívání do fóra.</div>";
              }
              if ($radek["pocet_editaci"]!=0) {
                $datum = substr($radek["dat_editace"], 0, 10);
                $datum = zmenFormatData($datum);
                $cas = substr($radek["dat_editace"], 11, 8);
                $datumCas = $datum . ", " . $cas;
                $vypisPrispevku .= "<div class=\"polozka_zapati editovano\"><i>(editováno ".$radek["pocet_editaci"]."x, naposledy ".$datumCas.")</i></div>";
              }
            $vypisPrispevku .= "
            </div>
          </div>
        </div>
      </div>";
      }
      $vypisPrispevku .= zobrazPrispevky($idKonference, $uroven+1, $radek["id_item"], $muzeDiskutovat, $zobrazovaciMod);
    }
    return $vypisPrispevku;
  }
?>