<?php
  session_start();

  require_once("db.php");
  require_once("funkce.php");
  
  //nastaveni pole pro vyhledavani
  $searchExterni = '<input name="search_externi" value="" type="text" />';
  //nastevni popisku tlacitka vyhledavani
  $tlacitkoVyhledat = "Vyhledat konferenci";
  //nastaveni zacatku a konce vyhledavaciho formulare
  $formHledaniZacatek = "<form action=\"index.php\" method=\"post\">";
  $formHledaniKonec = "</form>";
  
  //nastaveni odkazu prihlasit/odhlasit
  $prihlaseni = loginLogout(); ;

  //zjisteni peti nejaktualnejsich konferenci
  $petNejaktualnejsich = petNejaktualnejsich();
  
  $info = $temata = "";
  $skupiny = array();
  $kategorie = array();
  $links = array();
  $prihlasen = prihlasen();
  
  if (isset($_GET["id"]) && is_numeric($_GET["id"]) && ($_GET["id"] >= 0)) {
    $dotazRetezec = "SELECT k.id_konf, id_rodice, zkratka, nazev, rok, dat_vlozeni, deadline, notification, finalversion, dat_zacatek, dat_konec, mesto, stat, popis, archiv, periodicita,
                  (SELECT COUNT(*) FROM prispevek WHERE id_konf=k.id_konf AND prijat=1) AS priprispevky,
                  (SELECT COUNT(*) FROM prispevek WHERE id_konf=k.id_konf) AS posprispevky,
                  homepage, k.id_uziv, uziv.uid,uziv.uname FROM konference k LEFT JOIN uziv ON (k.id_uziv=uziv.uid) WHERE id_konf='" . $_GET["id"] . "' LIMIT 1";
    $dotaz = query($dotazRetezec);
    if (mysql_num_rows($dotaz) == 1) {
      $radek = mysql_fetch_array($dotaz);
      $nazev_konference = htmlspecialchars($radek["nazev"]);
      $id = htmlspecialchars($radek["id_konf"]);
      $vlozil = htmlspecialchars($radek["uname"]);
      $zkratka = htmlspecialchars($radek["zkratka"]);
      $rok = htmlspecialchars($radek["rok"]);
      $nazev = htmlspecialchars($radek["nazev"]);
      $odkaz = htmlspecialchars($radek["homepage"]);
      $misto = htmlspecialchars($radek["mesto"]) . ", " . htmlspecialchars($radek["stat"]);
      $datum_vlozeni = zmenFormatData($radek["dat_vlozeni"]);
      $termin_konani = zmenFormatData($radek["dat_zacatek"]) . " &ndash; " . zmenFormatData($radek["dat_konec"]);
      $deadline = zmenFormatData($radek["deadline"]);
      $notifikace = zmenFormatData($radek["notification"]);
      $finalni_verze = zmenFormatData($radek["finalversion"]);
      $jeVarchivu = $radek["archiv"];
      switch ($radek["periodicita"]) {
      	case 0:
      	 $periodicita = "Žádná (jednorázová konference)";
      	 break;
      	case 90:
      	 $periodicita = "Čtvrtletně";
      	 break;
      	case 180:
      	 $periodicita = "Pololetně";
      	 break;
      	case 365:
      	 $periodicita = "Ročně";
      	 break;
      	case 730:
      	 $periodicita = "Jednou za dva roky";
      	 break;
      }
      $prijate = ($radek["priprispevky"] == "") ? "0" : $radek["priprispevky"];
      $odeslane = ($radek["posprispevky"] == "") ? "0" : $radek["posprispevky"];
      $rodic = ($radek["id_rodice"]!=0 ? "<a href=\"info_o_konferenci.php?id=".$radek["id_rodice"]."\">Rodičovská konference</a>"  : "");
      $popis = htmlspecialchars($radek["popis"]);
      if ($popis == "") {
        $popis = "(popis není neuveden)";
      }
      
      //id temat, do kterych konference patri
      if (mysql_num_rows($dotaz2=query("SELECT id_tema FROM tema LEFT JOIN konftema USING (id_tema) WHERE id_konf='$id'"))>0) {
        $j=0;
        while ($radek2=mysql_fetch_array($dotaz2)) {
          $poleTemat[$j] = $radek2[0];
          $j++;
        }
        $pole = array(false);
        $temata = zobrazTemataKamPatri(0, 0, $pole, $poleTemat);
      }
      
      //skupiny, do kterych konference patri
      $dotazSkupinRetezec = "SELECT nazev,popis
                            FROM skupina JOIN skupinakonf USING (id_skupina)
                            WHERE aktivni=1 AND id_konf=$id
                            ORDER BY nazev";
      $dotazSkupin = query($dotazSkupinRetezec);
      while ($radek = mysql_fetch_array($dotazSkupin)) {
          $skupiny[] = $radek; 
      }
      
      //kategorie, do kterych konference patri
      $dotazKategoriiRetezec = "SELECT nazev
                                FROM kategorie JOIN kategoriekonf USING (id_kategorie)
                                WHERE id_konf=$id
                                ORDER BY nazev";
      $dotazKategorii = query($dotazKategoriiRetezec);
      while ($radek = mysql_fetch_array($dotazKategorii)) {
          $kategorie[] = $radek; 
      }
          
      //nalezeni potomku konference
      $potomci = array();
      $potomci = vratNearchivniPotomky($_GET["id"], $potomci);
      
      //ISP
      $vstup_pro_ISP  = "@inproceedings{<br />";
      $vstup_pro_ISP .= "booktitle = \"" . $zkratka . " " . $rok . ": Proceedings of the " . $nazev . " (" . $termin_konani . ")\",<br />";
      $vstup_pro_ISP .= "year  = {" . $radek["rok_zacatek"] . "},<br />";
      $vstup_pro_ISP .= "month = \"" . $radek["mesic_zacatek"] . "\",<br />";
      $vstup_pro_ISP .= "location = \"" . $misto . "<br />";
      $vstup_pro_ISP .= "}<br />";
      
      if (prihlasen() && (muzeMazatUpravovat() || jeAutoremKonference($id))) { //pokud ma uzivatel dostatecna prava
        if ($jeVarchivu == "1") {
          $links["editovat"] = false;
        }
        else {
          $links["editovat"] = true;
        }
        $links["editovat"] = true;
        $links["novyrocnik"] = true;
        $links["odstranit"] = true;
        $links["skupiny"] = true;
      }
      
      if (prihlasen()) {
        if (muzeSpravovatTemata() || jeAutoremKonference($id)) $links["kategorie"] = true;
        else $links["kategorie"] = false; 
        $links["forum"] = true;
        $links["prispevky"] = true;
        // pokud je jiz konference v osobnich
        if (mysql_num_rows($query_osobni_nastaveni = query("SELECT konference.nazev, osobkonf.forumnotify, osobkonf.editnotify, osobkonf.zacateknotify, osobkonf.zacatek_predstih, osobkonf.deadlinenotify, osobkonf.deadline_predstih, osobkonf.finalnotify, osobkonf.final_predstih FROM konference, osobkonf WHERE osobkonf.id_konf=$id AND osobkonf.id_uziv=".mysql_real_escape_string($_SESSION["uid"])." AND konference.id_konf=osobkonf.id_konf LIMIT 1")) == 1) {
          $links["osobniOdstranit"] = true;
          $links["osobniNastavit"] = true;
          $links["osobniPridat"] = false;
        }
        else {
          $links["osobniOdstranit"] = false;
          $links["osobniNastavit"] = false;
          $links["osobniPridat"] = true;
        }
      }
    }
    else {
       $info = "<h3>Konference s požadovaným ID nebyla nalezena.</h3>";
    }
  }
  else $info = "<h3>Zadané ID není platné.</h3>";
  
  require("./smarty.php");
  $smarty = new KonfSmarty;
  
  $smarty->assign("prihlaseni", $prihlaseni);
  $smarty->assign("petNejaktualnejsich", $petNejaktualnejsich);
  $smarty->assign("nazev_konference", $nazev_konference);
  $smarty->assign("id", $id);
  $smarty->assign("vlozil", $vlozil);
  $smarty->assign("zkratka", $zkratka);
  $smarty->assign("rok", $rok);
  $smarty->assign("nazev", $nazev);
  $smarty->assign("odkaz", $odkaz);
  $smarty->assign("misto", $misto);
  $smarty->assign("datum_vlozeni", $datum_vlozeni);
  $smarty->assign("termin_konani", $termin_konani);
  $smarty->assign("deadline", $deadline);
  $smarty->assign("notifikace", $notifikace);
  $smarty->assign("finalni_verze", $finalni_verze);
  $smarty->assign("rodic", $rodic);
  $smarty->assign("prijate", $prijate);
  $smarty->assign("odeslane", $odeslane);
  $smarty->assign("popis", $popis);
  $smarty->assign("temata", $temata);
  $smarty->assign("vstup_pro_ISP", $vstup_pro_ISP);
  $smarty->assign("info", $info);
  $smarty->assign("tlacitkoVyhledat", $tlacitkoVyhledat);
  $smarty->assign("formHledaniZacatek", $formHledaniZacatek);
  $smarty->assign("formHledaniKonec", $formHledaniKonec);
  $smarty->assign("searchExterni", $searchExterni);
  $smarty->assign("periodicita", $periodicita);
  $smarty->assign("potomci", $potomci);
  $smarty->assign("skupiny", $skupiny);
  $smarty->assign("kategorie", $kategorie);
  $smarty->assign("links", $links);
  $smarty->assign("prihlasen", $prihlasen);

  $smarty->display("info_o_konferenci.tpl");
  
  if ($pripojeni) {
    odpojitDB($pripojeni);
  }
?>