<?php
  session_start();

  require_once("funkce.php");
  
  //nastaveni pole pro vyhledavani
  $searchExterni = '<input name="search_externi" value="" type="text" />';
  //nastevni popisku tlacitka vyhledavani
  $tlacitkoVyhledat = "Vyhledat konferenci";
  //nastaveni zacatku a konce vyhledavaciho formulare
  $formHledaniZacatek = "<form action=\"index.php\" method=\"post\">";
  $formHledaniKonec = "</form>";
  
  //nastaveni odkazu prihlasit/odhlasit
  $prihlaseni = loginLogout();
  
  //zjisteni peti nejaktualnejsich konferenci
  $petNejaktualnejsich = petNejaktualnejsich();

  
  $kategorie = array();
  $uspech = false;
  $nazevKonference = $idKonference = $info = $error = "";
  $new = $uspechNew = false; // priznaky, zda se prirazuji kategorie nove konferenci a jestli byla nova uspesne vytvorena
  
  if (prihlasen()) {
    if (muzeSpravovatTemata() || jeAutoremKonference($id)) {                       // pokud ma uzivatel dostatecna prava
      if (isset($_GET["id"]) && is_numeric($_GET["id"]) && ($_GET["id"] >= 0)) {  // zadane id konference je realne
        $dotazKonf = query("SELECT * FROM konference WHERE id_konf=".mysql_real_escape_string($_GET["id"])." LIMIT 1");
        $result = mysql_fetch_array($dotazKonf);
        if (!empty($result)) {                                                    // konference existuje v db
          $nazevKonference = $result["zkratka"];
          $idKonference = $result["id_konf"];
          
          if (isset($_GET["new"])) $new = true;                                 // vytvari se nova konference
          
          if (!empty($_POST)) {
            if (isset($_POST["kategorie"])) {                                   // formular se kategoriemi byl odeslan neprazdny
              query( "DELETE FROM `kategoriekonf` WHERE id_konf=".$_GET["id"] ); // smazat vsechny vztahy
              
              if (!empty($_POST["kategorie"])) {                                // formular s kategoriemi byl odeslan neprazdny
                foreach ($_POST["kategorie"] as $id_kategorie) {
                  query( "INSERT INTO `kategoriekonf` (`id_kategorie`, `id_konf`) 
                    VALUES (".mysql_real_escape_string($id_kategorie).",".mysql_real_escape_string($_GET["id"]).")" );
                }
              }
              if ($new)
                $uspechNew = true; // presmerovani na kategorie
              else
                $uspech = true;
            }
            // nebyla vybrana zadna kategorie
            else
              $error = "Zvolte prosím alespoň jednu kategorii.";
          }
          
          // vyber jen ty kategorie, ktere patri do uzivatelovych skupin
          $dotazKategoriiRetezec = "SELECT skupinauziv.id_skupina, kategorieskup.id_kategorie, kategoriekonf.id_konf, nazev
                                    FROM skupinauziv LEFT JOIN kategorieskup USING (id_skupina) 
                                    LEFT JOIN kategoriekonf USING (id_kategorie) RIGHT JOIN kategorie USING (id_kategorie)
                                    WHERE skupinauziv.id_uziv=".mysql_real_escape_string($_SESSION["uid"])."
                                    ORDER BY nazev";
          $dotazKategorii = query($dotazKategoriiRetezec);
          while ($radek = mysql_fetch_array($dotazKategorii)) {
              if ($radek["id_konf"] == $_GET["id"])
                $radek["checked"] = "1";
              if (isset($kategorie[$radek["id_kategorie"]])) {  // dana kategorie uz je zarazena v poli
                // ...ale neni oznacena, nova oznacena skupina ma prednost
                if ( !isset($kategorie[$radek["id_kategorie"]]["checked"]) && isset($radek["checked"]) ) { 
                   $kategorie[$radek["id_kategorie"]] = $radek;
                }
              }
              else {                                        // skupina jeste neni v poli
                $kategorie[$radek["id_kategorie"]] = $radek;
              }
          }
        }
        else $info = "Daná konference neexistuje.";
      }
      else $info = "Zadané ID konference platné.";  
    }
    else $info = "Pro editaci kategorií konference nemáte dostatečná práva.";
  }
  else $info = "Pro editaci kategorií konference se musíte nejprve <a href=\"login.php\">přihlásit</a>.";
  
  
  require("./smarty.php");
  $smarty = new KonfSmarty;
  
  $smarty->assign("prihlaseni", $prihlaseni);
  $smarty->assign("petNejaktualnejsich", $petNejaktualnejsich);
  $smarty->assign("tlacitkoVyhledat", $tlacitkoVyhledat);
  $smarty->assign("formHledaniZacatek", $formHledaniZacatek);
  $smarty->assign("formHledaniKonec", $formHledaniKonec);
  $smarty->assign("searchExterni", $searchExterni);
  $smarty->assign("info", $info);
  $smarty->assign("kategorie", $kategorie);
  $smarty->assign("idKonference", $idKonference);
  $smarty->assign("nazevKonference", $nazevKonference); 
  $smarty->assign("uspech", $uspech);  
  $smarty->assign("new", $new);  
  $smarty->assign("uspechNew", $uspechNew);      
  $smarty->assign("error", $error);

  $smarty->display("kategorie_konference.tpl");
  
  if ($pripojeni) {
    odpojitDB($pripojeni);
  }
?>