<?php
  session_start();

  require_once("funkce.php");
  
  //nastaveni pole pro vyhledavani
  $searchExterni = '<input name="search_externi" value="" type="text" />';
  //nastevni popisku tlacitka vyhledavani
  $tlacitkoVyhledat = "Vyhledat konferenci";
  //nastaveni zacatku a konce vyhledavaciho formulare
  $formHledaniZacatek = "<form action=\"index.php\" method=\"post\">";
  $formHledaniKonec = "</form>";
  
  //nastaveni odkazu prihlasit/odhlasit
  $prihlaseni = loginLogout();
  
  //pro zjisteni, ktere polozky menu se maji zobrazit 
  $muzeSpravovatUzivatele = muzeSpravovatUzivatele();
  $muzeSpravovatTemata = muzeSpravovatTemata();
  
  $info = $nadpis = $akce_odstranit = $text = $nazev = "";
  $sprava_menu = true;
  
  if (prihlasen()) {
    if (isset($_GET["id"]) && is_numeric($_GET["id"]) && ($_GET["id"] >= 0)) {  // zadane id kategorie je realne
      $dotaz = query("SELECT * FROM kategorie WHERE id_kategorie=".mysql_real_escape_string($_GET["id"])." LIMIT 1");
      $result = mysql_fetch_array($dotaz);
      if (!empty($result)) {                                                    // kategorie existuje v db
        $idKategorie = $result["id_kategorie"];
        $nazev = $result["nazev"];
        $action = "kategorie_odstranit.php?id=$idKategorie";
        if (empty($_POST)) { 
            $nadpis = "Smazání kategorie";
            $text = "Opravdu chcete smazat kategorii \"$nazev\"?";
        }
        else {                                                                  //pokud je neco odeslano
          if (isset($_POST["ano"])) {
            // vybrat konference, ktere jsou pouze v teto kategorii
            $dotazKonferenci = query ("SELECT DISTINCT id_konf,zkratka,rok FROM `kategoriekonf` JOIN konference USING (id_konf) 
                                WHERE id_kategorie=$idKategorie AND 
                                id_konf NOT IN (SELECT DISTINCT id_konf FROM  `kategoriekonf` WHERE id_kategorie!=$idKategorie)");
            if (mysql_num_rows($dotazKonferenci) > 0) {
               // nektere konference se nachazi pouze v teto kategorii
               $info = "<h3>Kategorie nebyla smazána, protože následující konfence jsou umístěny pouze v ní: </h3>";
               $info .= "<div class=\"cleaner_h20\">";
               while ($radek = mysql_fetch_array($dotazKonferenci)) {
                  $info .= "<a href=\"info_o_konferenci.php?id=".$radek["id_konf"]." \">";
                  $info .= $radek["zkratka"]." ".$radek["rok"]."</a>&nbsp;&nbsp;";
               }
               $info .= "<div class=\"cleaner_h20\">";
            }
            else {
              //mazani kategorie
              query("DELETE FROM kategorie WHERE id_kategorie=$idKategorie");  
              $info = "<h3>Kategorie byla úspěšně smazána.</h3>";
            }
            
            $zpet = "<br /><a href=\"kategorie_seznam.php\"><img src=\"./graf/sipka_nalevo.gif\" alt=\"sipka\" class=\"sipka_nalevo\" />zpět na seznam kategorií</a>";
            $info .= $zpet;
          }
          if (isset($_POST["ne"])) {
            header("Location: kategorie_seznam.php");
          }
        }
      }
      else $info = "<h3>Požadovaná kategorie neexistuje.</h3>";
    }
    else $info = "<h3>Zadané ID kategorie není platné.</h3>";
  }
  else $info = "<h3>K vykonání této akce se musíte nejprve <a href=\"login.php\">přihlásit</a>.</h3>";
  
  
  require("./smarty.php");
  $smarty = new KonfSmarty;
  
  $smarty->assign("prihlaseni", $prihlaseni);
  $smarty->assign("tlacitkoVyhledat", $tlacitkoVyhledat);
  $smarty->assign("formHledaniZacatek", $formHledaniZacatek);
  $smarty->assign("formHledaniKonec", $formHledaniKonec);
  $smarty->assign("searchExterni", $searchExterni);
  $smarty->assign("muzeSpravovatUzivatele", $muzeSpravovatUzivatele);
  $smarty->assign("muzeSpravovatTemata", $muzeSpravovatTemata);
  $smarty->assign("info", $info);
  $smarty->assign("nazev", $nazev);
  $smarty->assign("text", $text);
  $smarty->assign("nadpis", $nadpis);
  $smarty->assign("akce_odstranit", $akce_odstranit);
  $smarty->assign("sprava_menu", $sprava_menu);

  $smarty->display("odstranit.tpl");
  
  if ($pripojeni) {
    odpojitDB($pripojeni);
  }
?>