<?php
  session_start();

  require_once("funkce.php");
  
  //nastaveni pole pro vyhledavani
  $searchExterni = '<input name="search_externi" value="" type="text" />';
  //nastevni popisku tlacitka vyhledavani
  $tlacitkoVyhledat = "Vyhledat konferenci";
  //nastaveni zacatku a konce vyhledavaciho formulare
  $formHledaniZacatek = "<form action=\"index.php\" method=\"post\">";
  $formHledaniKonec = "</form>";
  $info = "";
  
  //nastaveni odkazu prihlasit/odhlasit
  $prihlaseni = loginLogout(); 
  
  //pro zjisteni, ktere polozky menu se maji zobrazit 
  $muzeSpravovatUzivatele = muzeSpravovatUzivatele();
  $muzeSpravovatTemata = muzeSpravovatTemata();
  $info = $error = "";
  $nazev = $zkratka = "";
  $uspech = false;
  $nadpis = "Vytvoření nové kategorie";
  $action = "kategorie_vytvorit.php";
  $submitvalue = "Vytvořit kategorii"; 
  
  if (prihlasen()) {
    if ($muzeSpravovatTemata) {
      if (!empty($_POST)) {
        if (!empty($_POST["nazev"])) 
          $nazev = htmlspecialchars($_POST["nazev"]);
        else 
          $error = "Vyplňte prosím název kategorie.<br />";
        
        if (!empty($_POST["zkratka"])) 
          $zkratka = htmlspecialchars($_POST["zkratka"]);
        else 
          $zkratka = $nazev;
          
        if (empty($error)) {
          if (mysql_num_rows(query("SELECT id_kategorie FROM kategorie WHERE nazev=\"$nazev\" LIMIT 1")) == 0) {
            $idKategorie = queryID ("INSERT INTO `kategorie` 
                                    (`id_kategorie`, `nazev`, `zkratka`) 
                                    VALUES (NULL, '".mysql_real_escape_string($nazev)."',
                                     '".mysql_real_escape_string($zkratka)."')");
                   
            //pridani kategorie do vsech autorovych skupin, ktere ma v seznamu
            $skupiny = vratMojeSkupiny();
            foreach ($skupiny as $skupina) {
               query( "INSERT INTO `kategorieskup` (`id_kategorie`, `id_skupina`) 
                  VALUES (".mysql_real_escape_string($idKategorie).",".mysql_real_escape_string($skupina["id_skupina"]).")" );
            }
          }
          $info = "Kategorie '".$nazev."' byla úspěšně vytvořena a zařazena do Vašich skupin.";
          $uspech = true;
        }
        
      }
    }
    else $info = "Nemáte dostatečná práva pro vytvoření nové kategorie.";
  }
  else
    $info = "Pro vytvoření nové kategorie se musíte nejprve <a href=\"login.php\">přihlásit</a>.";
  
  
  require("./smarty.php");
  $smarty = new KonfSmarty;
  
  $smarty->assign("prihlaseni", $prihlaseni);
  $smarty->assign("tlacitkoVyhledat", $tlacitkoVyhledat);
  $smarty->assign("formHledaniZacatek", $formHledaniZacatek);
  $smarty->assign("formHledaniKonec", $formHledaniKonec);
  $smarty->assign("searchExterni", $searchExterni);
  $smarty->assign("muzeSpravovatUzivatele", $muzeSpravovatUzivatele);
  $smarty->assign("muzeSpravovatTemata", $muzeSpravovatTemata);
  $smarty->assign("info", $info);
  $smarty->assign("error", $error);
  $smarty->assign("nazev", $nazev);
  $smarty->assign("zkratka", $zkratka);
  $smarty->assign("uspech", $uspech);
  $smarty->assign("nadpis", $nadpis);
  $smarty->assign("action", $action); 
  $smarty->assign("submitvalue", $submitvalue);

  $smarty->display("kategorie.tpl");
  
  if ($pripojeni) {
    odpojitDB($pripojeni);
  }
?>