<?php
  session_start();

  require_once("funkce.php");
  
  //nastaveni pole pro vyhledavani
  $searchExterni = '<input name="search_externi" value="" type="text" />';
  //nastevni popisku tlacitka vyhledavani
  $tlacitkoVyhledat = "Vyhledat konferenci";
  //nastaveni zacatku a konce vyhledavaciho formulare
  $formHledaniZacatek = "<form action=\"index.php\" method=\"post\">";
  $formHledaniKonec = "</form>";
  
  //nastaveni odkazu prihlasit/odhlasit
  $prihlaseni = loginLogout();
  
  //zjisteni peti nejaktualnejsich konferenci
  $petNejaktualnejsich = petNejaktualnejsich();
  
  $info = $nadpis = $text = $akce_odstranit = $poznamka = "";
  
  if (isset($_GET["id_odstranene"]) && is_numeric($_GET["id_odstranene"]) && ($_GET["id_odstranene"] >= 0)) { //pokud je ID korektni
    $id = $_GET["id_odstranene"];
    $akce_odstranit = "odstranit_konferenci.php?id_odstranene=$id";
    if (prihlasen()) {
      if (muzeMazatUpravovat()) {
        // pokud konference existuje
        if (mysql_num_rows($dotaz = query("SELECT nazev FROM konference WHERE id_konf=$id")) == 1) {
          //pokud jeste nic nebylo odeslano
          if (empty($_POST)) { 
            $radek = mysql_fetch_array($dotaz);
            $nazev = htmlspecialchars($radek["nazev"]);
            if (isset($_GET["osobni"])){
              $poznamka = "<br /><br /><i>Poznámka:<br />Pokud chcete odstranit konferenci pouze z vašich osobních konferencí, naleznete tuto možnost v nastavení osobní konference, nebo můžete na tuto akci <a href=\"odstranit_z_osobnich.php?id=$id\">přejít přímo</a>.</i>";
            }
            $nadpis = "Odstranění konference \"$nazev\"";
            $text = "Opravdu chcete smazat konferenci \"$nazev\"? Tato operace smaže společně s konferencí také její fórum a všechna osobní nastavení této konference.";
            $text .= $poznamka;
          }
          else { //pokud je neco odeslano
            if (isset($_POST["ano"])) {
              //kontrola, jestli ma mazana konference nejake potomky
              if (mysql_num_rows($dotaz = query("SELECT * FROM konference WHERE id_rodice=$id")) != 0) {
                $info = "<h3>Konference nemohla být smazána, protože na ní navazují jiné.</h3>";
                $info .= "<br /><a href=\"info_o_konferenci.php?id=$id\"><img src=\"./graf/sipka_nalevo.gif\" alt=\"sipka\" class=\"sipka_nalevo\" />zpět na detail konference</a>"; 
              }
              else {
                  //mazani konference
                  query("DELETE FROM forum WHERE id_konf='$id'");
                  query("DELETE FROM osobkonf WHERE id_konf='$id'");
                  query("DELETE FROM konftema WHERE id_konf='$id'");
                  query("DELETE FROM konference WHERE id_konf='$id'");
                $info = "<h3>Konference byla úspěšně smazána.</h3>";
                $info .= "<br /><a href=\"index.php\"><img src=\"./graf/sipka_nalevo.gif\" alt=\"sipka\" class=\"sipka_nalevo\" />zpět na seznam konferencí</a>";
              }
            }
            if (isset($_POST["ne"])) {
              header("Location: info_o_konferenci.php?id=$id");
            }
          }
        }
        else
          $info = "<h3>Tato konference neexistuje.</h3>";
      }
      else
        $info = "<h3>Pro možnost mazání konferencí nemáte dostatečná oprávnění.</h3>";
    }
    else
      $info = "<h3>Pro možnost mazání konferencí se musíte nejprve <a href=\"login.php\">přihlásit</a>.</h3>";
  }
  else $info = "<h3>Zadané ID není platné.</h3>";
  
  
  require("./smarty.php");
  $smarty = new KonfSmarty;
  
  $smarty->assign("prihlaseni", $prihlaseni);
  $smarty->assign("tlacitkoVyhledat", $tlacitkoVyhledat);
  $smarty->assign("formHledaniZacatek", $formHledaniZacatek);
  $smarty->assign("formHledaniKonec", $formHledaniKonec);
  $smarty->assign("searchExterni", $searchExterni);
  $smarty->assign("info", $info);
  $smarty->assign("nadpis", $nadpis);
  $smarty->assign("text", $text);
  $smarty->assign("akce_odstranit", $akce_odstranit);
  $smarty->assign("petNejaktualnejsich", $petNejaktualnejsich);

  $smarty->display("odstranit.tpl");
  
  if ($pripojeni) {
    odpojitDB($pripojeni);
  }
?>