<?php
  session_start();

  require_once("db.php");
  require_once("funkce.php");
  
  //nastaveni pole pro vyhledavani
  $searchExterni = '<input name="search_externi" value="" type="text" />';
  //nastevni popisku tlacitka vyhledavani
  $tlacitkoVyhledat = "Vyhledat konferenci";
  //nastaveni zacatku a konce vyhledavaciho formulare
  $formHledaniZacatek = "<form action=\"index.php\" method=\"post\">";
  $formHledaniKonec = "</form>";

  //nastaveni akce pro formular editace
  $action_edit = "pridani_konference.php";
  
  //nastaveni odkazu prihlasit/odhlasit
  $prihlaseni = loginLogout();

  //zjisteni peti nejaktualnejsich konferenci
  $petNejaktualnejsich = petNejaktualnejsich();
  
  //nastaveni nadpisu (sablona slouzi i pro editaci konference)
  $nadpis = "Přidání konference";
  
  //nastaveni casove zony
  if(function_exists('date_default_timezone_set')) {
    date_default_timezone_set('Europe/Berlin');
  }
  
  if (prihlasen()) { //pokud je uzivatel prihlasen
    if (muzeVytvaret()) { //pokud ma uzivatel dostatecna prava
      if (empty($_POST)) { //pokud jeste nebyl formular odeslan
        $odeslano = rand(0, 1000);
        $dvojiOdeslani = '<input type="hidden" name="odeslano" value="' . $odeslano . '" />';
        //nastaveni vsech selectu obsahujicich dny
        $deadline_dny = "";
        $notification_dny = "";
        $finalversion_dny = "";
        $od_dny = "";
        $do_dny = "";
        for ($i=1; $i<=31; $i++) {
          if ($i < 10) {
            $den = "0" . $i;
          }
          else {
            $den = $i;
          }
          $deadline_dny .= '<option value="' . $den . '"' . ">$den</option>\n";
          $notification_dny .= '<option value="' . $den . '"' .  ">$den</option>\n";
          $finalversion_dny .= '<option value="' . $den . '"' .  ">$den</option>\n";
          $od_dny .= '<option value="' . $den . '"' .  ">$den</option>\n";
          $do_dny .= '<option value="' . $den . '"' .  ">$den</option>\n";
        }
        
        //nastaveni vsech selectu obsahujicich mesice
        $deadline_mesice = "";
        $notification_mesice = "";
        $finalversion_mesice = "";
        $od_mesice = "";
        $do_mesice = "";
        for ($i=1; $i<=12; $i++) {
          if ($i < 10) {
            $mesic = "0" . $i;
          }
          else {
            $mesic = $i;
          }
          $deadline_mesice .= '<option value="' . $mesic . '"' .  ">$mesic</option>\n";
          $notification_mesice .= '<option value="' . $mesic . '"' .  ">$mesic</option>\n";
          $finalversion_mesice .= '<option value="' . $mesic . '"' .  ">$mesic</option>\n";
          $od_mesice .= '<option value="' . $mesic . '"' .  ">$mesic</option>\n";
          $do_mesice .= '<option value="' . $mesic . '"' .  ">$mesic</option>\n";
        }
        
        //nastaveni vsech selectu obsahujicich roky
        $deadline_roky = "";
        $notification_roky = "";
        $finalversion_roky = "";
        $od_roky = "";
        $do_roky = "";
        for ($i=date("Y"); $i<=(date("Y")+5); $i++) {
          $deadline_roky .= '<option value="' . $i . '"' .  ">$i</option>\n";
          $notification_roky .= '<option value="' . $i . '"' .  ">$i</option>\n";
          $finalversion_roky .= '<option value="' . $i . '"' .  ">$i</option>\n";
          $od_roky .= '<option value="' . $i . '"' .  ">$i</option>\n";
          $do_roky .= '<option value="' . $i . '"' .  ">$i</option>\n";
        }
        
        $rok = date("Y");
        
        //vypis temat s checkboxy
        $onload = "onload=\"";
        $pole = array(false);
        $temata = zobrazTemataCheckbox(0, 0, $pole, "", false);
        $onload .= "\"";
        
        $odkaz = "http://";
      }
      else {
        if (isset($_SESSION['odeslano']) && ($_SESSION['odeslano'] == $_POST['odeslano'])) { //pokud již byl formulář odeslán
          $info = '<h3>Konference již byla odeslána.</h3>';
          $info .= "<br /><a href=\"index.php\"><img src=\"./graf/sipka_nalevo.gif\" alt=\"sipka\" class=\"sipka_nalevo\" />přejít na seznam konferencí</a>";
        }
        else {
          //odeslani formulare
          
          // Nacteni hodnot z checkboxu        
      	  $dat_zacatek_na = '0';
      	  $dat_konec_na = '0';
      	  $dat_deadline_na = '0';
      	  $dat_notifikace_na = '0';
      	  $dat_finalni_na = '0';
      
      	  if (isset($_POST['dat_zacatek_na'])  && ($_POST['dat_zacatek_na']=='1')) {
            $dat_zacatek_na = '1';
          }
      	  if (isset($_POST['dat_konec_na'])  && ($_POST['dat_konec_na']=='1')) {
            $dat_konec_na = '1';
          }
      	  if (isset($_POST['dat_deadline_na'])  && ($_POST['dat_deadline_na']=='1')) {
            $dat_deadline_na = '1';
          }
      	  if (isset($_POST['dat_notifikace_na'])  && ($_POST['dat_notifikace_na']=='1')) {
        		$dat_notifikace_na = '1';
          }
      	  if (isset($_POST['dat_finalni_na'])  && ($_POST['dat_finalni_na']=='1')) {
      		  $dat_finalni_na = '1';
      		}
      		
/*******************************************  KONTROLA VYPLNENI TEXTOVYCH POLI  *********************************************/
          $e = 0;
          $chyby = "<h3 style=\"color: red;\">Formulář nebylo možné odeslat, protože byly zjištěny následují chyby:</h3>"; 
          if($_POST["nazev"]=="")                               {$e++; $chyby .= "<p><b>Název</b> konference není vyplněn.</p>";}
          if($_POST["zkratka"]=="")                             {$e++; $chyby .= "<p><b>Zkratka</b> konference není vyplněna.</p>";}
          if($_POST["rok"]=="" || intval($_POST["rok"])==0)     {$e++; $chyby .= "<p><b>Rok</b> není vyplněn nebo je vyplněn chybně.</p>";}
          if($_POST["mesto"]=="")                               {$e++; $chyby .= "<p><b>Město</b> není vyplněno.</p>";}
          if($_POST["stat"]=="")                                {$e++; $chyby .= "<p><b>Stát</b> není vyplněn.</p>";}
  
          //kontrola, zda-li neni vytvareny rocnik konference jiz v databazi (na zaklade klice zkratka+rok)
          if($_POST["zkratka"] != "" && $_POST["rok"] != "") {
            $post_zkratka = htmlspecialchars($_POST["zkratka"]);
            $post_rok = htmlspecialchars($_POST["rok"]);
            $dotazExistence = query("SELECT * FROM konference WHERE zkratka='".mysql_real_escape_string($post_zkratka)."' AND rok=".mysql_real_escape_string($post_rok));
            if ( mysql_num_rows($dotazExistence) == 1 ) {
              $existujiciRocnik = mysql_fetch_array($dotazExistence);
              $e++;
              $chyby .= "<p>Tento ročník konference již existuje. ";
              $chyby .= "<a href=\"info_o_konferenci.php?id=".$existujiciRocnik["id_konf"]."\">Zde</a> si ho můžete prohlédnout.</p>";
            }
          }
            
          //kontrola spravnosti datumu
          if ($dat_zacatek_na=='0' && !kontrolaData($_POST["dat_zacatek_d"],$_POST["dat_zacatek_m"],$_POST["dat_zacatek_y"])) {
            $e++;
            $chyby .= "<p>Datum <b>konání od</b> není správné.</p>";
          }
          if ($dat_konec_na=='0' && !kontrolaData($_POST["dat_konec_d"],$_POST["dat_konec_m"],$_POST["dat_konec_y"])) {
            $e++;
            $chyby .= "<p>Datum <b>konání do</b> není správné.</p>";
          }
          if ($dat_deadline_na=='0' && !kontrolaData($_POST["deadline_d"],$_POST["deadline_m"],$_POST["deadline_y"])) {
            $e++;
            $chyby .= "<p>Datum <b>deadline</b> není správné.</p>";
          }
          if ($dat_notifikace_na=='0' && !kontrolaData($_POST["notification_d"],$_POST["notification_m"],$_POST["notification_y"])) {
            $e++;
            $chyby .= "<p>Datum <b>notifikace</b> není správné.</p>";
          }
          if ($dat_finalni_na=='0' && !kontrolaData($_POST["finalversion_d"],$_POST["finalversion_m"],$_POST["finalversion_y"])) {
            $e++;
            $chyby .= "<p>Datum <b>finální verze</b> není správné.</p>";
          }  
                               
          //kontrola pravidel pro poradi datumu (pozn.: notifikace se nekontoluje)
          if($dat_notifikace_na=='0' && $dat_finalni_na=='0') {
            if (! prvniDatumJeMensi($_POST["deadline_d"], $_POST["deadline_m"], $_POST["deadline_y"], $_POST["finalversion_d"],$_POST["finalversion_m"],$_POST["finalversion_y"] ) ) {
              $e++;
              $chyby .= "<p>Není splněna podmínka <b>datum deadline &lt; datum finální verze</b>.</p>";
            }
          }
          if($dat_finalni_na=='0' && $dat_zacatek_na=='0') {
            if (! prvniDatumJeMensi($_POST["finalversion_d"],$_POST["finalversion_m"],$_POST["finalversion_y"], $_POST["dat_zacatek_d"],$_POST["dat_zacatek_m"],$_POST["dat_zacatek_y"]) ) {
              $e++;
              $chyby .= "<p>Není splněna podmínka <b>datum finální verze &lt; datum konání od</b>.</p>";
            }
          }
          if($dat_zacatek_na=='0' && $dat_konec_na=='0') {
            if (! prvniDatumJeMensi($_POST["dat_zacatek_d"],$_POST["dat_zacatek_m"],$_POST["dat_zacatek_y"], $_POST["dat_konec_d"],$_POST["dat_konec_m"],$_POST["dat_konec_y"]) ) {
              $e++;
              $chyby .= "<p>Není splněna podmínka <b>datum konání od &lt; datum konání do</b>.</p>";
            }
          }
          
          $temaVybrano = false;
          $pocet_skupin = mysql_num_rows($dotaz=query("SELECT id_tema FROM tema ORDER BY id_tema"));  
          for ($k=0; $k < $pocet_skupin; $k++) {
            $radek = mysql_fetch_array($dotaz);
            $temataOdeslat[$k] = $radek[0]; //dulezite, potrebujeme znat ID tema, ne poradi
            if ($_POST["sk".$temataOdeslat[$k]] == "on") {
              $temaVybrano = true;
            }
          }
          if (!$temaVybrano) {
            $e++;
            $chyby .= "<p>Nebylo vybráno žádné <b>téma</b> konference.</p>";
          }
          
          if ($e > 0) {
            $odeslano = rand(0, 1000);
            $dvojiOdeslani = '<input type="hidden" name="odeslano" value="' . $odeslano . '" />';
            $chyby .= "<br />";
            
            $nazev = $_POST["nazev"];
            $zkratka = $_POST["zkratka"];
            $rok = $_POST["rok"];
            $mesto = $_POST["mesto"];
            $stat = $_POST["stat"];
            
            if ($dat_zacatek_na) {
              $od_disabled = 'disabled="disabled"';
              $od_checked = 'checked="checked"';
            }
            if ($dat_konec_na) {
              $do_disabled = 'disabled="disabled"';
              $do_checked = 'checked="checked"';
            }
            if ($dat_deadline_na) {
              $deadline_disabled = 'disabled="disabled"';
              $deadline_checked = 'checked="checked"';
            }
            if ($dat_notifikace_na) {
              $notification_disabled = 'disabled="disabled"';
              $notification_checked = 'checked="checked"';
            }
            if ($dat_finalni_na) {
              $finalversion_disabled = 'disabled="disabled"';
              $finalversion_checked = 'checked="checked"';
            }
            
            $od_dny_post = $_POST["dat_zacatek_d"];
            $od_mesice_post = $_POST["dat_zacatek_m"];
            $od_roky_post = $_POST["dat_zacatek_y"];
            
            $do_dny_post = $_POST["dat_konec_d"];
            $do_mesice_post = $_POST["dat_konec_m"];
            $do_roky_post = $_POST["dat_konec_y"];
            
            $deadline_dny_post = $_POST["deadline_d"];
            $deadline_mesice_post = $_POST["deadline_m"];
            $deadline_roky_post = $_POST["deadline_y"];
                    
            $notification_dny_post = $_POST["notification_d"];
            $notification_mesice_post = $_POST["notification_m"];
            $notification_roky_post = $_POST["notification_y"];
            
            $finalversion_dny_post = $_POST["finalversion_d"];
            $finalversion_mesice_post = $_POST["finalversion_m"];
            $finalversion_roky_post = $_POST["finalversion_y"];
            
            $odkaz = $_POST["homepage"];
            
            //nastaveni vsech selectu obsahujicich dny
            $deadline_dny = "";
            $notification_dny = "";
            $finalversion_dny = "";
            $od_dny = "";
            $do_dny = "";
            for ($i=1; $i<=31; $i++) {
              if ($i < 10) {
                $den = "0" . $i;
              }
              else {
                $den = $i;
              }
              if (intval($deadline_dny_post) == $i) {
                $deadline_selected = 'selected="selected"';
              }
              else {
                $deadline_selected = "";
              }
              if (intval($notification_dny_post) == $i) {
                $notification_selected = 'selected="selected"';
              }
              else {
                $notification_selected = "";
              }
              if (intval($finalversion_dny_post) == $i) {
                $finalversion_selected = 'selected="selected"';
              }
              else {
                $finalversion_selected = "";
              }
              if (intval($od_dny_post) == $i) {
                $od_selected = 'selected="selected"';
              }
              else {
                $od_selected = "";
              }
              if (intval($do_dny_post) == $i) {
                $do_selected = 'selected="selected"';
              }
              else {
                $do_selected = "";
              }
              $deadline_dny .= '<option value="' . $den . '"' .  " $deadline_selected>$den</option>\n";
              $notification_dny .= '<option value="' . $den . '"' .  " $notification_selected>$den</option>\n";
              $finalversion_dny .= '<option value="' . $den . '"' .  " $finalversion_selected>$den</option>\n";
              $od_dny .= '<option value="' . $den . '"' .  " $od_selected>$den</option>\n";
              $do_dny .= '<option value="' . $den . '"' .  " $do_selected>$den</option>\n";
            }
            
            //nastaveni vsech selectu obsahujicich mesice
            $deadline_mesice = "";
            $notification_mesice = "";
            $finalversion_mesice = "";
            $od_mesice = "";
            $do_mesice = "";
            for ($i=1; $i<=12; $i++) {
              if ($i < 10) {
                $mesic = "0" . $i;
              }
              else {
                $mesic = $i;
              }
              if (intval($deadline_mesice_post) == $i) {
                $deadline_selected = 'selected="selected"';
              }
              else {
                $deadline_selected = "";
              }
              if (intval($notification_mesice_post) == $i) {
                $notification_selected = 'selected="selected"';
              }
              else {
                $notification_selected = "";
              }
              if (intval($finalversion_mesice_post) == $i) {
                $finalversion_selected = 'selected="selected"';
              }
              else {
                $finalversion_selected = "";
              }
              if (intval($od_mesice_post) == $i) {
                $od_selected = 'selected="selected"';
              }
              else {
                $od_selected = "";
              }
              if (intval($do_mesice_post) == $i) {
                $do_selected = 'selected="selected"';
              }
              else {
                $do_selected = "";
              }
              $deadline_mesice .= '<option value="' . $mesic . '"' .  " $deadline_selected>$mesic</option>\n";
              $notification_mesice .= '<option value="' . $mesic . '"' .  " $notification_selected>$mesic</option>\n";
              $finalversion_mesice .= '<option value="' . $mesic . '"' .  " $finalversion_selected>$mesic</option>\n";
              $od_mesice .= '<option value="' . $mesic . '"' .  " $od_selected>$mesic</option>\n";
              $do_mesice .= '<option value="' . $mesic . '"' .  " $do_selected>$mesic</option>\n";
            }
            
            //nastaveni vsech selectu obsahujicich roky
            $deadline_roky = "";
            $notification_roky = "";
            $finalversion_roky = "";
            $od_roky = "";
            $do_roky = "";
            for ($i=(date("Y")-5); $i<=(date("Y")+5); $i++) {
              if (intval($deadline_roky_post) == $i) {
                $deadline_selected = 'selected="selected"';
              }
              else {
                $deadline_selected = "";
              }
              if (intval($notification_roky_post) == $i) {
                $notification_selected = 'selected="selected"';
              }
              else {
                $notification_selected = "";
              }
              if (intval($finalversion_roky_post) == $i) {
                $finalversion_selected = 'selected="selected"';
              }
              else {
                $finalversion_selected = "";
              }
              if (intval($od_roky_post) == $i) {
                $od_selected = 'selected="selected"';
              }
              else {
                $od_selected = "";
              }
              if (intval($do_roky_post) == $i) {
                $do_selected = 'selected="selected"';
              }
              else {
                $do_selected = "";
              }
              $deadline_roky .= '<option value="' . $i . '"' .  " $deadline_selected>$i</option>\n";
              $notification_roky .= '<option value="' . $i . '"' .  " $notification_selected>$i</option>\n";
              $finalversion_roky .= '<option value="' . $i . '"' .  " $finalversion_selected>$i</option>\n";
              $od_roky .= '<option value="' . $i . '"' .  " $od_selected>$i</option>\n";
              $do_roky .= '<option value="' . $i . '"' .  " $do_selected>$i</option>\n";
            }
            
            $periodicita = $_POST["periodicita"];
            switch ($periodicita) {
            	case 0:
            	 $periodicita_selected1 = 'selected="selected"';
            	 break;
            	case 90:
            	 $periodicita_selected2 = 'selected="selected"';
            	 break;
            	case 180:
            	 $periodicita_selected3 = 'selected="selected"';
            	 break;
            	case 365:
            	 $periodicita_selected4 = 'selected="selected"';
            	 break;
            	case 730:
            	 $periodicita_selected5 = 'selected="selected"';
            	 break;
            }

            //vypis temat se zaskrtnutim checkboxu u temat
            $onload = "onload=\"";
            $pole = array(false);
            $temata = zobrazTemataCheckbox(0, 0, $pole, "", false);
            $onload .= "\"";
          }
          else { //pokud je korektne vyplneno
            $_SESSION['odeslano'] = $_POST['odeslano'];
            //nacteni datumu ze selectu
            if ($dat_zacatek_na == '1') {
              $dat_zacatek = "0000-00-00";
            }
            else {
              $dat_zacatek = $_POST["dat_zacatek_y"]."-".$_POST["dat_zacatek_m"]."-".$_POST["dat_zacatek_d"];
            }
            if ($dat_konec_na=='1') {
              $dat_konec = "0000-00-00";
            }
            else {
              $dat_konec = $_POST["dat_konec_y"]."-".$_POST["dat_konec_m"]."-".$_POST["dat_konec_d"];
            }
            if ($dat_deadline_na=='1') {
              $dat_deadline = "0000-00-00";
            }
            else {
              $dat_deadline = $_POST["deadline_y"]."-".$_POST["deadline_m"]."-".$_POST["deadline_d"];
            }
            if ($dat_notifikace_na=='1') {
              $dat_notifikace = "0000-00-00";
            }
            else {
              $dat_notifikace = $_POST["notification_y"]."-".$_POST["notification_m"]."-".$_POST["notification_d"];
            }
            if ($dat_finalni_na=='1') {
              $dat_finalni = "0000-00-00";
            }
            else {
              $dat_finalni = $_POST["finalversion_y"]."-".$_POST["finalversion_m"]."-".$_POST["finalversion_d"];
            }
            
            $periodicita = $_POST["periodicita"];
            
            $chyby = "";
            $id_rodice = 0; //nova konference nema rodice, rodice ma pouze obnovena konference
            
            //nastaveni, zda-li konference bude v archivu nebo ne, zalezi na datumu konce terminu konani; pokud je toto datum N/A, ponecha se nastaveni archivu takove, jake bylo
            if ($dat_konec != "0000-00-00") {
              if ($dat_konec >= date("Y-m-d")) {
                $archiv = "0";
                $archivPoznamka = "";
              }
              else {
                $archiv = "1";
                $archivPoznamka = "<p><i>Konference byla přidána do archivu, protože datum konce konání konference je menší než dnešní datum.</i></p>";
              }
            }
            else {
              $archiv = "0";
              $archivPoznamka = "";
            }
            //vlozeni konference
            pripojitDB();
            $i = queryID (  "INSERT INTO konference(id_konf,id_uziv,zkratka,rok,nazev,homepage,stat,mesto,dat_vlozeni,dat_zacatek,".
                            "dat_konec,deadline,notification,finalversion,popis,archiv, id_rodice, periodicita) ".
                            "VALUES (NULL,".mysql_real_escape_string($_SESSION["uid"]).",'".mysql_real_escape_string($_POST["zkratka"])."','".mysql_real_escape_string($_POST["rok"])."','".mysql_real_escape_string($_POST["nazev"])."','".
                            mysql_real_escape_string($_POST["homepage"])."','".mysql_real_escape_string($_POST["stat"])."','".mysql_real_escape_string($_POST["mesto"])."',NOW(),'".mysql_real_escape_string($dat_zacatek)."','".
                            mysql_real_escape_string($dat_konec)."','".mysql_real_escape_string($dat_deadline)."','".mysql_real_escape_string($dat_notifikace)."','".mysql_real_escape_string($dat_finalni)."','".
                            mysql_real_escape_string($_POST["popis"])."','" . $archiv . "','" . "$id_rodice'" . ", '$periodicita" . "');");
            $id_konference = $i;
            
            //pridani konference do vsech autorovych skupin, ktere ma v seznamu
            $skupiny = vratMojeSkupiny();
            foreach ($skupiny as $skupina) {
               query( "INSERT INTO `skupinakonf` (`id_skupina`, `id_konf`) 
                  VALUES (".mysql_real_escape_string($skupina["id_skupina"]).",".mysql_real_escape_string($id_konference).")" );
            }
            
            if ($_POST["popis"] == "") {
              $popis = "(popis není neuveden)";
            }
            else {
              $popis = htmlspecialchars($_POST["popis"]);
            }
            //nastaveni dat k odeslani mailem
            $zprava = "Informace o konferenci:<br /><br />".
                      "Zkratka: " . htmlspecialchars($_POST["zkratka"]) . "<br />".
                      "Rok: " . $_POST["rok"] . "<br />".
                      "Název: " . htmlspecialchars($_POST["nazev"]) . "<br />".    
                      "Homepage: " . htmlspecialchars($_POST["homepage"]) . "<br />".
                      "Stát: " . htmlspecialchars($_POST["stat"]) . "<br />".
                      "Město: " . htmlspecialchars($_POST["mesto"]) . "<br />".
                      "Datum začátku: " . zmenFormatData($dat_zacatek) . "<br />".
                      "Datum konce: " . zmenFormatData($dat_konec) . "<br />".
                      "Deadline: " . zmenFormatData($dat_deadline) . "<br />".
                      "Notifikace: " . zmenFormatData($dat_notifikace) . "<br />".
                      "Finální verze: " . zmenFormatData($dat_finalni) . "<br />".
                      "<br />Popis:<br />" . $popis . "<br /><br />".
                      "Je zařazena do témat:<br />";
            
            //zarazeni konference do temat
            $pocet_skupin = mysql_num_rows($dotaz=query("SELECT id_tema FROM tema ORDER BY id_tema"));
            $k = 0;    
            for ($k=0; $k < $pocet_skupin; $k++) {
              $radek = mysql_fetch_array($dotaz);
              $temataOdeslat[$k] = $radek[0]; 
            }
            //smazani vsech temat prirazenych teto konferenci (nepravdepodobne, ze by nejake zaznamy byly),
            //nutne udelat zde (v samostatnem cyklu), jinak by dochazelo ke smazani zaznamu ulozenych pomoci funkce zaradPredky()!
            for ($j=0; $j < $k; $j++) {     
              query("DELETE FROM `konftema` WHERE id_tema=$temataOdeslat[$j] AND id_konf=".(isset($i)?" $i " : "0"));
            }
            for ($j=0; $j < $k; $j++) {     
              if ($_POST["sk".$temataOdeslat[$j]] == "on") { // pokud ma byt konference zarazena do tematu
                //zarad konferenci pouze pokud tento zaznam jiz neexistuje (muze nastat pokud uzivatel vybere i predka vybraneho tematu)
                if (mysql_num_rows(query("SELECT id_konf FROM konftema WHERE id_tema=$temataOdeslat[$j] AND id_konf=" . ((isset($i) && $i!=-1 ? " $i " : "0")) . " LIMIT 1")) == 0) {
                  query("INSERT INTO `konftema` ( id_konf, id_tema) VALUES (" . ((isset($i) && $i!=-1 ? " $i " : "0") . ", $temataOdeslat[$j]") . ")");
                  zaradPredky($temataOdeslat[$j], $i);
                }                             
              }
            }
            
            //id temat, do kterych konference patri
            if (mysql_num_rows($dotaz2=query("SELECT id_tema FROM tema LEFT JOIN konftema USING (id_tema) WHERE id_konf='$i'"))>0) {
              $j=0;
              while ($radek2=mysql_fetch_array($dotaz2)) {
                $poleTemat[$j] = $radek2[0];
                $j++;
              }
              $zprava .= zobrazTemataKamPatriBezObrazku(0, 0, $poleTemat);
            }
            //zjisteni peti nejaktualnejsich konferenci (po odeslani muze byt nove vlozena konference mezi nejaktualnejsimi)
            $petNejaktualnejsich = petNejaktualnejsich();
            
            //nastaveni predmetu do upozornovaciho emailu
            $predmet = "Byla přidána konference " . htmlspecialchars($_POST["zkratka"]) . " " . $_POST["rok"];
           
            $prijemci = zjistiOdberatele($i, "konference");
            if (strlen($prijemci) > 0) {
              posliMail($predmet, $prijemci, $zprava);
            }
            
            header("Location: skupiny_konference.php?id=".$id_konference."&new");
            
            $info = "<h3>Konference " . htmlspecialchars($_POST["zkratka"]) . " " . $_POST["rok"] . " byla úspěšně přidána.</h3>" . $archivPoznamka;
            $nazev_konference = htmlspecialchars($_POST["nazev"]);
            $info .= "<br /><a href=\"kategorie_konference.php?id={$id_konference}\" class=\"tlacitko_akce\" style=\"width: 50%; display: block;\">Přejít na kategorie konference \"$nazev_konference\"</a><br />";
            $info .= "<br /><a href=\"osobni_konference.php?id={$id_konference}\" class=\"tlacitko_akce\" style=\"width: 50%; display: block;\">Přidat konferenci \"$nazev_konference\" do osobních</a><br />";
            $info .= "<br /><a href=\"index.php\"><img src=\"./graf/sipka_nalevo.gif\" alt=\"sipka\" class=\"sipka_nalevo\" />přejít na seznam konferencí</a>";
          }
        }
      }
    }
    else $info = "<h3>Pro přidání konference nemáte dostatečná oprávnění.</h3>";
  }
  else $info = "<h3>Pro přidání konference se musíte nejprve <a href=\"login.php\">přihlásit</a>.</h3>";
  
  require("./smarty.php");
  $smarty = new KonfSmarty;

  $smarty->assign("prihlaseni", $prihlaseni);
  $smarty->assign("action_edit", $action_edit);
  $smarty->assign("petNejaktualnejsich", $petNejaktualnejsich);
  $smarty->assign("nadpis", $nadpis);
  $smarty->assign("nazev", $nazev);
  $smarty->assign("zkratka", $zkratka);
  $smarty->assign("rok", $rok);
  $smarty->assign("odkaz", $odkaz);
  $smarty->assign("mesto", $mesto);
  $smarty->assign("stat", $stat);
  $smarty->assign("popis", $popis);
  $smarty->assign("temata", $temata);
  $smarty->assign("deadline_disabled", $deadline_disabled);
  $smarty->assign("notification_disabled", $notification_disabled);
  $smarty->assign("finalversion_disabled", $finalversion_disabled);
  $smarty->assign("od_disabled", $od_disabled);
  $smarty->assign("do_disabled", $do_disabled);
  $smarty->assign("deadline_dny", $deadline_dny);
  $smarty->assign("notification_dny", $notification_dny);
  $smarty->assign("finalversion_dny", $finalversion_dny);
  $smarty->assign("od_dny", $od_dny);
  $smarty->assign("do_dny", $do_dny);
  $smarty->assign("deadline_mesice", $deadline_mesice);
  $smarty->assign("notification_mesice", $notification_mesice);
  $smarty->assign("finalversion_mesice", $finalversion_mesice);
  $smarty->assign("od_mesice", $od_mesice);
  $smarty->assign("do_mesice", $do_mesice);
  $smarty->assign("deadline_roky", $deadline_roky);
  $smarty->assign("notification_roky", $notification_roky);
  $smarty->assign("finalversion_roky", $finalversion_roky);
  $smarty->assign("od_roky", $od_roky);
  $smarty->assign("do_roky", $do_roky);
  $smarty->assign("deadline_checked", $deadline_checked);
  $smarty->assign("notification_checked", $notification_checked);
  $smarty->assign("finalversion_checked", $finalversion_checked);
  $smarty->assign("od_checked", $od_checked);
  $smarty->assign("do_checked", $do_checked);
  $smarty->assign("temata", $temata);
  $smarty->assign("info", $info);
  $smarty->assign("chyby", $chyby);
  $smarty->assign("dvojiOdeslani", $dvojiOdeslani);
  $smarty->assign("debug", $debug);
  $smarty->assign("tlacitkoVyhledat", $tlacitkoVyhledat);
  $smarty->assign("formHledaniZacatek", $formHledaniZacatek);
  $smarty->assign("formHledaniKonec", $formHledaniKonec);
  $smarty->assign("searchExterni", $searchExterni);
  $smarty->assign("periodicita_selected1", $periodicita_selected1);
  $smarty->assign("periodicita_selected2", $periodicita_selected2);
  $smarty->assign("periodicita_selected3", $periodicita_selected3);
  $smarty->assign("periodicita_selected4", $periodicita_selected4);
  $smarty->assign("periodicita_selected5", $periodicita_selected5);
  $smarty->assign("onload", $onload);

  $smarty->display("pridani_a_editace_konference.tpl");
  
  if ($pripojeni) {
    odpojitDB($pripojeni);
  }
  
?>