<?php
  session_start();

  require_once("funkce.php");
  
  //nastaveni pole pro vyhledavani
  $searchExterni = '<input name="search_externi" value="" type="text" />';
  //nastevni popisku tlacitka vyhledavani
  $tlacitkoVyhledat = "Vyhledat konferenci";
  //nastaveni zacatku a konce vyhledavaciho formulare
  $formHledaniZacatek = "<form action=\"index.php\" method=\"post\">";
  $formHledaniKonec = "</form>";
  
  //nastaveni odkazu prihlasit/odhlasit
  $prihlaseni = loginLogout();
  
  //zjisteni peti nejaktualnejsich konferenci
  $petNejaktualnejsich = petNejaktualnejsich(); 
  
  $submitvalue = "Změnit příspěvek";
  $nadpis = "Editovat příspěvek";
  $info = $error = $nazev = $action = $nazevKonference = $idKonference = $idPrispevek = $prijat = "";
  
  if (prihlasen()) {
    if (isset($_GET["id"]) && is_numeric($_GET["id"]) && ($_GET["id"] >= 0)) {  // zadane id konference je realne
      $dotazKonf = query("SELECT * FROM konference WHERE id_konf=".mysql_real_escape_string($_GET["id"])." LIMIT 1");
      $resultKonf = mysql_fetch_array($dotazKonf);
      if (!empty($resultKonf)) {                                                // konference existuje v db
        $nazevKonference = $resultKonf["zkratka"];
        $idKonference = $resultKonf["id_konf"];
        if (isset($_GET["prisp"]) && is_numeric($_GET["prisp"]) && ($_GET["prisp"] >= 0)) {  // zadane id prispevku je realne
          $dotazPrisp = query("SELECT * FROM prispevek WHERE id_prispevek=".mysql_real_escape_string($_GET["prisp"])." LIMIT 1");
          $resultPrisp = mysql_fetch_array($dotazPrisp);
          if (!empty($resultPrisp)) {                                           // prispevek existuje v db
            $nazev = $resultPrisp["nazev"];
            $prijat = $resultPrisp["prijat"];
            $idPrispevek = $resultPrisp["id_prispevek"];
            $action = "prispevek_konference_editovat.php?id=$idKonference&prisp=$idPrispevek";
            if (!empty($_POST)) {
              if (!empty($_POST["nazev"])) { 
                $nazev = htmlspecialchars($_POST["nazev"]);
                if (isset($_POST["prijat"])) $prijat = "1";
                else $prijat = "0";
                query("UPDATE `prispevek` SET `nazev`='".mysql_real_escape_string($nazev)."', `prijat`='$prijat' WHERE id_prispevek=".$idPrispevek);
                $info = "<h3>Příspěvek byl úspěšně změněn.</h3>";
                $info .= "<br /><a href=\"prispevky_konference.php?id=$idKonference\"><img src=\"./graf/sipka_nalevo.gif\" alt=\"sipka\" class=\"sipka_nalevo\" />přejít na seznam příspěvků konference</a>";
              }
              else 
                $error = "<h3 style=\"color:red;\">Vyplňte prosím název příspěvku.</h3>";
            }
          }
          else $info = "<h3>Požadovaný příspěvek neexistuje.</h3>";
        }
        else $info = "<h3>Zadané ID příspěvku není platné.</h3>";
      }
      else $info = "<h3>Daná konference neexistuje.</h3>";
    }
    else $info = "<h3>Zadané ID konference není platné.</h3>";
  }
  else $info = "<h3>K vykonání této akce se musíte nejprve <a href=\"login.php\">přihlásit</a>.</h3>";
  
  
  require("./smarty.php");
  $smarty = new KonfSmarty;
  
  $smarty->assign("prihlaseni", $prihlaseni);
  $smarty->assign("petNejaktualnejsich", $petNejaktualnejsich);
  $smarty->assign("tlacitkoVyhledat", $tlacitkoVyhledat);
  $smarty->assign("formHledaniZacatek", $formHledaniZacatek);
  $smarty->assign("formHledaniKonec", $formHledaniKonec);
  $smarty->assign("searchExterni", $searchExterni);
  $smarty->assign("info", $info);
  $smarty->assign("error", $error);
  $smarty->assign("nazev", $nazev);
  $smarty->assign("prijat", $prijat);
  $smarty->assign("action", $action);
  $smarty->assign("nadpis", $nadpis); 
  $smarty->assign("submitvalue", $submitvalue);
  $smarty->assign("nazevKonference", $nazevKonference);
  $smarty->assign("idKonference", $idKonference);

  $smarty->display("prispevek_konference.tpl");
  
  if ($pripojeni) {
    odpojitDB($pripojeni);
  }
?>