<?php
  session_start();

  require_once("funkce.php");
  
  //nastaveni pole pro vyhledavani
  $searchExterni = '<input name="search_externi" value="" type="text" />';
  //nastevni popisku tlacitka vyhledavani
  $tlacitkoVyhledat = "Vyhledat konferenci";
  //nastaveni zacatku a konce vyhledavaciho formulare
  $formHledaniZacatek = "<form action=\"index.php\" method=\"post\">";
  $formHledaniKonec = "</form>";
  
  //nastaveni odkazu prihlasit/odhlasit
  $prihlaseni = loginLogout();
  
  //zjisteni peti nejaktualnejsich konferenci
  $petNejaktualnejsich = petNejaktualnejsich();
  
  $info = $nadpis = $akce_odstranit = $text = $nazev = "";
  
  if (prihlasen()) {
    if (isset($_GET["prisp"]) && is_numeric($_GET["prisp"]) && ($_GET["prisp"] >= 0)) {  // zadane id prispevku je realne
      $dotazPrisp = query("SELECT * FROM prispevek WHERE id_prispevek=".mysql_real_escape_string($_GET["prisp"])." LIMIT 1");
      $resultPrisp = mysql_fetch_array($dotazPrisp);
      if (!empty($resultPrisp)) {                                               // prispevek existuje v db
        $idPrispevek = $resultPrisp["id_prispevek"];
        $idKonf = $resultPrisp["id_konf"];
        $nazev = $resultPrisp["nazev"];
        $action = "prispevek_konference_odstranit.php?prisp=$idPrispevek";
        if (empty($_POST)) { 
            $nadpis = "Smazání příspěvku";
            $text = "Opravdu chcete smazat příspěvek \"$nazev\"?";
        }
        else {                                                                  //pokud je neco odeslano
          if (isset($_POST["ano"])) {
            //mazani prispevku
            query("DELETE FROM prispevek WHERE id_prispevek=$idPrispevek");  
            $info = "<h3>Příspěvek byl úspěšně smazán.</h3>";
            $zpet = "<br /><a href=\"prispevky_konference.php?id=".$idKonf."\"><img src=\"./graf/sipka_nalevo.gif\" alt=\"sipka\" class=\"sipka_nalevo\" />zpět na seznam příspěvků</a>";
            $info .= $zpet;
          }
          if (isset($_POST["ne"])) {
            header("Location: prispevky_konference.php?id=".$idKonf);
          }
        }
      }
      else $info = "<h3>Požadovaný příspěvek neexistuje.</h3>";
    }
    else $info = "<h3>Zadané ID příspěvku není platné.</h3>";
  }
  else $info = "<h3>K vykonání této akce se musíte nejprve <a href=\"login.php\">přihlásit</a>.</h3>";
  
  
  require("./smarty.php");
  $smarty = new KonfSmarty;
  
  $smarty->assign("prihlaseni", $prihlaseni);
  $smarty->assign("petNejaktualnejsich", $petNejaktualnejsich);
  $smarty->assign("tlacitkoVyhledat", $tlacitkoVyhledat);
  $smarty->assign("formHledaniZacatek", $formHledaniZacatek);
  $smarty->assign("formHledaniKonec", $formHledaniKonec);
  $smarty->assign("searchExterni", $searchExterni);
  $smarty->assign("info", $info);
  $smarty->assign("nazev", $nazev);
  $smarty->assign("text", $text);
  $smarty->assign("nadpis", $nadpis);
  $smarty->assign("akce_odstranit", $akce_odstranit);

  $smarty->display("odstranit.tpl");
  
  if ($pripojeni) {
    odpojitDB($pripojeni);
  }
?>