<?php
  session_start();

  require_once("funkce.php");
  
  //nastaveni pole pro vyhledavani
  $searchExterni = '<input name="search_externi" value="" type="text" />';
  //nastevni popisku tlacitka vyhledavani
  $tlacitkoVyhledat = "Vyhledat konferenci";
  //nastaveni zacatku a konce vyhledavaciho formulare
  $formHledaniZacatek = "<form action=\"index.php\" method=\"post\">";
  $formHledaniKonec = "</form>";
  
  //nastaveni odkazu prihlasit/odhlasit
  $prihlaseni = loginLogout();
  
  //zjisteni peti nejaktualnejsich konferenci
  $petNejaktualnejsich = petNejaktualnejsich(); 
  
  $submitvalue = "Vytvořit příspěvek";
  $info = $error = $nazev = $action = $nazevKonference = $idKonference = $nadpis = "";
  
  if (prihlasen()) {
    if (isset($_GET["id"]) && is_numeric($_GET["id"]) && ($_GET["id"] >= 0)) {  // zadane id konference je realne
      $dotazKonf = query("SELECT * FROM konference WHERE id_konf=".mysql_real_escape_string($_GET["id"])." LIMIT 1");
      $result = mysql_fetch_array($dotazKonf);
      if (!empty($result)) {                                                    // konference existuje v db
        $nazevKonference = $result["zkratka"];
        $idKonference = $result["id_konf"];
        $action = "prispevek_konference_vytvorit.php?id=$idKonference";
        $nadpis = "Vytvořit nový příspěvek ke konferenci ".$nazevKonference;
        if (!empty($_POST)) {
          if (!empty($_POST["nazev"])) { 
            $nazev = htmlspecialchars($_POST["nazev"]);
            if (isset($_POST["prijat"])) $prijat = "1";
            else $prijat = "0";
            
            if (mysql_num_rows(query("SELECT * FROM prispevek WHERE nazev=\"$nazev\" LIMIT 1")) == 0) {
              query("INSERT INTO `prispevek` (`id_prispevek`, `id_konf`, `nazev`, `prijat`) 
                    VALUES (NULL, '".mysql_real_escape_string($_GET["id"])."', '".mysql_real_escape_string($nazev)."', $prijat)");
            }
            $info = "<h3>Příspěvek byl úspěšně vytvořen a přiřazen ke konferenci.</h3>";
            $info .= "<br /><a href=\"prispevky_konference.php?id=$idKonference\"><img src=\"./graf/sipka_nalevo.gif\" alt=\"sipka\" class=\"sipka_nalevo\" />přejít na seznam příspěvků konference</a>";
          }
          else 
            $error = "<h3 style=\"color:red;\">Vyplňte prosím název příspěvku.</h3>";
        }
      }
      else $info = "<h3>Daná konference neexistuje.</h3>";
    }
    else $info = "<h3>Zadané ID není platné.</h3>";
  }
  else $info = "<h3>K vykonání této akce se musíte nejprve <a href=\"login.php\">přihlásit</a>.</h3>";
  
  
  require("./smarty.php");
  $smarty = new KonfSmarty;
  
  $smarty->assign("prihlaseni", $prihlaseni);
  $smarty->assign("petNejaktualnejsich", $petNejaktualnejsich);
  $smarty->assign("tlacitkoVyhledat", $tlacitkoVyhledat);
  $smarty->assign("formHledaniZacatek", $formHledaniZacatek);
  $smarty->assign("formHledaniKonec", $formHledaniKonec);
  $smarty->assign("searchExterni", $searchExterni);
  $smarty->assign("info", $info);
  $smarty->assign("error", $error);
  $smarty->assign("nazev", $nazev);
  $smarty->assign("action", $action);
  $smarty->assign("nadpis", $nadpis); 
  $smarty->assign("submitvalue", $submitvalue);
  $smarty->assign("nazevKonference", $nazevKonference);
  $smarty->assign("idKonference", $idKonference);

  $smarty->display("prispevek_konference.tpl");
  
  if ($pripojeni) {
    odpojitDB($pripojeni);
  }
?>