<?php
  session_start();

  require_once("funkce.php");
  
  //nastaveni pole pro vyhledavani
  $searchExterni = '<input name="search_externi" value="" type="text" />';
  //nastaveni popisku tlacitka vyhledavani
  $tlacitkoVyhledat = "Vyhledat konferenci";
  //nastaveni zacatku a konce vyhledavaciho formulare
  $formHledaniZacatek = "<form action=\"index.php\" method=\"post\">";
  $formHledaniKonec = "</form>";
  
  //nastaveni odkazu prihlasit/odhlasit
  $prihlaseni = loginLogout();

  //zjisteni peti nejaktualnejsich konferenci
  $petNejaktualnejsich = petNejaktualnejsich();
  
  $prispevky = array();
  $nazevKonference = $idKonference = $info = "";
  $all = false;
  

  if (prihlasen()) {
    if (isset($_GET["id"]) && is_numeric($_GET["id"]) && ($_GET["id"] >= 0)) {  // zadane id konference je realne
      $dotazKonf = query("SELECT * FROM konference WHERE id_konf=".mysql_real_escape_string($_GET["id"])." LIMIT 1");
      $result = mysql_fetch_array($dotazKonf);
      if (!empty($result)) {                                                    // konference existuje v db
        $nazevKonference = $result["zkratka"];
        $idKonference = $result["id_konf"];
        $idRodice = $result["id_rodice"];
        
        $dotazPrispevkuRetezec = "SELECT (SELECT CONCAT(zkratka, ' ', rok) FROM konference WHERE id_konf=$idKonference) AS konference, 
                                  id_prispevek, id_konf, nazev, prijat FROM prispevek WHERE id_konf=$idKonference ORDER BY nazev";
        $dotazPrispevku = query($dotazPrispevkuRetezec);
        while ($radek = mysql_fetch_array($dotazPrispevku)) {
           $prispevky[] = $radek; 
        }
        
        if (isset($_GET["all"])) {
          $all = true;
          while ($idRodice != 0) {
             $dotazPrispevkuRetezec = "SELECT (SELECT CONCAT(zkratka, ' ', rok) FROM konference WHERE id_konf=$idRodice) AS konference, 
                                  id_prispevek, id_konf, nazev, prijat FROM prispevek WHERE id_konf=$idRodice ORDER BY nazev";
             $dotazPrispevku = query($dotazPrispevkuRetezec);
             while ($radek = mysql_fetch_array($dotazPrispevku)) {
                $prispevky[] = $radek; 
             }
             $dotazKonf = query("SELECT * FROM konference WHERE id_konf=$idRodice LIMIT 1");
             $result = mysql_fetch_array($dotazKonf);
             if (!empty($result)) $idRodice = $result["id_rodice"]; 
          
          }
        }
      }
      else $info = "<h3>Daná konference neexistuje.</h3>";
    }
    else $info = "<h3>Zadané ID není platné.</h3>";
  }
  else $info = "<h3>Pro zobrazení příspěvků se musíte nejprve <a href=\"login.php\">přihlásit</a>.</h3>";
  
  
  require("./smarty.php");
  $smarty = new KonfSmarty;
  
  $smarty->assign("prihlaseni", $prihlaseni);
  $smarty->assign("petNejaktualnejsich", $petNejaktualnejsich);
  $smarty->assign("info", $info);
  $smarty->assign("tlacitkoVyhledat", $tlacitkoVyhledat);
  $smarty->assign("formHledaniZacatek", $formHledaniZacatek);
  $smarty->assign("formHledaniKonec", $formHledaniKonec);
  $smarty->assign("searchExterni", $searchExterni);
  $smarty->assign("prispevky", $prispevky);
  $smarty->assign("nazevKonference", $nazevKonference);
  $smarty->assign("idKonference", $idKonference);
  $smarty->assign("all", $all);

  $smarty->display("prispevky_konference.tpl");
  
  if ($pripojeni) {
    odpojitDB($pripojeni);
  }
?>