<?php
  session_start();

  require_once("funkce.php");
  
  //nastaveni pole pro vyhledavani
  $searchExterni = '<input name="search_externi" value="" type="text" />';
  //nastevni popisku tlacitka vyhledavani
  $tlacitkoVyhledat = "Vyhledat konferenci";
  //nastaveni zacatku a konce vyhledavaciho formulare
  $formHledaniZacatek = "<form action=\"index.php\" method=\"post\">";
  $formHledaniKonec = "</form>";
  $info = "";
  
  //nastaveni odkazu prihlasit/odhlasit
  $prihlaseni = loginLogout(); 
  
  //pro zjisteni, ktere polozky menu se maji zobrazit 
  $muzeSpravovatUzivatele = muzeSpravovatUzivatele();
  $muzeSpravovatTemata = muzeSpravovatTemata();
  $info = $error = "";
  $nazev = $popis = "";
  $uspech = false;
  $zpet = "skupina_seznam.php?moje";
  $nadpis = "Editace skupiny";
  $action = "skupina_editovat.php";
  $submitvalue = "Editovat skupinu"; 
  
  if (prihlasen()) {
    if ( isset($_GET["id"]) && is_numeric($_GET["id"]) && ($_GET["id"] >= 0) ) {  // zadane id skupiny je realne
      $dotazSkup = query("SELECT * FROM skupina WHERE id_skupina=".mysql_real_escape_string($_GET["id"])." LIMIT 1");
      $result = mysql_fetch_array($dotazSkup);
      if (!empty($result)) {                                                      // skupina existuje v db
        if ( jeAdmin() || jeAutoremSkupiny($_GET["id"]) ) {                       // uzivatel ma potrebna prava
          $idSkupiny = $result["id_skupina"];                                             
          $nazev = $result["nazev"];
          $popis = $result["popis"];
          if ($popis == "NULL") $popis = "";
          $action = "skupina_editovat.php?id=$idSkupiny";
          
          if (!empty($_POST)) {
            if (!empty($_POST["nazev"])) 
              $nazev = htmlspecialchars($_POST["nazev"]);
            else 
              $error = "Vyplňte prosím název skupiny.<br />";
            
            if (!empty($_POST["popis"])) 
              $popis = htmlspecialchars($_POST["popis"]);
            else 
              $popis = "NULL";
            if (strlen($popis) > 200)
              $error .= "Maximální délka popisu je 200 znaků.<br />";
              
            if (empty($error)) {
              if (mysql_num_rows(query("SELECT id_skupina FROM skupina WHERE nazev=\"$nazev\" LIMIT 1")) == 0) {
                query("UPDATE `skupina` SET `nazev`='".mysql_real_escape_string($nazev)."', 
                                            `popis`='".mysql_real_escape_string($popis)."' 
                                            WHERE id_skupina=".$idSkupiny);
                                            
                $info = "Skupina '".$nazev."' byla úspěšně změněna.";
              }
              else $info = "Skupina '".$nazev."' již existuje.";
              
              $uspech = true;
            }
            else {
              if ($popis == "NULL") $popis = "";
            }
            
            if (isset($_POST["zpet_hidden"]))
              $zpet = $_POST["zpet_hidden"];
            else
              $zpet = "skupina_seznam.php?moje";
            
          }
          else $zpet = $_SERVER["HTTP_REFERER"];
        }
        else $info = "K editaci skupiny nemáte dostatečná práva.";
      }
      else $info = "Požadovaná skupina neexistuje.";
    }
    else $info = "Zadané ID skupiny není platné.";
  }
  else $info = "Pro přidání nové skupiny se musíte nejprve <a href=\"login.php\">přihlásit</a>.";
  
  
  require("./smarty.php");
  $smarty = new KonfSmarty;
  
  $smarty->assign("prihlaseni", $prihlaseni);
  $smarty->assign("tlacitkoVyhledat", $tlacitkoVyhledat);
  $smarty->assign("formHledaniZacatek", $formHledaniZacatek);
  $smarty->assign("formHledaniKonec", $formHledaniKonec);
  $smarty->assign("searchExterni", $searchExterni);
  $smarty->assign("muzeSpravovatUzivatele", $muzeSpravovatUzivatele);
  $smarty->assign("muzeSpravovatTemata", $muzeSpravovatTemata);
  $smarty->assign("info", $info);
  $smarty->assign("error", $error);
  $smarty->assign("nazev", $nazev);
  $smarty->assign("popis", $popis);
  $smarty->assign("uspech", $uspech);
  $smarty->assign("zpet", $zpet);
  $smarty->assign("nadpis", $nadpis);
  $smarty->assign("action", $action); 
  $smarty->assign("submitvalue", $submitvalue);

  $smarty->display("skupina.tpl");
  
  if ($pripojeni) {
    odpojitDB($pripojeni);
  }
?>