<?php
  session_start();
  
  require_once("funkce.php");
  
  //nastaveni pole pro vyhledavani
  $searchExterni = '<input name="search_externi" value="" type="text" />';
  //nastevni popisku tlacitka vyhledavani
  $tlacitkoVyhledat = "Vyhledat konferenci";
  //nastaveni zacatku a konce vyhledavaciho formulare
  $formHledaniZacatek = "<form action=\"index.php\" method=\"post\">";
  $formHledaniKonec = "</form>";
  
  //nastaveni odkazu prihlasit/odhlasit
  $prihlaseni = loginLogout(); 
  
  //zjisteni, ktere polozky menu se maji zobrazit
  $jeAdmin = jeAdmin();
  $muzeSpravovatUzivatele = muzeSpravovatUzivatele();
  $muzeSpravovatTemata = muzeSpravovatTemata();
  $info = "";
  $mojeSkup = false;
  $adminSkup = false;
  $neaktivniSkup = 0;
  $skupiny = array();
  
  
  if (prihlasen()) {
    if (isset($_GET["moje"])) {
      $skupiny = vratMojeSkupiny();
      for ($i=0; $i<sizeof($skupiny); $i++) {
        $skupiny[$i]["odebrat"] = true;
        if (isset($skupiny[$i]["jsemAutor"])) {
          $skupiny[$i]["smazat"] = true;
          $skupiny[$i]["editovat"] = true;
        }
      }
      $mojeSkup = true;
      if ($jeAdmin) {
        $dotaz = query("SELECT COUNT(*) FROM skupina WHERE aktivni=0");
        $result = mysql_fetch_array($dotaz);
        $neaktivniSkup = $result[0];
      }
    }
    elseif (isset($_GET["admin"])) {
      if ($jeAdmin) {
        $skupiny = vratVsechnySkupiny();
        for ($i=0; $i<sizeof($skupiny); $i++) {
          if (!$skupiny[$i]['aktivni']) {
             $skupiny[$i]["schvalit"] = true;
             $skupiny[$i]["zamitnout"] = true;
          }
          else {
            $skupiny[$i]["smazat"] = true;
            $skupiny[$i]["editovat"] = true;
            $skupiny[$i]["uzivatele"] = true;
          }
        }
        $adminSkup = true;
      }
      else {
        $info = "Nemáte dostatečná práva pro zobrazení obsahu na této stránce.";
      }
    }
    else {
      $skupiny = vratVolneSkupiny();
      for ($i=0; $i<sizeof($skupiny); $i++) {
        $skupiny[$i]["pridat"] = true;
        if (isset($skupiny[$i]["jsemAutor"])) {
          $skupiny[$i]["smazat"] = true;
          $skupiny[$i]["editovat"] = true;
        }
      }
    }
  }
  else {
    $info = "Pro zobrazení seznamu skupin se musíte nejprve <a href=\"login.php\">přihlásit</a>.";
  }
  
  
  require("./smarty.php");
  $smarty = new KonfSmarty;
  
  $smarty->assign("prihlaseni", $prihlaseni);
  $smarty->assign("tlacitkoVyhledat", $tlacitkoVyhledat);
  $smarty->assign("formHledaniZacatek", $formHledaniZacatek);
  $smarty->assign("formHledaniKonec", $formHledaniKonec);
  $smarty->assign("searchExterni", $searchExterni);
  $smarty->assign("muzeSpravovatUzivatele", $muzeSpravovatUzivatele);
  $smarty->assign("muzeSpravovatTemata", $muzeSpravovatTemata);
  $smarty->assign("info", $info);
  $smarty->assign("mojeSkup", $mojeSkup);
  $smarty->assign("adminSkup", $adminSkup);
  $smarty->assign("neaktivniSkup", $neaktivniSkup);
  $smarty->assign("jeAdmin", $jeAdmin);                                                     
  $smarty->assign("skupiny", $skupiny);

  $smarty->display("skupina_seznam.tpl");
  
  if ($pripojeni) {
    odpojitDB($pripojeni);
  }
  
?>