<?php
  session_start();

  require_once("funkce.php");
  
  //nastaveni pole pro vyhledavani
  $searchExterni = '<input name="search_externi" value="" type="text" />';
  //nastevni popisku tlacitka vyhledavani
  $tlacitkoVyhledat = "Vyhledat konferenci";
  //nastaveni zacatku a konce vyhledavaciho formulare
  $formHledaniZacatek = "<form action=\"index.php\" method=\"post\">";
  $formHledaniKonec = "</form>";
  
  //nastaveni odkazu prihlasit/odhlasit
  $prihlaseni = loginLogout();

  //zjisteni peti nejaktualnejsich konferenci
  $petNejaktualnejsich = petNejaktualnejsich();
  
  $skupiny = array();
  $uspech = false;
  $nazevKonference = $idKonference = $info = $error = "";
  $new = false; // priznak, zda se prirazuji skupiny nove konferenci
  
  if (prihlasen()) {
    if (muzeMazatUpravovat() || jeAutoremKonference($id)) {                       // pokud ma uzivatel dostatecna prava
      if (isset($_GET["id"]) && is_numeric($_GET["id"]) && ($_GET["id"] >= 0)) {  // zadane id konference je realne
        $dotazKonf = query("SELECT * FROM konference WHERE id_konf=".mysql_real_escape_string($_GET["id"]));
        $result = mysql_fetch_array($dotazKonf);
        if (!empty($result)) {                                                    // konference existuje v db
          $nazevKonference = $result["zkratka"];
          $idKonference = $result["id_konf"];
          
          if (isset($_GET["new"])) $new = true;                                 // vytvari se nova konference
          
          if (!empty($_POST)) {
            if (isset($_POST["skupiny"])) {                                     // formular se skupinami byl odeslan neprazdny
              query( "DELETE FROM `skupinakonf` WHERE id_konf=".$_GET["id"] );  // smazat vsechny vztahy
                        
              foreach ($_POST["skupiny"] as $id_skupina) {                      // vytvorit nove vztahy
                query( "INSERT INTO `skupinakonf` (`id_skupina`, `id_konf`) 
                  VALUES (".mysql_real_escape_string($id_skupina).",".mysql_real_escape_string($_GET["id"]).")" );
              }
              
              if ($new)
                header("Location: kategorie_konference.php?id=".$idKonference."&new"); // presmerovani na kategorie
              else
                $uspech = true;
            }
            // nebyla vybrana zadna skupina
            else
              $error = "Zvolte prosím alespoň jednu skupinu.";
          }
          
          //nabidka skupin
          $dotazSkupinRetezec = "SELECT skupinauziv.id_uziv,skupina.id_skupina,id_konf,nazev
                                FROM skupinauziv RIGHT JOIN skupina USING (id_skupina) LEFT JOIN skupinakonf USING (id_skupina)
                                WHERE skupina.aktivni=1
                                ORDER BY skupina.id_skupina";
          $dotazSkupin = query($dotazSkupinRetezec);
          while ($radek = mysql_fetch_array($dotazSkupin)) {
              if ($radek["id_konf"] == $_GET["id"])
                $radek["checked"] = "1";
              if ($radek["id_uziv"] == $_SESSION["uid"])
                $radek["moje"] = "1";
              if (isset($skupiny[$radek["id_skupina"]])) {  // dana skupina uz je zarazena v poli
                // ...ale neni oznacena, nova oznacena skupina ma prednost
                if ( !isset($skupiny[$radek["id_skupina"]]["checked"]) && isset($radek["checked"]) ) { 
                   $skupiny[$radek["id_skupina"]] = $radek;
                }
              }
              else {                                        // skupina jeste neni v poli
                $skupiny[$radek["id_skupina"]] = $radek;
              }
              // skupina je v poli, ale nema priznak, ze patri mezi moje skupiny, pricemz ho mit ma
              if ( !isset($skupiny[$radek["id_skupina"]]["moje"]) && isset($radek["moje"]) )
                $skupiny[$radek["id_skupina"]]["moje"] = "1";
          }
        }
        else $info = "Daná konference neexistuje.";
      }
      else $info = "Zadané ID není platné.";  
    }
    else $info = "Pro editaci skupin dané konference nemáte dostatečná práva.";
  }
  else $info = "Pro editaci skupin dané konference se musíte nejprve <a href=\"login.php\">přihlásit</a>.";
  
  
  require("./smarty.php");
  $smarty = new KonfSmarty;
  
  $smarty->assign("prihlaseni", $prihlaseni);
  $smarty->assign("petNejaktualnejsich", $petNejaktualnejsich);
  $smarty->assign("info", $info);
  $smarty->assign("tlacitkoVyhledat", $tlacitkoVyhledat);
  $smarty->assign("formHledaniZacatek", $formHledaniZacatek);
  $smarty->assign("formHledaniKonec", $formHledaniKonec);
  $smarty->assign("searchExterni", $searchExterni);
  $smarty->assign("skupiny", $skupiny);
  $smarty->assign("nazevKonference", $nazevKonference);
  $smarty->assign("idKonference", $idKonference); 
  $smarty->assign("uspech", $uspech);  
  $smarty->assign("new", $new);   
  $smarty->assign("error", $error);

  $smarty->display("skupiny_konference.tpl");
  
  if ($pripojeni) {
    odpojitDB($pripojeni);
  }
?>