<?php
  session_start();

  require_once("funkce.php");
  
  //nastaveni pole pro vyhledavani
  $searchExterni = '<input name="search_externi" value="" type="text" />';
  //nastevni popisku tlacitka vyhledavani
  $tlacitkoVyhledat = "Vyhledat konferenci";
  //nastaveni zacatku a konce vyhledavaciho formulare
  $formHledaniZacatek = "<form action=\"index.php\" method=\"post\">";
  $formHledaniKonec = "</form>";
  
  //nastaveni odkazu prihlasit/odhlasit
  $prihlaseni = loginLogout();

 //zjisteni, ktere polozky menu se maji zobrazit
  $muzeSpravovatUzivatele = muzeSpravovatUzivatele();
  $muzeSpravovatTemata = muzeSpravovatTemata();
  
  $skupiny = array();
  $uspech = false;
  $unameUzivatele = $idUzivatele = $info = "";
  
  if (prihlasen()) {
    if ($muzeSpravovatUzivatele) {                                                // pokud ma uzivatel dostatecna prava
      if (isset($_GET["id"]) && is_numeric($_GET["id"]) && ($_GET["id"] >= 0)) {  // zadane id uzivatele je realne
        $dotazUzivatelu = query("SELECT * FROM uziv WHERE uid=".mysql_real_escape_string($_GET["id"]));
        $result = mysql_fetch_array($dotazUzivatelu);
        if (!empty($result)) {                                                    // uzivatel existuje v db 
          $unameUzivatele = $result["uname"];
          $idUzivatele = $result["uid"];
          
          if (!empty($_POST)) {
            query( "DELETE FROM `skupinauziv` WHERE id_uziv=".$_GET["id"] );  // smazat vsechny vztahy
            
            if (!empty($_POST["skupiny"])) {                                     // formular s kategoriemi byl odeslan neprazdny
              foreach ($_POST["skupiny"] as $id_skupina) {
                query( "INSERT INTO `skupinauziv` (`id_skupina`, `id_uziv`) 
                  VALUES (".mysql_real_escape_string($id_skupina).",".mysql_real_escape_string($_GET["id"]).")" );
              }
            }
            
            $uspech = true;
          }
          
          $dotazSkupinRetezec = "SELECT * FROM skupinauziv RIGHT JOIN skupina USING (id_skupina) WHERE aktivni=1 ORDER BY nazev";
          $dotazSkupin = query($dotazSkupinRetezec);
          while ($radek = mysql_fetch_array($dotazSkupin)) {
              if ($radek["id_uziv"] == $_GET["id"])
                $radek["checked"] = "1";
              if (isset($skupiny[$radek["id_skupina"]])) {  // dana skupina uz je zarazena v poli
                // ...ale neni oznacena, nova oznacena skupina ma prednost
                if ( !isset($skupiny[$radek["id_skupina"]]["checked"]) && isset($radek["checked"]) ) { 
                   $skupiny[$radek["id_skupina"]] = $radek;
                }
              }
              else {                                        // skupina jeste neni v poli
                $skupiny[$radek["id_skupina"]] = $radek;
              }
          }
        }
        else $info = "Daný uživatel neexistuje.";
      }
      else $info = "Zadané ID uživatele není platné.";  
    }
    else $info = "Pro editaci skupin uživatele nemáte dostatečná práva.";
  }
  else $info = "Pro editaci skupin uživatel se musíte nejprve <a href=\"login.php\">přihlásit</a>.";
  
  
  require("./smarty.php");
  $smarty = new KonfSmarty;
  
  $smarty->assign("prihlaseni", $prihlaseni);
  $smarty->assign("info", $info);
  $smarty->assign("tlacitkoVyhledat", $tlacitkoVyhledat);
  $smarty->assign("formHledaniZacatek", $formHledaniZacatek);
  $smarty->assign("formHledaniKonec", $formHledaniKonec);
  $smarty->assign("searchExterni", $searchExterni);
  $smarty->assign("muzeSpravovatUzivatele", $muzeSpravovatUzivatele);
  $smarty->assign("muzeSpravovatTemata", $muzeSpravovatTemata);
  $smarty->assign("skupiny", $skupiny);
  $smarty->assign("idUzivatele", $idUzivatele);
  $smarty->assign("unameUzivatele", $unameUzivatele); 
  $smarty->assign("uspech", $uspech);

  $smarty->display("skupiny_uzivatele.tpl");
  
  if ($pripojeni) {
    odpojitDB($pripojeni);
  }
?>