<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs" lang="cs">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta name="author" content="Jakub Římal, Vít Zdrubecký" />
    <meta name="copyright" content="(c) 2012, ČVUT, FIT;" />
    <meta name="description" content="Nástroj pro evidenci konferencí slouží jako webová aplikace, která umožňuje udržovat databázi konferencí v rámci ČVUT. Aplikace je schopna zobrazovat přehled konferencí na základě témat, do kterých konference spadají, rovněž zobrazuje archiv již proběhlých konferencí." />
    <meta name="keywords" content="konference, vlastní konference, archiv konferencí, ČVUT" />
    <link rel="stylesheet" type="text/css" media="screen" href="css/style.css" />
    <link rel="stylesheet" type="text/css" media="print" href="css/print.css" />
    <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
    <title>Konference ČVUT</title>
  </head>
  <body class="body" {if isset($onload) && $onload!='onload="' && isset($groupsFilter)}
                        {$onload}SetGroupsDivVisibility();" 
                     {elseif isset($groupsFilter)}
                        onload="SetGroupsDivVisibility()"
                     {elseif isset($onload)}
                        {$onload}
                     {/if}>
    {if isset($formSeznamZacatek)}
      {$formSeznamZacatek}
    {/if}
      <div id="logo_bar" class="noprint">
        <h1><a href="./" title="Přejít na úvodní stránku (seznam konferencí)">KONFERENCE</a></h1>
    	  <p>v3.0</p>
      </div>
        {$formHledaniZacatek}
          <div id="grafmenu">
            <table>
              <tr>
                <td>
                  <a class="hlavni_odkaz" href="./" title="seznam konferencí">Seznam</a>
                </td>
                <td>
                  <a class="hlavni_odkaz" href="index.php?osobni" title="osobní konference">Osobní</a>
                </td>
                <td>
                  <a class="hlavni_odkaz" href="pridani_konference.php" title="přidej konferenci">Přidej</a>
                </td>
                <td>
                  <a class="hlavni_odkaz" href="index.php?archiv" title="archiv konferencí">Archiv</a>
                </td>
                <td>
                  <a class="hlavni_odkaz posledni" href="info_o_uzivateli.php?id=moje" title="správa">Správa</a>
                </td>
                <td class="search">
                  {if isset($searchSeznam)} 
                    {$searchSeznam}
                  {elseif isset($searchExterni)}
                    {$searchExterni}
                  {/if}
                </td>
                <td class="tlacitko">
                  <input type="submit" value="{$tlacitkoVyhledat}" />
                </td>
                <td class="login">
                  {$prihlaseni}
                </td>
                <td class="tisk">
                  <a href="javascript:window.print()">
                    <img src="graf/printer.gif" alt="tisk" width="20px" height="17px" />
                  </a>
                </td>
              </tr>
            </table>
          </div>
        {$formHledaniKonec}