<?php
  session_start();

  require_once("funkce.php");
  
  //nastaveni odkazu prihlasit/odhlasit
  $prihlaseni = loginLogout();
  
  //pro zjisteni, ktere polozky menu se maji zobrazit 
  $muzeSpravovatUzivatele = muzeSpravovatUzivatele();
  $muzeSpravovatTemata = muzeSpravovatTemata();
  
  if (prihlasen()) {
    if ($muzeSpravovatUzivatele) {
      //nastevni popisku tlacitka vyhledavani
      $tlacitkoVyhledat = "Vyhledat uživatele";
      //nastaveni zacatku a konce formulare pro vypis uzivatelu
      $formSeznamZacatek = '<form class="noprint no_margin" action="sprava.php" method="post">';
      $formSeznamKonec = "</form>";
      
      //hledani
      if (isset($_POST["search"]) && ($_POST["search"] != "")) {
        $search_get = "&amp;search=" . $_POST["search"];
      }
      else if (isset($_POST["search2"]) && ($_POST["search2"] != "")) {
        $search_get = "&amp;search=" . $_POST["search2"];
      }
      else {
        $search_get = "";
      }
      
      if (isset($_GET["search"])) {
        $search_get = "&amp;search=" . htmlspecialchars($_GET["search"]);
      }
      
      $where = "WHERE";
      pripojitDB();
      //pokud je kliknuto na "ukončit vyhledavani", ukonci se zapamatovani vyhledavaneho retezce
      if (isset($_POST["konec_hledani"])) {
        $nadpis = "Seznam konferencí";
        $where = "";
      }
      //pokud se prochazi stranky nalezenych uzivatelu 
      else if (isset($_GET["search"]) && ($_GET["search"] != "")) {
        $search = mysql_real_escape_string(htmlspecialchars($_GET["search"]));
        $hiddenSearch = '<div><input type="hidden" name="search2" value="' . $search . '" /></div>';
        $konecHledani = '<input class="hledani_tlacitko" type="submit" value=\'Ukončit vyhledávání řetězce "' . $search . '"\' name="konec_hledani" />';
        $hledaniDiv = "<div class=\"tlacitka_hledani\">" . $konecHledani . "</div>";
        $where .= " uname LIKE '%" . $search . "%'";
        $nadpis = "Vyhledávání uživatelů, kteří mají v přihlašovacím jméně řetězec \"" . $search . "\"";
        $poleSearch = $search;
      }
      //pokud je spusteno vyhledavani zadanim retezce do formularoveho pole
      else if (isset($_POST["search"]) && ($_POST["search"] != "")) {
        $search = mysql_real_escape_string(htmlspecialchars($_POST["search"]));
        $hiddenSearch = '<div><input type="hidden" name="search2" value="' . $search . '" /></div>';
        $konecHledani = '<input class="hledani_tlacitko" type="submit" value=\'Ukončit vyhledávání řetězce "' . $search . '"\' name="konec_hledani" />';
        $hledaniDiv = "<div class=\"tlacitka_hledani\">" . $konecHledani . "</div>";
        $where .= " uname LIKE '%" . $search . "%'";
        $nadpis = "Vyhledávání uživatelů, kteří mají v přihlašovacím jméně řetězec \"" . $search . "\"";
        $poleSearch = $search;
      }
      //pokud se meni razeni v seznamu vyhledanych konferenci, zapamatuje se vyhledavany retezec
      else if (isset($_POST["search2"])) {
        $hiddenSearch = '<div><input type="hidden" name="search2" value="' . $_POST["search2"] . '" /></div>';
        $konecHledani = '<input class="hledani_tlacitko" type="submit" value=\'Ukončit vyhledávání řetězce "' . $_POST["search2"] . '"\' name="konec_hledani" />';
        $hledaniDiv = "<div class=\"tlacitka_hledani\">" . $konecHledani . "</div>";
        $where .= " uname LIKE '%" . $search . "%'";
        $nadpis = "Vyhledávání uživatelů, kteří mají v přihlašovacím jméně řetězec \"" . $search . "\"";
        $poleSearch = $_POST["search2"];
      }
      //pokud je seznam uzivatelu bezne nacten
      else {
        $nadpis = "Seznam uživatelů";
        $where = "";
      }
      
      //nastaveni vyhledavaciho pole
      $searchSeznam = '<input name="search" value="' . $poleSearch . '" type="text" />';
      
      //razeni
      $trideniPole = array("uziv.uname", "uziv.datlog", "uziv.role", "uziv.vytvareni", "uziv.mazaniuprava", "uziv.sprava_uziv", "uziv.sprava_temat", "uziv.forum");
      
      if (isset($_GET["sort"]) && is_numeric($_GET["sort"]) && abs($_GET["sort"])>0 && abs($_GET["sort"])<=6) {
        $sort = $_GET["sort"];
        switch ($sort) {
          case -1:
            $sipka1 = "&#9660; ";
            break;
          case -2:
            $sipka2 = "&#9660; ";
            break;
          case -3:
            $sipka3 = "&#9660; ";
            break;
          case 4: //u Ano-Ne polozek je prevracene razeni, protoze 0 v DB znamená "Ne"
            $sipka4 = "&#9660; ";
            break;
          case 5: //u Ano-Ne polozek je prevracene razeni, protoze 0 v DB znamená "Ne"
            $sipka5 = "&#9660; ";
            break;
          case 6: //u Ano-Ne polozek je prevracene razeni, protoze 0 v DB znamená "Ne"
            $sipka6 = "&#9660; ";
            break;
          case 7: //u Ano-Ne polozek je prevracene razeni, protoze 0 v DB znamená "Ne"
            $sipka7 = "&#9660; ";
            break;
          case 8: //u Ano-Ne polozek je prevracene razeni, protoze 0 v DB znamená "Ne"
            $sipka8 = "&#9660; ";
            break;
          case 1:
            $sipka1 = "&#9650; ";
            break;
          case 2:
            $sipka2 = "&#9650; ";
            break;
          case 3:
            $sipka3 = "&#9650; ";
            break;
          case -4: //u Ano-Ne polozek je prevracene razeni, protoze 0 v DB znamená "Ne"
            $sipka4 = "&#9650; ";
            break;
          case -5: //u Ano-Ne polozek je prevracene razeni, protoze 0 v DB znamená "Ne"
            $sipka5 = "&#9650; ";
            break;
          case -6: //u Ano-Ne polozek je prevracene razeni, protoze 0 v DB znamená "Ne"
            $sipka6 = "&#9650; ";
            break;
          case -7: //u Ano-Ne polozek je prevracene razeni, protoze 0 v DB znamená "Ne"
            $sipka7 = "&#9650; ";
            break;
          case -8: //u Ano-Ne polozek je prevracene razeni, protoze 0 v DB znamená "Ne"
            $sipka8 = "&#9650; ";
            break;
        }
        
      }
      else if (isset($_POST["sort1"]) || isset($_POST["sort2"]) || isset($_POST["sort3"]) || isset($_POST["sort4"]) || isset($_POST["sort5"]) || isset($_POST["sort6"]) || isset($_POST["sort7"]) || isset($_POST["sort8"])) {
        if (isset($_POST["sort1"])) {
          $sort = 1;
          $sipka1 = "&#9650; ";
        }
        if (isset($_POST["sort2"])) {
          $sort = 2;
          $sipka2 = "&#9650; ";
        }
        if (isset($_POST["sort3"])) {
          $sort = 3;
          $sipka3 = "&#9650; ";
        }
        if (isset($_POST["sort4"])) {
          $sort = -4; //u Ano-Ne polozek je prevracene razeni, protoze 0 v DB znamená "Ne"
          $sipka4 = "&#9650; ";
        }
        if (isset($_POST["sort5"])) {
          $sort = -5; //u Ano-Ne polozek je prevracene razeni, protoze 0 v DB znamená "Ne"
          $sipka5 = "&#9650; ";
        }
        if (isset($_POST["sort6"])) {
          $sort = -6; //u Ano-Ne polozek je prevracene razeni, protoze 0 v DB znamená "Ne"
          $sipka6 = "&#9650; ";
        }
        if (isset($_POST["sort7"])) {
          $sort = -7; //u Ano-Ne polozek je prevracene razeni, protoze 0 v DB znamená "Ne"
          $sipka7 = "&#9650; ";
        }
        if (isset($_POST["sort8"])) {
          $sort = -8; //u Ano-Ne polozek je prevracene razeni, protoze 0 v DB znamená "Ne"
          $sipka8 = "&#9650; ";
        }
        //pokud je podruhe kliknuto na razeni dle stejneho sloupce, razeni se otoci
        if (isset($_POST["sort_hidden"])) {
          if ($sort == $_POST["sort_hidden"]) {
            $sort = -$sort;
            switch ($sort) {
              case -1:
                $sipka1 = "&#9660; ";
                break;
              case -2:
                $sipka2 = "&#9660; ";
                break;
              case -3:
                $sipka3 = "&#9660; ";
                break;
              case 4: //u Ano-Ne polozek je prevracene razeni, protoze 0 v DB znamená "Ne"
                $sipka4 = "&#9660; ";
                break;
              case 5: //u Ano-Ne polozek je prevracene razeni, protoze 0 v DB znamená "Ne"
                $sipka5 = "&#9660; ";
                break;
              case 6: //u Ano-Ne polozek je prevracene razeni, protoze 0 v DB znamená "Ne"
                $sipka6 = "&#9660; ";
                break;
              case 7: //u Ano-Ne polozek je prevracene razeni, protoze 0 v DB znamená "Ne"
                $sipka7 = "&#9660; ";
                break;
              case 8: //u Ano-Ne polozek je prevracene razeni, protoze 0 v DB znamená "Ne"
                $sipka8 = "&#9660; ";
                break;
            }
          } 
        }
      }
      else if (isset($_POST["sort_hidden"])){
        $sort = $_POST["sort_hidden"];
        $sipka1 = "&#9650; ";
      }
      //vychozi razeni je podle jmena
      else {
        $sort = 1;
        $sipka1 = "&#9650; ";
      }
      
      $sort_hidden = '<div><input type="hidden" name="sort_hidden" value="' . $sort . '" /></div>';
      $ob = $trideniPole[abs($sort)-1] . ($sort < 0 ? " DESC" : "");
      
      //strankovani
      $ofs  = (isset($_GET["ofs"])   && is_numeric($_GET["ofs"])   ? $_GET["ofs"] : 0);
      $rows = (isset($_GET["rows"])  && is_numeric($_GET["rows"])  ? $_GET["rows"] : 100);
      $rows = (isset($_POST["rows"]) && is_numeric($_POST["rows"]) ? $_POST["rows"] : $rows);
      $ofs = ($ofs%$rows!=0 ? 0 : $ofs);
      if (mysql_num_rows($dotaz=query("SELECT count(1) FROM uziv $where")) > 0) {
        $radek = mysql_fetch_array($dotaz);
        $pocetStran = ceil($radek[0]/$rows);
        // pokud odstranime posledni polozku na strance, musime se vratit na predchozi stranku
        if (($radek[0]!=0) && ($ofs >= $radek[0])) {
          $ofs = ($pocetStran - 1)*$rows;
        }
        $aktualniStrana = ceil($ofs/$rows);
      }
      $aktualniStrana = $aktualniStrana + 1;
      
      //prvni
      if ($aktualniStrana > 1) {
        $prvni = "<a href='sprava.php?ofs=0&amp;rows=$rows&amp;sort=$sort$search_get'><img src=\"graf/arrows/sipll.gif\" alt=\"sipka doleva\" />první</a>";
      }
      else {
        $prvni = "<img src=\"graf/arrows/sipll_.gif\" alt=\"sipka doleva\" />první";
      }
      
      //predchozi
      if ($aktualniStrana > 1) {
        $predchozi = "<a href='sprava.php?ofs=".($ofs-$rows)."&amp;rows=$rows&amp;sort=$sort$search_get'><img src=\"graf/arrows/sipl.gif\" alt=\"sipka doleva dvojita\" />předchozí</a>";
      }
      else {
        $predchozi = "<img src=\"graf/arrows/sipl_.gif\" alt=\"sipka doleva dvojita\" />předchozí";
      }
      
      //cisla stranek
      $cislaStranek = "";
      for ($i=0; $i < $pocetStran; $i++) {
        if ($i*$rows != $ofs) {
          $cislaStranek .= "\n&nbsp;<a href='sprava.php?rows=$rows&amp;ofs=" . ($i*$rows) . "&amp;sort=$sort$search_get'>";
        }
        else {
          $cislaStranek .= "\n&nbsp;<b style=\"color: black;\">";
        }
        $cislaStranek .= ($i+1);
        if ($i*$rows != $ofs) {
          $cislaStranek .= "</a>&nbsp;";
        }
        else {
          $cislaStranek .= "</b>&nbsp;";
        }
      }
    
      //dalsi
      if ($aktualniStrana < $pocetStran) {
        $dalsi = "<a href='sprava.php?ofs=".($ofs+$rows)."&amp;rows=$rows&amp;sort=$sort$search_get'>další<img src=\"graf/arrows/sipp.gif\" alt=\"sipka doprava dvojita\" /></a>";
      }
      else {
        $dalsi = "další<img src=\"graf/arrows/sipp_.gif\" alt=\"sipka doprava dvojita\" />";
      }
      
      //posledni
      if ($aktualniStrana < $pocetStran) {
        $posledni = "<a href='sprava.php?ofs=".($pocetStran-1)*$rows."&amp;rows=$rows&amp;sort=$sort$search_get'>poslední<img src=\"graf/arrows/sippp.gif\" alt=\"posledni\" /></a>";
      }
      else {
        $posledni = "poslední<img src=\"graf/arrows/sippp_.gif\" alt=\"posledni\" />";
      }
      
      //pocet polozek na strance
      $rowsSelected = $rows;
      
      //nastaveni vyhledavaciho pole s vyplnenou hodnotou vyhledavani
      $searchSeznam = '<input name="search" value="' . $poleSearch . '" type="text" />';
      
      $dotaz = query("SELECT uziv.uid, uziv.uname, uziv.datlog, uziv.role, uziv.vytvareni, uziv.mazaniuprava, uziv.sprava_uziv, uziv.sprava_temat, uziv.forum FROM uziv $where ORDER BY $ob LIMIT $ofs,$rows");
      
      if (mysql_num_rows($dotaz) > 0) {
        $muzeMazat = muzeSpravovatUzivatele();
        while($radek = mysql_fetch_array($dotaz)) {
            $radek["odkaz"] = "info_o_uzivateli.php?id=" . $radek["uid"];
            $radek["jmeno"] = htmlspecialchars($radek["uname"]);
            $radek["prihlaseni"] = zmenFormatData($radek["datlog"]);
            $radek["role"] = htmlspecialchars($radek["role"]);
            $radek["vytvareni"] = ($radek["vytvareni"]==0? "Ne" : "Ano");
            $radek["uprava"] = ($radek["mazaniuprava"]==0? "Ne" : "Ano");
            $radek["sprava_uziv"] = ($radek["sprava_uziv"]==0? "Ne" : "Ano");
            $radek["sprava_temat"] = ($radek["sprava_temat"]==0? "Ne" : "Ano");
            $radek["forum"] = ($radek["forum"]==0? "Ne" : "Ano");
            if (prihlasen()) {
              $radek["kontakt"] = '<a href="mail_uzivateli.php?id=' . $radek["uid"] . '"><img src="graf/obalka.gif" alt="obalka" />kontaktovat</a><br />';
              $radek["skupiny"] = '<a href="skupiny_uzivatele.php?id=' . $radek["uid"] . '"><img src="graf/skupina.png" alt="skupina" />skupiny</a><br />';
              if ($muzeMazat) {
                $radek["edit"] = '<a href="editace_uzivatele.php?id=' . $radek["uid"] . '"><img src="graf/edit.gif" alt="edit" />edit</a><br />';
                $radek["odstranit"] = "<a href=\"odstranit_uzivatele.php?id_odstran=" . $radek["uid"] . "\"><img src=\"graf/odstranit.png\" alt=\"odstranit\" />odstranit</a><br />";
              }
            }
            $poleUzivatele[] = $radek;
          }
      }
      else {
        $nenalezeno = "<tr><td colspan=\"9\" style=\"text-align: center; height: 50px;\"><b>Nebyli nalezeni žádní uživatelé k zobrazení.</b></td></tr>";
      }
    }
    else {
      //nastaveni pole pro vyhledavani
      $searchExterni = '<input name="search_externi" value="" type="text" />';
      //nastevni popisku tlacitka vyhledavani
      $tlacitkoVyhledat = "Vyhledat konferenci";
      //nastaveni zacatku a konce vyhledavaciho formulare
      $formHledaniZacatek = "<form action=\"index.php\" method=\"post\">";
      $formHledaniKonec = "</form>";
      
      $info = "<h3>Pro možnost zobrazení seznamu uživatelů nemáte dostatečná oprávnění.</h3>";
    }
  }
  else {
      //nastaveni pole pro vyhledavani
      $searchExterni = '<input name="search_externi" value="" type="text" />';
      //nastevni popisku tlacitka vyhledavani
      $tlacitkoVyhledat = "Vyhledat konferenci";
      //nastaveni zacatku a konce vyhledavaciho formulare
      $formHledaniZacatek = "<form action=\"index.php\" method=\"post\">";
      $formHledaniKonec = "</form>";
      
      $info = "<h3>Pro možnost zobrazení seznamu uživatelů se musíte nejprve <a href=\"login.php\">přihlásit</a>.</h3>";
  }
  
  
  require("./smarty.php");
  $smarty = new KonfSmarty;
  
  $smarty->assign("formSeznamZacatek", $formSeznamZacatek);
  $smarty->assign("formSeznamKonec", $formSeznamKonec);
  $smarty->assign("searchSeznam", $searchSeznam);
  $smarty->assign("searchExterni", $searchExterni);
  $smarty->assign("formHledaniZacatek", $formHledaniZacatek);
  $smarty->assign("formHledaniKonec", $formHledaniKonec);
  $smarty->assign("tlacitkoVyhledat", $tlacitkoVyhledat);
  $smarty->assign("prihlaseni", $prihlaseni);
  $smarty->assign("stranka", $aktualniStrana);
  $smarty->assign("pocetStran", $pocetStran);
  $smarty->assign("prvni", $prvni);
  $smarty->assign("predchozi", $predchozi);
  $smarty->assign("cisla", $cislaStranek);
  $smarty->assign("dalsi", $dalsi);
  $smarty->assign("posledni", $posledni);
  $smarty->assign("rowsSelected", $rowsSelected);
  $smarty->assign("sort_hidden", $sort_hidden);
  $smarty->assign("sipka1", $sipka1);
  $smarty->assign("sipka2", $sipka2);
  $smarty->assign("sipka3", $sipka3);
  $smarty->assign("sipka4", $sipka4);
  $smarty->assign("sipka5", $sipka5);
  $smarty->assign("sipka6", $sipka6);
  $smarty->assign("sipka7", $sipka7);
  $smarty->assign("sipka8", $sipka8);
  $smarty->assign("poleUzivatele", $poleUzivatele);
  $smarty->assign("nenalezeno", $nenalezeno);
  $smarty->assign("nadpis", $nadpis);
  $smarty->assign("hiddenSearch", $hiddenSearch);
  $smarty->assign("hledaniDiv", $hledaniDiv);
  $smarty->assign("muzeSpravovatUzivatele", $muzeSpravovatUzivatele);
  $smarty->assign("muzeSpravovatTemata", $muzeSpravovatTemata);
  $smarty->assign("info", $info);

  $smarty->display("sprava.tpl");
  
  if ($pripojeni) {
    odpojitDB($pripojeni);
  }
?>