<?php
  session_start();

  require_once("funkce.php");
  
  //nastaveni pole pro vyhledavani
  $searchExterni = '<input name="search_externi" value="" type="text" />';
  //nastevni popisku tlacitka vyhledavani
  $tlacitkoVyhledat = "Vyhledat konferenci";
  //nastaveni zacatku a konce vyhledavaciho formulare
  $formHledaniZacatek = "<form action=\"index.php\" method=\"post\">";
  $formHledaniKonec = "</form>";
  
  //nastaveni odkazu prihlasit/odhlasit
  $prihlaseni = loginLogout();

 //zjisteni, ktere polozky menu se maji zobrazit
  $muzeSpravovatUzivatele = muzeSpravovatUzivatele();
  $muzeSpravovatTemata = muzeSpravovatTemata();
  
  $uzivatele = array();
  $uspech = false;
  $nazevSkupiny = $idSkupiny = $info = "";
  
  if (prihlasen()) {
    if ($muzeSpravovatUzivatele) {                                                // pokud ma uzivatel dostatecna prava
      if (isset($_GET["id"]) && is_numeric($_GET["id"]) && ($_GET["id"] >= 0)) {  // zadane id uzivatele je realne
        $dotazSkup = query("SELECT * FROM skupina WHERE aktivni=1 AND id_skupina=".mysql_real_escape_string($_GET["id"]));
        $result = mysql_fetch_array($dotazSkup);
        if (!empty($result)) {                                                    // uzivatel existuje v db
          $nazevSkupiny = $result["nazev"];
          $idSkupiny = $result["id_skupina"];
          
          if (!empty($_POST)) {
            query( "DELETE FROM `skupinauziv` WHERE id_skupina=".$_GET["id"] );  // smazat vsechny vztahy
            
            if (!empty($_POST["uzivatele"])) {                                  // formular s uzivateli byl odeslan neprazdny
              foreach ($_POST["uzivatele"] as $id_uziv) {
                query( "INSERT INTO `skupinauziv` (`id_skupina`, `id_uziv`) 
                  VALUES (".mysql_real_escape_string($idSkupiny).",".mysql_real_escape_string($id_uziv).")" );
              }
            }
            
            $uspech = true;
          }
          
          $dotazUzivateluRetezec = "SELECT uid AS id_uziv, uname, id_skupina FROM skupinauziv RIGHT JOIN uziv ON uid = id_uziv ORDER BY uname";
          $dotazUzivatelu = query($dotazUzivateluRetezec);
          while ($radek = mysql_fetch_array($dotazUzivatelu)) {
              if ($radek["id_skupina"] == $_GET["id"])
                $radek["checked"] = "1";
              if (isset($uzivatele[$radek["id_uziv"]])) {  // dany uzivatel uz je zarazen v poli
                // ...ale neni oznacen, novy oznaceny uzivatel ma prednost
                if ( !isset($uzivatele[$radek["id_uziv"]]["checked"]) && isset($radek["checked"]) ) { 
                   $uzivatele[$radek["id_uziv"]] = $radek;
                }
              }
              else {                                        // uzivatel jeste neni v poli
                $uzivatele[$radek["id_uziv"]] = $radek;
              }
          }
        }
        else $info = "Daná skupina neexistuje nebo ještě není schválena.";
      }
      else $info = "Zadané ID skupiny platné.";  
    }
    else $info = "Pro editaci uživatelů skupiny nemáte dostatečná práva.";
  }
  else $info = "Pro editaci uživatelů skupiny se musíte nejprve <a href=\"login.php\">přihlásit</a>.";
  
  
  require("./smarty.php");
  $smarty = new KonfSmarty;
  
  $smarty->assign("prihlaseni", $prihlaseni);
  $smarty->assign("info", $info);
  $smarty->assign("tlacitkoVyhledat", $tlacitkoVyhledat);
  $smarty->assign("formHledaniZacatek", $formHledaniZacatek);
  $smarty->assign("formHledaniKonec", $formHledaniKonec);
  $smarty->assign("searchExterni", $searchExterni);
  $smarty->assign("muzeSpravovatUzivatele", $muzeSpravovatUzivatele);
  $smarty->assign("muzeSpravovatTemata", $muzeSpravovatTemata);
  $smarty->assign("uzivatele", $uzivatele);
  $smarty->assign("idSkupiny", $idSkupiny);
  $smarty->assign("nazevSkupiny", $nazevSkupiny); 
  $smarty->assign("uspech", $uspech);

  $smarty->display("uzivatele_skupiny.tpl");
  
  if ($pripojeni) {
    odpojitDB($pripojeni);
  }
?>