<?php
  session_start();
  
  require_once("funkce.php");
  
  //nastaveni pole pro vyhledavani
  $searchExterni = '<input name="search_externi" value="" type="text" />';
  //nastevni popisku tlacitka vyhledavani
  $tlacitkoVyhledat = "Vyhledat konferenci";
  //nastaveni zacatku a konce vyhledavaciho formulare
  $formHledaniZacatek = "<form action=\"index.php\" method=\"post\">";
  $formHledaniKonec = "</form>";
  
  //nastaveni odkazu prihlasit/odhlasit
  $prihlaseni = loginLogout();
  
  //pro zjisteni, ktere polozky menu se maji zobrazit 
  $muzeSpravovatUzivatele = muzeSpravovatUzivatele();
  $muzeSpravovatTemata= muzeSpravovatTemata();
  
  $nadpis = "Vytvořit téma";
  
  $tlacitko_submit = "Vytvořit téma";
  
  $akce_vytvorit_nebo_editovat = "vytvorit_tema.php";
  
  $chyba = $nazev = $zkratka = $info = $onload = $temata_radio = $editace_poznamka = "";
  
  if (prihlasen()) {
    if (muzeSpravovatTemata()) {
      if (isset($_POST["nazev"]) && isset($_POST["menu_zkr"]) && isset($_POST["radio_temata"])) {
        $nazev = htmlspecialchars($_POST["nazev"]);
        $zkratka = htmlspecialchars($_POST["menu_zkr"]);
        $chyba = "<h3 style=\"color: red;\">Formulář nebylo možné odeslat, protože byly zjištěny následují chyby:</h3>";
        $e = 0;
        if (strlen($_POST["nazev"]) < 3) {
          $e++;
          $chyba .= "<p>Pole názvu je příliš krátké (musí mít minimálně 3 znaky).</p>";
        }
        if (strlen($_POST["menu_zkr"]) < 2) {
          $e++;
          $chyba .= "<p>Pole zkratky názvu tématu je příliš krátké (musí mít minimálně 2 znaky).</p>";
        }
        $i = mysql_num_rows($dotaz=query("SELECT nazev, menu_zkr FROM tema"));
        $temata = "";
        if ($i > 0) {
          while($radek=mysql_fetch_array($dotaz)) {
            if ($radek[0] == mysql_real_escape_string($_POST["nazev"])) {
              $e++;
              $chyba .= "<p>Téma s názvem \"" . mysql_real_escape_string($_POST["nazev"]) . "\" již existuje.</p>";
            }
            if ($radek[1] == mysql_real_escape_string($_POST["menu_zkr"])) {
              $e++;
              $chyba .= "<p>Zkratka \"" . mysql_real_escape_string($_POST["menu_zkr"]) . "\" již existuje.</p>";
            }
          }
        }
        if ($e == 0) {
          if (isset($_POST["radio_temata"])) {
            query("INSERT INTO tema (id_tema, nazev, menu_zkr, id_rodice) VALUES(NULL, '".mysql_real_escape_string($_POST["nazev"])."', '".mysql_real_escape_string($_POST["menu_zkr"])."', " . $_POST["radio_temata"] .")");
          }
          else {
            query("INSERT INTO tema (id_tema, nazev, menu_zkr) VALUES(NULL, '".mysql_real_escape_string($_POST["nazev"])."', '".mysql_real_escape_string($_POST["menu_zkr"])."')");
          }
          $chyba = "";
          $info = "<h3>Téma bylo úspěšně vytvořeno.</h3>";
          $info .= "<br /><a href=\"sprava_temat.php\"><img src=\"./graf/sipka_nalevo.gif\" alt=\"sipka\" class=\"sipka_nalevo\" />přejít na správu témat</a>";
        }
        else {
          $chyba .= "<br />";
          $onload = "onload=\"";
          $Pole = array(false);
          $temata_radio = zobrazTemataRadio(0, 0, $Pole, $_POST["radio_temata"], "", false);
          $onload .= "\"";
        }
      }
      else {
        if (mysql_num_rows($dotaz=query("SELECT nazev FROM tema ORDER BY nazev"))>0) {
          $onload = "onload=\"";
          $Pole = array(false);
          $temata_radio = zobrazTemataRadio(0, 0, $Pole, 0, "", false);
          $onload .= "\"";
        }
      }
    }
    else {
      $info = "<h3>Pro možnost vytváření tématu nemáte dostatečná oprávnění.</h3>";
    }
  }
  else {
    $info = "<h3>Pro možnost vytváření tématu se musíte nejprve <a href=\"login.php\">přihlásit</a>.</h3>";
  }
  
  require("./smarty.php");
  $smarty = new KonfSmarty;
  
  $smarty->assign("prihlaseni", $prihlaseni);
  $smarty->assign("tlacitkoVyhledat", $tlacitkoVyhledat);
  $smarty->assign("formHledaniZacatek", $formHledaniZacatek);
  $smarty->assign("formHledaniKonec", $formHledaniKonec);
  $smarty->assign("searchExterni", $searchExterni);
  $smarty->assign("nadpis", $nadpis);
  $smarty->assign("info", $info);
  $smarty->assign("tlacitko_submit", $tlacitko_submit);
  $smarty->assign("akce_vytvorit_nebo_editovat", $akce_vytvorit_nebo_editovat);
  $smarty->assign("chyba", $chyba);
  $smarty->assign("nazev", $nazev);
  $smarty->assign("zkratka", $zkratka);
  $smarty->assign("temata_radio", $temata_radio);
  $smarty->assign("onload", $onload);
  $smarty->assign("editace_poznamka", $editace_poznamka);
  $smarty->assign("muzeSpravovatUzivatele", $muzeSpravovatUzivatele);
  $smarty->assign("muzeSpravovatTemata", $muzeSpravovatTemata);

  $smarty->display("vytvoreni_a_editace_tematu.tpl");
  
  if ($pripojeni) {
    odpojitDB($pripojeni);
  }
?>