<?php
  session_start();
  
  require_once("funkce.php");
  
  //nastaveni pole pro vyhledavani
  $searchExterni = '<input name="search_externi" value="" type="text" />';
  //nastevni popisku tlacitka vyhledavani
  $tlacitkoVyhledat = "Vyhledat konferenci";
  //nastaveni zacatku a konce vyhledavaciho formulare
  $formHledaniZacatek = "<form action=\"index.php\" method=\"post\">";
  $formHledaniKonec = "</form>";
  
  //nastaveni odkazu prihlasit/odhlasit
  $prihlaseni = loginLogout();
  
  //pro zjisteni, ktere polozky menu se maji zobrazit 
  $muzeSpravovatUzivatele = muzeSpravovatUzivatele();
  $muzeSpravovatTemata= muzeSpravovatTemata();
  
  $nadpis = "Vytvořit uživatele";
  
  $action_vytvorit_nebo_editovat = "vytvorit_uzivatele.php";
  
  $tlacitko_submit = "Vytvořit uživatele";
  
  $js_akce = "KontrolaVytvoreniUzivatel()";
  
  $onload = "onload=\"oznac(true);\"";
  
  $checked1 = $checked2 = $checked3 = $checked4 = $checked5 = "";
  $selected1 = $selected2 = $selected3 = $selected4 = "";
  $jmeno = $chyba = $info = $new_pass1 = $new_pass2 = "";
  
  if (prihlasen()) {
    if (muzeSpravovatUzivatele()) {
      if (!empty($_POST)) {
        //nastaveni prvku formulare na odeslane hodnoty
        $jmeno = $_POST['jmeno'];
        $new_pass1 = $_POST['new_pass1'];
        $new_pass2 = $_POST['new_pass2'];
        if (isset($_POST['chb_1'])  && ($_POST['chb_1']=='1')) {
          $checked1 = 'checked="checked"';
        }
        if (isset($_POST['chb_2'])  && ($_POST['chb_2']=='1')) {
          $checked2 = 'checked="checked"';
        }
        if (isset($_POST['chb_3'])  && ($_POST['chb_3']=='1')) {
          $checked3 = 'checked="checked"';
        }
        if (isset($_POST['chb_4'])  && ($_POST['chb_4']=='1')) {
          $checked4 = 'checked="checked"';
        }
        if (isset($_POST['chb_5'])  && ($_POST['chb_5']=='1')) {
          $checked5 = 'checked="checked"';
        }
        switch ($_POST['role']) {
          case "Běžný uživatel":
            $selected1 = "selected=\"selected\"";
            break;
          case "Správce kategorie":
            $selected2 = "selected=\"selected\"";
            break;
          case "Administrátor":
            $selected3 = "selected=\"selected\"";
            break;
          default:
            $selected4 = "selected=\"selected\"";
        }
        
        pripojitDB();
        //kontrola uzivatelskeho jmena
        $chyba = "<h3 style=\"color: red;\">Formulář nebylo možné odeslat, protože byly zjištěny následují chyby:</h3>";
        $e = 0;
        if (isset($_POST['jmeno'])) {
          $jmeno = mysql_real_escape_string($_POST['jmeno']);
          if (strlen($jmeno) < 3) {
            $e++;
            $chyba .= "<p><b>Uživatelské jméno</b> je příliš krátké (musí mít minimálně 3 znaky).</p>";
          }
        }
        else {
          $e++;
          $chyba .= "<p><b>Uživatelské jméno</b> je příliš krátké (musí mít minimálně 3 znaky).</p>";
        }
                
        //kontrola hesla
        if (!zkontrolujHeslo($_POST['new_pass1'], $_POST['new_pass2'], false)) {
          $e++;
          $chyba .= "<p>Špatné <b>heslo</b>. Hesla se buď neshodují, nebo je heslo příliš krátké (musí mít minimálně 3 znaky).</p>";
        }

        if ($e == 0) {
          $heslo_md5 = md5($_POST['new_pass1']); 
          $query_existuje_uziv = query("SELECT uid FROM `uziv` WHERE uname=\"$jmeno\"");
          if ($RS_existuje_uziv = mysql_fetch_array($query_existuje_uziv)) {
            $e++;
            $chyba .= "<p><b>Uživatelské jméno</b> \"$jmeno\" již existuje.</p>";
          }
          else {        
            //vlozeni dat do tabulky uziv
            $chyba = "";
            $role = $_POST['role'];
            if ($role == "Běžný uživatel") {
              $vytvareni = 1;
              $uprava = 0;
              $sprava_uziv = 0;
              $sprava_temat = 0;
              $forum = 1;
            }
            else if ($role == "Správce kategorie") {
              $vytvareni = 1;
              $uprava = 0;
              $sprava_uziv = 0;
              $sprava_temat = 1;
              $forum = 1;
            }
            else if ($role == "Administrátor") {
              $vytvareni = 1;
              $uprava = 1;
              $sprava_uziv = 1;
              $sprava_temat = 1;
              $forum = 1;
            }
            else if ($role == "Jiná") {
              $vytvareni = $_POST["chb_1"];
              $uprava = $_POST["chb_2"];
              $sprava_uziv = $_POST["chb_3"];
              $sprava_temat = $_POST["chb_4"];
              $forum = $_POST["chb_5"];
            }
            $role = mysql_real_escape_string($role);
            $insert_Query = query("INSERT INTO `uziv` (uname, heslo, vytvareni, mazaniuprava, sprava_uziv, sprava_temat, forum, role) VALUES(\"$jmeno\", \"$heslo_md5\", \"$vytvareni\", \"$uprava\", \"$sprava_uziv\", \"$sprava_temat\", \"$forum\", \"$role\")");   
            $info = "<h3>Uživatel byl úspěšně vytvořen.</h3>";
            $info .= "<br /><a href=\"sprava.php\"><img src=\"./graf/sipka_nalevo.gif\" alt=\"sipka\" class=\"sipka_nalevo\" />přejít na seznam uživatelů</a>";
          }
        }
        if ($e != 0) {
          $chyba .= "<br />";
        }
      }
    }
    else {
      $info = "<h3>Pro možnost vytváření uživatele nemáte dostatečná oprávnění.</h3>";
    }
  }
  else {
    $info = "<h3>Pro možnost vytváření uživatele se musíte nejprve <a href=\"login.php\">přihlásit</a>.</h3>";
  }
  
  $domena = $_ENV["emailova_domena"];
  
  
  require("./smarty.php");
  $smarty = new KonfSmarty;
  
  $smarty->assign("prihlaseni", $prihlaseni);
  $smarty->assign("tlacitkoVyhledat", $tlacitkoVyhledat);
  $smarty->assign("formHledaniZacatek", $formHledaniZacatek);
  $smarty->assign("formHledaniKonec", $formHledaniKonec);
  $smarty->assign("searchExterni", $searchExterni);
  $smarty->assign("info", $info);
  $smarty->assign("chyba", $chyba);
  $smarty->assign("jmeno", $jmeno);
  $smarty->assign("new_pass1", $new_pass1);
  $smarty->assign("new_pass2", $new_pass2);
  $smarty->assign("checked1", $checked1);
  $smarty->assign("checked2", $checked2);
  $smarty->assign("checked3", $checked3);
  $smarty->assign("checked4", $checked4);
  $smarty->assign("checked5", $checked5);
  $smarty->assign("selected1", $selected1);
  $smarty->assign("selected2", $selected2);
  $smarty->assign("selected3", $selected3);
  $smarty->assign("selected4", $selected4);
  $smarty->assign("nadpis", $nadpis);
  $smarty->assign("action_vytvorit_nebo_editovat", $action_vytvorit_nebo_editovat);
  $smarty->assign("tlacitko_submit", $tlacitko_submit);
  $smarty->assign("js_akce", $js_akce);
  $smarty->assign("domena", $domena);
  $smarty->assign("muzeSpravovatUzivatele", $muzeSpravovatUzivatele);
  $smarty->assign("muzeSpravovatTemata", $muzeSpravovatTemata);
  $smarty->assign("onload", $onload);

  $smarty->display("vytvoreni_a_editace_uzivatele.tpl");
  
  if ($pripojeni) {
    odpojitDB($pripojeni);
  }
?>