<?php
  session_start();

  require_once("funkce.php");
  
  //nastaveni pole pro vyhledavani
  $searchExterni = '<input name="search_externi" value="" type="text" />';
  //nastevni popisku tlacitka vyhledavani
  $tlacitkoVyhledat = "Vyhledat konferenci";
  //nastaveni zacatku a konce vyhledavaciho formulare
  $formHledaniZacatek = "<form action=\"index.php\" method=\"post\">";
  $formHledaniKonec = "</form>";
  $info = "";
  $options = "";
  
  //nastaveni odkazu prihlasit/odhlasit
  $prihlaseni = loginLogout(); 
  
  //pro zjisteni, ktere polozky menu se maji zobrazit 
  $muzeSpravovatUzivatele = muzeSpravovatUzivatele();
  $muzeSpravovatTemata = muzeSpravovatTemata();
  $zvyraznitUzavreneTerminy = nastavenoZvyrazneni("uzavrene_terminy");
  $zvyraznitTerminySeznam = nastavenoZvyrazneni("zvyraznit_seznam");
  $zvyraznitTerminyOsobni = nastavenoZvyrazneni("zvyraznit_osobni");
  
  if (prihlasen()) {
    pripojitDB();
    //pokud jeste nic nebylo odeslano
    if (empty($_POST)) {
      $query_predstih = query("SELECT predstih_varovani FROM uziv WHERE uid=".mysql_real_escape_string($_SESSION["uid"])." LIMIT 1");
      $RS_predstih = mysql_fetch_array($query_predstih);
      for ($i=0; $i <= 60; $i++) {
        $options .= "<option value=\"$i\"" . ($i==$RS_predstih[0]? " selected=\"selected\"" :"" ) . ">$i</option>\n";
      }
    }
    else { //pokud je neco odeslano
      $predstih = (int)($_POST["predstih"] && is_numeric($_POST["predstih"]) ? $_POST["predstih"] : 0);
      if ($predstih >= 0) {
        query("UPDATE uziv SET predstih_varovani=$predstih WHERE uid=".mysql_real_escape_string($_SESSION["uid"]));
        $info = "<h3>Zvýrazňování termínů bylo úspěšně nastaveno.</h3>";
        $info .= "<br /><a href=\"zvyrazneni_terminu.php\"><img src=\"./graf/sipka_nalevo.gif\" alt=\"sipka\" class=\"sipka_nalevo\" />vrátit se na nastavení zvýrazňování termínů</a>";
      }
      else {
        $info = "<h3>Hodnota předstihu není platná.</h3>";
      }
      // kontrola a pripadne prenastaveni hodnot zvyraznovani terminu 
      if (isset($_POST["uzavrene_terminy"])) {
        if (!$zvyraznitUzavreneTerminy)
          query("UPDATE uziv SET uzavrene_terminy=1 WHERE uid=".mysql_real_escape_string($_SESSION["uid"]));
      }
      else {
        if ($zvyraznitUzavreneTerminy)
          query("UPDATE uziv SET uzavrene_terminy=0 WHERE uid=".mysql_real_escape_string($_SESSION["uid"]));
      }
      if (isset($_POST["zvyraznit_seznam"])) {
        if (!$zvyraznitTerminySeznam)
          query("UPDATE uziv SET zvyraznit_seznam=1 WHERE uid=".mysql_real_escape_string($_SESSION["uid"]));
      }
      else {
        if ($zvyraznitTerminySeznam)
          query("UPDATE uziv SET zvyraznit_seznam=0 WHERE uid=".mysql_real_escape_string($_SESSION["uid"]));
      }
      if (isset($_POST["zvyraznit_osobni"])) {
        if (!$zvyraznitTerminyOsobni)
          query("UPDATE uziv SET zvyraznit_osobni=1 WHERE uid=".mysql_real_escape_string($_SESSION["uid"]));
      }
      else {
        if ($zvyraznitTerminyOsobni)
          query("UPDATE uziv SET zvyraznit_osobni=0 WHERE uid=".mysql_real_escape_string($_SESSION["uid"]));
      }
    }
  }
  else {
    $info = "<h3>Pro možnost editace předstihu se musíte nejprve <a href=\"login.php\">přihlásit</a>.</h3>";
  }
  
  
  require("./smarty.php");
  $smarty = new KonfSmarty;
  
  $smarty->assign("prihlaseni", $prihlaseni);
  $smarty->assign("tlacitkoVyhledat", $tlacitkoVyhledat);
  $smarty->assign("formHledaniZacatek", $formHledaniZacatek);
  $smarty->assign("formHledaniKonec", $formHledaniKonec);
  $smarty->assign("searchExterni", $searchExterni);
  $smarty->assign("options", $options);
  $smarty->assign("muzeSpravovatUzivatele", $muzeSpravovatUzivatele);
  $smarty->assign("muzeSpravovatTemata", $muzeSpravovatTemata);
  $smarty->assign("zvyraznitUzavreneTerminy", $zvyraznitUzavreneTerminy);
  $smarty->assign("zvyraznitTerminySeznam", $zvyraznitTerminySeznam);
  $smarty->assign("zvyraznitTerminyOsobni", $zvyraznitTerminyOsobni);
  $smarty->assign("info", $info);

  $smarty->display("zvyrazneni_terminu.tpl");
  
  if ($pripojeni) {
    odpojitDB($pripojeni);
  }
?>