<?php
  error_reporting(E_ALL & ~E_NOTICE);
  
  require_once("db.php");
  
  //nastaveni aplikace 
  $_ENV["debug_mode"]      = false;
  $_ENV["emailova_domena"] = "fit.cvut.cz";    
  
  function sqlchyba($msg,$que) {
    echo("<p class='err'><u>chyba v SQL:</u> $msg<br><u>dotaz:</u> $que</p>");
    debug("SQL chyba: $msg\nSQL dotaz: $que");
    echo("<p class='err'>Při zpracování Vašeho požadavku došlo bohužel k chybě. Vraťte se prosím <a href='' onclick='history.go(-1); return false;'>o krok zpět</a> a zkuste to znovu</p>");
    exit();
  }
  
  function debug($msg) {
    $fw=fopen("debug.txt","a");
    if (strstr($_SERVER["HTTP_USER_AGENT"],"Firefox")) $brw="Firefox";
    else if (strstr($_SERVER["HTTP_USER_AGENT"],"MSIE")) $brw="MSIE";
    else if (strstr($_SERVER["HTTP_USER_AGENT"],"Opera")) $brw="Opera";
    else $brw="?";
    fwrite($fw,date("Y-m-d H:i:s")." $brw\n$msg\n\n");
    fflush($fw);
    fclose($fw);
  }

  function prihlasen() {
    if (isset($_SESSION["uid"])) {
      if ($_SESSION["uid"] == 0) {
        return false;
      }
      $uid   = $_SESSION["uid"];
      $uname = $_SESSION["uname"];
      // kontrola nahodne vygenerovaneho stringu proti jeho otisku v db
      if (isset($_SESSION["uniqid"])) { 
        $dotaz = query("SELECT uid FROM uziv WHERE unikatni_otisk='".md5($_SESSION["uniqid"])."'");
        $radek = mysql_fetch_array($dotaz);
        if ( $radek["uid"] == $_SESSION["uid"]) return true;
        else return false;
      }
      else return false;
    }
    else {
      $_SESSION["uid"]  = $uid   = 0;
      $_SESSION["uname"]= $uname = "nepřihlášen";
      return false;
    }
  }
  
  function loginLogout() {
    if (prihlasen()) {
      return "<a href=\"login.php\">" . "Odhlásit se (" . $_SESSION["uname"] . ")</a>";
    }
    else {
      return "<a href=\"login.php\">" . "Přihlásit se</a>";
    }
  }
  
  // prevod data do ceskeho tvaru
  function zmenFormatData($datum) {
    if (($datum == "0000-00-00") || ($datum == NULL)) {
      return "N/A";
    }
    return(substr($datum,8,2) . ". " . substr($datum,5,2) . ". " . substr($datum,0,4));
  }
  
  function petNejaktualnejsich() {
    $petNejaktualnejsich = "";
    if (mysql_num_rows($dotaz=query("SELECT id_konf, dat_zacatek, dat_konec,zkratka, mesto, stat FROM konference WHERE NOW()<=dat_zacatek ORDER BY dat_zacatek LIMIT 5"))>0) {
      while ($radek=mysql_fetch_array($dotaz)) {
        $nazevKonference  = htmlspecialchars($radek[3]);
        $mesto            = htmlspecialchars($radek[4]);
        $stat             = htmlspecialchars($radek[5]);
        $petNejaktualnejsich .= "<p class='itemn'><a href='info_o_konferenci.php?id=$radek[0]'>" . (zmenFormatData($radek[1])) . " &ndash; " . (zmenFormatData($radek[2])) . "<br /> $nazevKonference &ndash; $mesto, $stat</a></p>\n";
      }
    }
    return $petNejaktualnejsich;
  }
  
  function muzeMazatUpravovat() {
    $vystup = false;
    if ($_SESSION["uid"]!=0) {
      pripojitDB();
      $dotaz = query("SELECT mazaniuprava FROM uziv WHERE uid=".mysql_real_escape_string($_SESSION["uid"]));
      $radek = mysql_fetch_array($dotaz);
      if ($radek[0])
        $vystup = true;
    }
    return $vystup;
  }
  
  function muzeVytvaret() {
    $muze_vytvaret = false; 
    if ($_SESSION["uid"] !=0 ) {
      pripojitDB();
      $dotaz = query("SELECT vytvareni FROM uziv WHERE uid=".mysql_real_escape_string($_SESSION["uid"]));
      $RS_muze_vytvaret     = mysql_fetch_array($dotaz);
      if ($RS_muze_vytvaret[0]) {
        $muze_vytvaret = true;
      }    
    }
    return $muze_vytvaret; 
  }
  
  function muzeSpravovatUzivatele() {
    $muze_spravovat = false; 
    if ($_SESSION["uid"] != 0) { 
      pripojitDB();
      $dotaz = query("SELECT sprava_uziv FROM uziv WHERE uid=" . mysql_real_escape_string($_SESSION["uid"]));
      $radek = mysql_fetch_array($dotaz);
      if ($radek[0])
        $muze_spravovat = true;    
    }
    return $muze_spravovat; 
  }
  
  function muzeSpravovatTemata() {
    $muze_spravovat = false; 
    if ($_SESSION["uid"] != 0) { 
      pripojitDB();
      $dotaz = query("SELECT sprava_temat FROM uziv WHERE uid=" . mysql_real_escape_string($_SESSION["uid"]));
      $radek = mysql_fetch_array($dotaz);
      if ($radek[0])
        $muze_spravovat = true;    
    }
    return $muze_spravovat; 
  }
  
  function muzePrispivatDoFora() {
    $muze_prispivat_do_fora = false; 
    if ($_SESSION["uid"]!=0) { 
      pripojitDB();
      $dotaz = query("SELECT forum FROM uziv WHERE uid=".mysql_real_escape_string($_SESSION["uid"]));
      $radek = mysql_fetch_array($dotaz);
      if ($radek[0])
        $muze_prispivat_do_fora = true;    
    }
    return $muze_prispivat_do_fora; 
  }  
  
  function kontrolaData($d, $m, $y) {
    if
    (
        (is_numeric($d) && is_numeric($m) && is_numeric($y)) &&
        (
          (($m==1 || $m==3 || $m==5 || $m==7 || $m==8 || $m==10 || $m==12) && $d>=1 && $d<=31) ||
          (($m==4 || $m==6 || $m==9 || $m==11) && $d>=1 && $d<=30) ||
          ($m==2 && ($y%400==0 || ($y%4==0 && $y%100>0)) && $d>=1 && $d<=29) ||
          ($m==2 && $d>=1 && $d<=28)
        )
    )
      return true;
    else
      return false;
  }
  
  function prvniDatumJeMensi($d1, $m1, $y1, $d2, $m2, $y2) {
    if($y1 < $y2)
      return true;
    else if ($y1 == $y2) {
      if($m1 < $m2)
        return true;
      else if ($m1 == $m2) {
        if($d1 > $d2)
          return false;
        else 
          return true;
      }
      else return false;           
    }
    else return false;
  }
  
  function posliMail($predmet, $prijemci, $zprava) {
    global $debug;
    //nastaveni hlavicek
    $hlavicky  = "From: Konference <konference@" . $_SERVER['SERVER_NAME'] . ">" . "\r\n";
    $hlavicky .= "X-Sender: <konference@" . $_SERVER['SERVER_NAME'] . ">" . "\r\n";
    $hlavicky .= 'X-Mailer: PHP' . "\r\n";
    $hlavicky .= 'Content-Type: text/html; charset="UTF-8"' . "\r\n";
    //zakodovani predmetu do UTF-8
    $predmetFinal = '=?UTF-8?B?'.base64_encode($predmet).'?=';
    //doplneni zpravy
    $zpravaFinal = $zprava . "<br /><hr />Tento e-mail je generován automaticky, prosíme, neodpovídejte na něj.";
    //pri debugovani se jen zprava vypise, ale neodesle      
    if ($_ENV["debug_mode"] == true) {
      $debug =  "<br /><br /><b>Hlavičky:</b><br />" . htmlspecialchars($hlavicky) . "<br />".
                "<br /><b>Příjemci:</b><br />" . htmlspecialchars($prijemci) . "<br />".
                "<br /><b>Předmět:</b><br />" . htmlspecialchars($predmet) . "<br />".
                "<br /><b>Zpráva:</b><br />" . $zpravaFinal . "<br />";
    }
    else                                            
      mail($prijemci, $predmetFinal, $zpravaFinal, $hlavicky);
  }
  
  function posliMailFrom($predmet, $prijemci, $zprava, $from) {
    global $debug;
    //nastaveni hlavicek
    $hlavicky  = 'From: ' . $from . "\r\n";
    $hlavicky .= 'X-Mailer: PHP' . "\r\n";
    $hlavicky .= 'Content-Type: text/html; charset="UTF-8"' . "\r\n";
    //zakodovani predmetu do UTF-8
    $predmetFinal = '=?UTF-8?B?'.base64_encode($predmet).'?=';
    //pri debugovani se jen zprava vypise, ale neodesle      
    if ($_ENV["debug_mode"] == true) {
      $debug =  "<br /><b>Hlavičky:</b><br />" . htmlspecialchars($hlavicky) . "<br />".
                "<br /><b>Příjemci:</b><br />" . htmlspecialchars($prijemci) . "<br />".
                "<br /><b>Předmět:</b><br />" . htmlspecialchars($predmet) . "<br />".
                "<br /><b>Zpráva:</b><br />" . $zprava . "<br />";
    }
    else                                            
      mail($prijemci, $predmetFinal, $zprava, $hlavicky);
  }
  
  function zkontrolujHeslo($heslo, $potvrzeniHesla, $poleMohouBytPrazdna) {
    if ($poleMohouBytPrazdna) {
      if (isset($heslo) && isset($potvrzeniHesla) && ($heslo == "") && ($potvrzeniHesla == "")) {
        return true;
      }
      else {
        if (strcmp($heslo, $potvrzeniHesla) != 0)    
          return false;
        else if ((strlen($heslo) < 3))    
          return false;
        else {
          return true; 
        }
      }
    
    }
    else {
      if (isset($heslo) && isset($potvrzeniHesla) && strlen($heslo)>0 && strlen($potvrzeniHesla)>0) {     
        if (strcmp($heslo, $potvrzeniHesla) != 0)    
          return false;
        else if ((strlen($heslo) < 3))    
          return false;
        else {
          return true; 
        }   
      }
      else {
        return false;
      }
    }
  }

  function jeAutoremKonference($idKonference) {
    $jeAutorem = false; 
    if ($_SESSION["uid"] != 0) { 
      pripojitDB();
      $dotaz = query("SELECT id_konf FROM konference WHERE id_uziv=" . mysql_real_escape_string($_SESSION["uid"]));
      while ($radek = mysql_fetch_array($dotaz)) {
        if ($radek[0] == $idKonference) {
          $jeAutorem = true;
          return $jeAutorem;
        }
      }
    }
    return $jeAutorem; 
  }

  function zobrazTemataRadio($uroven, $klic, $poleUrovni, $valueVybraneho, $podtema, $zobrazenoJS) {
    global $onload;
    $prehledTemat = "";
    if (isset($_GET["id"]) && is_numeric($_GET["id"]) && ($_GET["id"] > 0)) {
      $editovane = $_GET["id"];
    }
    else {
      $editovane = -1;
    }
    if ($uroven == 0) {
      $temata = query("SELECT id_tema, nazev FROM `tema` WHERE id_rodice=0 ORDER BY nazev");
      if ($valueVybraneho == 0) {
        $checkedNula = "checked=\"checked\"";
      }
      else {
        $checkedNula = "";
      }
      $prehledTemat .= "<tr><td style=\"padding-left: 12px;\"><input type=\"radio\" name=\"radio_temata\" value=\"0\" $checkedNula />Žádné (téma bude kořenovým tématem)</td></tr>";
    }       
    else {
      $temata = query("SELECT id_tema, nazev FROM `tema` WHERE id_rodice=$klic AND NOT(id_rodice=0) ORDER BY nazev");
    }
    
    for ($i=0; $i < mysql_num_rows($temata); $i++) {
      $radek = mysql_fetch_array($temata);
      
      if ($uroven == 0) {
        $podtema = "podtema_$radek[0]";
        $zobrazenoJS = false;
      }
      
      if ($radek["id_tema"] == $valueVybraneho) {
        $checked = "checked=\"checked\"";
        if (!$zobrazenoJS) {
          $onload .= "zobrazSkryj('$podtema');";
          $zobrazenoJS = true;
        }
      }
      else {
        $checked = "";
      }
      
      if ($uroven > 0) {
        $prehledTemat .= "<tr class=\"$podtema\"><td style=\"padding-left: 12px;\">";
      }
      else {
        $prehledTemat .= "<tr><td><a href=\"javascript: zobrazSkryj('$podtema');\" class=\"plus\" title=\"Rozbalit\"><img src=\"./graf/plus.gif\" alt=\"plus\" /></a>";
        $onload .= "zobrazSkryj('$podtema');";
      }
      
      $input = "<input type=\"radio\" name=\"radio_temata\" value=\"" . $radek["id_tema"] . "\" $checked />";
      
      if ($uroven > 0) {
        for($j=1; $j < $uroven; $j++) {            
          if ($poleUrovni[$j]) {  
            $prehledTemat .= "<img width=\"9\" height=\"21\" class=\"left_\" alt=\"-\" src=\"graf/i.gif\" />";
          }
          else {
            $prehledTemat .= "&nbsp;";
          } 
        }
      
        if ((mysql_num_rows($temata) == 1) || ($i == (mysql_num_rows($temata)-1))) {
          $prehledTemat .= "<img width=\"9\" height=\"21\" class=\"left_\" alt=\"L\" src=\"graf/l.gif\" />";
          $poleUrovni[$uroven] = false; 
        }
        else {
          $prehledTemat .= "<img width=\"9\" height=\"21\" class=\"left_\" alt=\"+\" src=\"graf/t.gif\" />";
          $poleUrovni[$uroven] = true; 
        }            
      }
      
      if ($radek["id_tema"] == $editovane) {
        $prehledTemat .= "<b>" . htmlspecialchars($radek["nazev"]) . " (editované téma)</b></td></tr>\n";
        //pokud se jedna o editovane tema, zavolame znovu funkci zobrazSkryj, cimz se podstrom s timto tematem rozbali
        if (!$zobrazenoJS) {
          $onload .= "zobrazSkryj('$podtema');";
          $zobrazenoJS = true;
        }
      }
      else {
        $prehledTemat .= $input . htmlspecialchars($radek["nazev"]) . "</td></tr>\n";
      }
    
      $prehledTemat .= zobrazTemataRadio($uroven+1, $radek["id_tema"], $poleUrovni, $valueVybraneho, $podtema, $zobrazenoJS);
    }
    return $prehledTemat;
  }

  function zobrazTemataCheckbox($uroven, $klic, $poleUrovni, $podtema, $zobrazenoJS) {
    global $onload;
    $prehledTemat = "";
    if ($uroven == 0) {
      $temata = query("SELECT id_tema, nazev FROM `tema` WHERE id_rodice=0 ORDER BY nazev");
    }       
    else {
      $temata = query("SELECT id_tema, nazev FROM `tema` WHERE id_rodice=$klic AND NOT(id_rodice=0) ORDER BY nazev");
    }
    
    for ($i=0; $i < mysql_num_rows($temata); $i++) {
      $radek = mysql_fetch_array($temata);
      
      if ($uroven == 0) {
        $podtema = "podtema_$radek[0]";
        $zobrazenoJS = false;
      }
      
      if (isset($_POST["sk" . $radek[0]]) && ($_POST["sk" . $radek[0]] == "on")) {
        $checked = 'checked="checked"';
        //pokud jiz tento podstrom nebyl zobrazen; podstrom se nezobrazi, pokud je zaskrtnuto jen korenove tema
        if (!$zobrazenoJS && ($uroven != 0)) {
          $onload .= "zobrazSkryj('$podtema');";
          $zobrazenoJS = true;
        }
      }
      else {
        $checked = "";
      }
      
      if ($uroven > 0) {
        $prehledTemat .= "<tr class=\"$podtema\"><td style=\"padding-left: 12px;\">";
      }
      else {
        $prehledTemat .= "<tr><td><a href=\"javascript: zobrazSkryj('$podtema');\" class=\"plus\" title=\"Rozbalit\"><img src=\"./graf/plus.gif\" alt=\"plus\" /></a>";
        $onload .= "zobrazSkryj('$podtema');";
      }
      
      $input = "<input type=\"checkbox\" class=\"invertovat_a_vybrat_vse\" name=\"sk$radek[0]\" $checked />";
      
      if ($uroven > 0) {
        for($j=1; $j < $uroven; $j++) {            
          if ($poleUrovni[$j]) {  
            $prehledTemat .= "<img width=\"9\" height=\"21\" class=\"left_\" alt=\"-\" src=\"graf/i.gif\" />";
          }
          else {
            $prehledTemat .= "&nbsp;";
          } 
        }
      
        if ((mysql_num_rows($temata) == 1) || ($i == (mysql_num_rows($temata)-1))) {
          $prehledTemat .= "<img width=\"9\" height=\"21\" class=\"left_\" alt=\"L\" src=\"graf/l.gif\" />";
          $poleUrovni[$uroven] = false; 
        }
        else {
          $prehledTemat .= "<img width=\"9\" height=\"21\" class=\"left_\" alt=\"+\" src=\"graf/t.gif\" />";
          $poleUrovni[$uroven] = true; 
        }            
      }
      
      $prehledTemat .= $input . htmlspecialchars($radek["nazev"]) . "</td></tr>\n";
    
      $prehledTemat .= zobrazTemataCheckbox($uroven+1, $radek["id_tema"], $poleUrovni, $podtema, $zobrazenoJS);
    }
    return $prehledTemat;
  }
  
  //cerna magie, ruce pryc!
  function zobrazTemataKamPatri($uroven, $klic, $poleUrovni, $kamPatri) {
    $prehledTemat = "";
    $vypsano = 0;
    if ($uroven == 0) {
      $temata = query("SELECT id_tema, nazev FROM `tema` WHERE id_rodice=0 ORDER BY nazev");
    }       
    else {
      $temata = query("SELECT id_tema, nazev FROM `tema` WHERE id_rodice=$klic AND NOT(id_rodice=0) ORDER BY nazev");
      $patriPocet = 0;
      while ($radek = mysql_fetch_array($temata)) {
        for ($j=0; $j < count($kamPatri); $j++) {
          if ($radek["id_tema"] == $kamPatri[$j]) {
            $patriPocet++;
          }
        } 
      }
      $temata = query("SELECT id_tema, nazev FROM `tema` WHERE id_rodice=$klic AND NOT(id_rodice=0) ORDER BY nazev");
    }
    for ($i=0; $i < mysql_num_rows($temata); $i++) {
      $patri = false;
      $radek = mysql_fetch_array($temata);
      for ($j=0; $j < count($kamPatri); $j++) {
        if ($radek["id_tema"] == $kamPatri[$j]) {
          $patri = true;
        }
      } 
      if ($patri) {
        if ($uroven > 0) {
          $prehledTemat .= "&nbsp;";
        }
        if ($uroven > 0) {
          for($j=1; $j < $uroven; $j++) {            
            if ($poleUrovni[$j]) {  
              $prehledTemat .= "<img width=\"9\" height=\"21\" class=\"left_\" alt=\"-\" src=\"graf/i.gif\" />";
            }
            else {
              $prehledTemat .= "&nbsp;";
            }
          }
          if ((mysql_num_rows($temata) == 1) || ($i == (mysql_num_rows($temata)-1))) {
            $prehledTemat .= "<img width=\"9\" height=\"21\" class=\"left_\" alt=\"L\" src=\"graf/l.gif\" />";
            $poleUrovni[$uroven] = false; 
          }
          else {
            if ($vypsano == $patriPocet-1) {
              $prehledTemat .= "<img width=\"9\" height=\"21\" class=\"left_\" alt=\"L\" src=\"graf/l.gif\" />";
              $poleUrovni[$uroven] = false;
            }
            else {
              $prehledTemat .= "<img width=\"9\" height=\"21\" class=\"left_\" alt=\"+\" src=\"graf/t.gif\" />";
              $poleUrovni[$uroven] = true;
            }
          }            
        }
        $vypsano++;
        $prehledTemat .= htmlspecialchars($radek["nazev"]) . "<br />\n";
      
        $prehledTemat .= zobrazTemataKamPatri($uroven+1, $radek["id_tema"], $poleUrovni, $kamPatri);
      }
    }
    return $prehledTemat;
  }
  
  function zobrazTemataKamPatriBezObrazku($uroven, $klic, $kamPatri) {
    $prehledTemat = "";
    if ($uroven == 0) {
      $temata = query("SELECT id_tema, nazev FROM `tema` WHERE id_rodice=0 ORDER BY nazev");
    }       
    else {
      $temata = query("SELECT id_tema, nazev FROM `tema` WHERE id_rodice=$klic AND NOT(id_rodice=0) ORDER BY nazev");
    }
    
    for ($i=0; $i < mysql_num_rows($temata); $i++) {
      $patri = false;
      $radek = mysql_fetch_array($temata);
      for ($j=0; $j<count($kamPatri); $j++) {
        if ($radek["id_tema"] == $kamPatri[$j]) {
          $patri = true;
          break;
        }
      } 
      if ($patri) {
        if ($uroven > 0) {
          for($j=0; $j < $uroven; $j++) {
            $prehledTemat .= "&nbsp;&nbsp;";
          }         
        }
        
        $prehledTemat .= htmlspecialchars($radek["nazev"]) . "<br />\n";
      
        $prehledTemat .= zobrazTemataKamPatriBezObrazku($uroven+1, $radek["id_tema"], $kamPatri);
      }
    }
    return $prehledTemat;
  }

  function zaradPredky($id_tema, $id_editovaneho) {
    $dotaz1 = query("SELECT id_rodice FROM tema WHERE id_tema=$id_tema");
    $radek1 = mysql_fetch_array($dotaz1);
    $id_rodice = $radek1[0];
    $dotaz = query("SELECT id_tema FROM tema WHERE id_tema=$id_rodice");
    while ($radek=mysql_fetch_array($dotaz)) {
      //mazani pro pripad, ze uzivatel vybere i predka vybraneho tematu
      query("DELETE FROM `konftema` WHERE id_tema=" . $radek["id_tema"] . " AND id_konf=".$id_editovaneho);
      query("INSERT INTO `konftema` ( id_konf, id_tema) VALUES (" . ($id_editovaneho . ", ".$radek["id_tema"]."") . ")");
      zaradPredky($radek["id_tema"], $id_editovaneho);
    }
  }

  function zjistiOdberatele($id_konference, $notify) {
    global $poleJmen, $i;
    if ($notify == "forum") {
      $notifyDotaz = "forumnotify";
    }
    else if ($notify == "konference") {
      $notifyDotaz = "konfnotify";
    }
    else {
      return false;
    }
    
    /*
    najde jmena uzivatelu, kteri maji konferenci v osobnich konferencich a maji u ni nastaven prislusny odber,
    nebo maji v osobnim nastaveni temat vybrano nektere z temat, kam konference primo patri (ma toto tema uvedene v konftema),
    toto tedy vybere i odberatele predku temat vybranych pri vkladani konference (zajistuje funkce zaradPredky() pri pridavani/editaci konference)*/
    $dotazPrimiOdberateleTematu = query("(SELECT u.uname FROM uziv u, osobkonf ok WHERE ok.id_konf = $id_konference AND ok.id_uziv=u.uid AND ok.forumnotify=true)".
                                   "UNION (SELECT u.uname FROM uziv u WHERE EXISTS ( SELECT * FROM temauziv su, konference k, konftema ks WHERE k.id_konf = ks.id_konf AND su.id_tema = ks.id_tema AND su.$notifyDotaz=true AND ks.id_konf = $id_konference AND su.uid = u.uid))");
    $i = 0;
    while ($radekPrimiOdberateleTematu = mysql_fetch_array($dotazPrimiOdberateleTematu)) {
      $poleJmen[$i] = $radekPrimiOdberateleTematu["uname"];
      $i++;
    }
    //pokud je konference zarazena do tematu, ktere ma potomky, je nutne poslat upozorneni i odberatelum techto potomku
    $dotazTemata = query("SELECT id_tema FROM konftema WHERE id_konf=$id_konference");
    while ($radekTemata = mysql_fetch_array($dotazTemata)) {;
      zjistiOdberatelePotomku($radekTemata["id_tema"], $notifyDotaz);
      zjistiOdberatelePredku($radekTemata["id_tema"], $notifyDotaz);
    }
    $vystup = "";
    if (count($poleJmen) > 0) {
      $poleJmenBezDuplicit = array_unique($poleJmen);
      $pocetJmen = count($poleJmenBezDuplicit);
      for ($i=0; $i < $pocetJmen; $i++) {
        $vystup .= $poleJmen[$i] . "@" . $_ENV["emailova_domena"];
        if ($i < ($pocetJmen - 1)) {
          $vystup .= ", ";
        }
      }
    }
    return $vystup;
  }
  
  function zjistiOdberatelePotomku($id_tema, $notifyDotaz) {
    global $poleJmen, $i;
    $dotaz = query("SELECT id_tema FROM tema WHERE id_rodice=$id_tema");
    while ($radek = mysql_fetch_array($dotaz)) {
      $dotazPrijemci = query("SELECT uname FROM temauziv LEFT JOIN uziv ON temauziv.uid=uziv.uid WHERE id_tema=" . $radek["id_tema"] . " AND $notifyDotaz=true");
      while ($radekPrijemci = mysql_fetch_array($dotazPrijemci)) {
        $poleJmen[$i] = $radekPrijemci["uname"];
        $i++;
      }
      zjistiOdberatelePotomku($radek["id_tema"], $notifyDotaz);
    }
  }
  
  //tato funkce by vsak pri vkladani konferenci pres web nemela byt potreba, nicmene je mozne, ze bude potreba po presouvani temat atp.
  function zjistiOdberatelePredku($id_tema, $notifyDotaz) {
    global $poleJmen, $i;
    $dotaz = query("SELECT id_rodice FROM tema WHERE id_tema=$id_tema");
    while ($radek = mysql_fetch_array($dotaz)) {
      $dotazPrijemci = query("SELECT uname FROM temauziv LEFT JOIN uziv ON temauziv.uid=uziv.uid WHERE id_tema=" . $radek["id_rodice"] . " AND $notifyDotaz=true");
      while ($radekPrijemci = mysql_fetch_array($dotazPrijemci)) {
        $poleJmen[$i] = $radekPrijemci["uname"];
        $i++;
      }
      zjistiOdberatelePredku($radek["id_rodice"], $notifyDotaz);
    }
  }
  
  
  
  //vraci nearchivni potomky konference zadane jejim id
  function vratNearchivniPotomky($id, $potomci) {
    $dotaz = query("SELECT id_konf,nazev,archiv,rok FROM konference WHERE id_rodice=$id AND id_konf!=$id");
    while ($radek = mysql_fetch_array($dotaz)) {
      if ($radek[0] == $id) continue;
	$potomci2 = vratNearchivniPotomky($radek[0], $potomci);
      $potomci = array_merge($potomci, $potomci2);
      if($radek[2] == 0) {
        $potomci[] = array(0=>$radek[0], 1=>$radek[1], 2=>$radek[3]);
      }
    }
    return $potomci;
  }
  
  //zjistuje, zda ma dana konference nearchivni potomky
  function maNearchivniPotomky($id) {
    $maNearchivniPotomky = false;
    $dotaz = query("SELECT id_konf,archiv FROM konference WHERE id_rodice=$id AND id_konf!=$id");
    while ($radek = mysql_fetch_array($dotaz)) {
	if ($radek[0] == $id) continue;
      if($radek[1] == 0) $maNearchivniPotomky = true;
	else  $maNearchivniPotomky = maNearchivniPotomky($radek[0]);
      if ($maNearchivniPotomky) break;
    }
    return $maNearchivniPotomky;
  }
  
  //na zaklade casoveho predstihu, definovaneho uzivatelem, zkontroluje, zda se dane datum blizi
  function zkontrolujDatum($date, $advance) {
    if ($date == "0000-00-00") return 0;
    date_default_timezone_set("Europe/Paris");
    $today = date("Y-m-d");
    $todays_stamp = strtotime($today);
    $date_stamp = strtotime($date);
    $advanced_stamp = $date_stamp - ($advance * 24 * 60 * 60);
    
    if ($todays_stamp >= $date_stamp) $notify = 5;
    elseif ($todays_stamp >= $advanced_stamp) $notify = 4;
    else $notify = 0;
    
    return $notify;
  }
  
  //vraci uzivatelem definovany predstih pro varovani u terminu konferenci
  function uzivPredstihVarovani() {
    $predstih = 0;
    if ($_SESSION["uid"] != 0) {
      pripojitDB(); 
      $dotaz = query("SELECT predstih_varovani FROM uziv WHERE uid=".mysql_real_escape_string($_SESSION["uid"]));
      $radek = mysql_fetch_array($dotaz);
      if ($radek[0])
        $predstih = $radek[0];    
    }
    return $predstih;
  }
  
  //vraci uzivatelovo nastaveni tykajici se zvyraznovani terminu
  function nastavenoZvyrazneni($type) {
    $nastaveno = false; 
    if ($_SESSION["uid"] != 0) {
      pripojitDB();
      $dotaz = query("SELECT $type FROM uziv WHERE uid=" . mysql_real_escape_string($_SESSION["uid"]));
      $radek = mysql_fetch_array($dotaz);
      if ($radek[0])
        $nastaveno = true;    
    }
    return $nastaveno; 
  }
  
  // zjistuje, zda uzivatel odeslal prispevek k dane konferenci
  function odeslalPrispevek($id) {
    $odeslal = false;
    if ($_SESSION["uid"] != 0) {
      pripojitDB(); 
      $dotaz = query("SELECT * FROM osobkonf WHERE id_konf=$id AND prispeveknotify=1 AND id_uziv=".mysql_real_escape_string($_SESSION["uid"]));
      $result = mysql_fetch_array($dotaz);
      if (!empty($result))
        $odeslal = true;    
    }
    return $odeslal;
  }
  
  // prevod retezce ve formatu timestamp do ceskeho tvaru
  function zmenFormatTimestamp($timestamp) {
    if (($timestamp == "0000-00-00 00:00:00") || ($timestamp == NULL)) {
      return "N/A";
    }
    return(substr($timestamp,8,2) . ". " . substr($timestamp,5,2) . ". " . substr($timestamp,0,4). ", " . substr($timestamp,11,8));
  }
  
  // vraci skupiny, ktere ma uzivatel pridane do sveho seznamu 
  function vratMojeSkupiny() {
    $skupiny = array();
    if ($_SESSION["uid"] != 0) {
      pripojitDB();
      $dotaz = query("SELECT skupina.id_skupina,nazev,popis,dat_vlozeni,id_autor,uname 
                      FROM skupina JOIN skupinauziv ON skupina.id_skupina = skupinauziv.id_skupina 
                        LEFT JOIN uziv ON skupina.id_autor = uziv.uid
                      WHERE skupina.aktivni=1 AND skupinauziv.id_uziv=".mysql_real_escape_string($_SESSION["uid"])."
                      ORDER BY nazev");
      while ($radek = mysql_fetch_array($dotaz)) {
        if ($radek["id_autor"] == $_SESSION["uid"]) {
          $radek["jsemAutor"] = "1";
        }
        $radek["dat_vlozeni"] = zmenFormatTimestamp($radek["dat_vlozeni"]);
        $skupiny[] = $radek;
      }
    }
    return $skupiny;
  }
  
  // vraci skupiny, ktere si muze uzivatel pridat do sveho seznamu 
  function vratVolneSkupiny() {
    $skupiny = array();
    if ($_SESSION["uid"] != 0) {
      pripojitDB();
      $dotaz = query("SELECT skupina.id_skupina,nazev,popis,dat_vlozeni,id_autor,uname 
                      FROM skupina LEFT JOIN 
                        (SELECT * FROM skupinauziv WHERE id_uziv =".mysql_real_escape_string($_SESSION["uid"]).") AS new 
                        ON skupina.id_skupina = new.id_skupina 
                        LEFT JOIN uziv ON skupina.id_autor = uziv.uid
                      WHERE skupina.aktivni=1 AND id_uziv IS NULL OR id_uziv!=".mysql_real_escape_string($_SESSION["uid"])."
                      ORDER BY nazev");
      while ($radek = mysql_fetch_array($dotaz)) {
        if ($radek["id_autor"] == $_SESSION["uid"]) {
          $radek["jsemAutor"] = "1";
        }
        $radek["dat_vlozeni"] = zmenFormatTimestamp($radek["dat_vlozeni"]);
        $skupiny[] = $radek;
      }
    }
    return $skupiny;
  }
  
  // vraci vsechny skupiny
  function vratVsechnySkupiny() {
    $skupiny = array();
    $dotaz = query("SELECT id_skupina,id_autor,nazev,popis,aktivni,dat_vlozeni,dat_potvrzeni,u1.uname AS uname,u2.uname AS admin 
                    FROM skupina LEFT JOIN uziv u1 ON skupina.id_autor = u1.uid 
                    LEFT JOIN uziv u2 ON skupina.id_admin = u2.uid 
                    ORDER BY nazev");
    while ($radek = mysql_fetch_array($dotaz)) {
      $radek["dat_vlozeni"] = zmenFormatTimestamp($radek["dat_vlozeni"]);
      $radek["dat_potvrzeni"] = zmenFormatTimestamp($radek["dat_potvrzeni"]);
      $skupiny[] = $radek;
    }
    return $skupiny;
  }
  
  // vraci vsechny skupiny, pricemz oznaci ty, ktere ma uzivatel pridane do sveho seznamu
  // v pripade, ze neni uzivatel prihlasen, vrati vsechny skupiny oznacene  
  function vratVsechnySkupinyChecked() {
    $skupiny = array();
    $dotaz = query("SELECT skupina.id_skupina,id_uziv,nazev 
                    FROM skupina LEFT JOIN skupinauziv USING(id_skupina)
                    WHERE skupina.aktivni=1
                    ORDER BY nazev");
    if ($_SESSION["uid"] != 0) {
      while ($radek = mysql_fetch_array($dotaz)) {
        if ($radek["id_uziv"] == $_SESSION["uid"]) {
          $radek["checked"] = "1";
          $radek["moje"] = "1";
        }
        if (isset($skupiny[$radek["id_skupina"]])) {  // dana skupina uz je zarazena v poli
          if (isset($radek["moje"])) {                // ale moje skupina ma prednost
             $skupiny[$radek["id_skupina"]] = $radek;
          }
        }
        else {                                        // skupina jeste neni v poli
          $skupiny[$radek["id_skupina"]] = $radek;
        }
      }
    }
    else {
      while ($radek = mysql_fetch_array($dotaz)) {
        $radek["checked"] = "1";
        $skupiny[$radek["id_skupina"]] = $radek;
      }
    }
    return $skupiny;
  
  }
  // zjistuje, zda ma uzivatel administratorska prava 
  function jeAdmin() {
    $admin = false;
    if ($_SESSION["uid"] != 0) {
      pripojitDB(); 
      $dotaz = query("SELECT * FROM uziv WHERE role='Administrátor' AND uid=".mysql_real_escape_string($_SESSION["uid"]));
      $result = mysql_fetch_array($dotaz);
      if (!empty($result))
        $admin = true;    
    }
    return $admin;
  }
  
?>