<?php
  session_start();
  
  require_once("funkce.php");


  //nastaveni odkazu prihlasit/odhlasit
  $prihlaseni = loginLogout();
  
  $poleTemat = poleTemat();
  $pocetTemat = count($poleTemat);
  
  $archiv = false;
  $osobni = false;
  //nastaveni zacatku a konce formulare pro vyber temat
  if (isset($_GET["archiv"])) {
    $formSeznamZacatek = '<form class="noprint no_margin" action="index.php?archiv" method="post">';
    $archiv = true;
  }
  else if (isset($_GET["osobni"])) {
    $formSeznamZacatek = '<form class="noprint no_margin" action="index.php?osobni" method="post">';
    $osobni = true;
  }
  else {
    $formSeznamZacatek = '<form class="noprint no_margin" action="index.php" method="post" id="form_seznam">';
  }
  $formSeznamKonec = "</form>";
  
  //nastaveni popisku tlacitka vyhledavani
  if ($archiv) {
    $tlacitkoVyhledat = "Vyhledat v archivu";
  }
  else if ($osobni) {
    $tlacitkoVyhledat = "Vyhledat v osobních";
    //pokud chce uzivatel zobrazit konference aniz by byl prihlasen, bude o tom informovan
    if (!prihlasen()) {
      $info = "<h3>Pro zobrazení osobních konferencí se musíte nejprve <a href=\"login.php\">přihlásit</a>.</h3>";
    }
  }
  else {
    $tlacitkoVyhledat = "Vyhledat konferenci";
  }
  
  //zjisteni peti nejaktualnejsich konferenci
  $petNejaktualnejsich = petNejaktualnejsich();
  
  /****************************************************  SESSION  *********************************************/
  
  //predchozi typ filtru - pokud se prechazi z jednoho do druheho, urcita pole se zaskrtavaji automaticky
  $filterTypePrevious = $_SESSION["filterType"];
  //nastaveni typu filtru - kategorie / temata
  if (isset($_POST["filterType"])) {
      $filterType = $_SESSION["filterType"] = $_POST["filterType"];
  }
  elseif (isset($_SESSION["filterType"])) $filterType = $_SESSION["filterType"];
  else $filterType = "filtr_kategorii";
  

  //nastaveni sessions podle vyberu temat
  //provadi se pouze pokud je filtr temat nastaven
  if ( $filterType == "filtr_temat" ) {
    if (isset($_POST["zobraz_vse"]) || isset($_POST["hledat_vse"]) ) {
      $dotaz = query("SELECT id_tema FROM tema WHERE true");
      while($radek = mysql_fetch_array($dotaz)) {
        $_SESSION["tema_".$radek[0]] = "true";
      }
    }
    elseif (isset($_POST["zobraz_vybrane"]) || isset($_POST["search"]) && $filterTypePrevious != "filtr_kategorii" ) {
      $dotaz = query("SELECT id_tema FROM tema WHERE true");
      while($radek = mysql_fetch_array($dotaz)) {
        if (isset($_POST["tema_".$radek[0]])) {
          $_SESSION["tema_".$radek[0]] = "true";
          ulozPotomkyDoSession($radek[0], true);
        }
        else if (!$prvekNastaven[$radek[0]]) {
          $_SESSION["tema_".$radek[0]] = "false";
        }
      }
    }
    else {  //sem spada i search_externi
      //pokud filtr jeste nebyl nastaven uzivatelem rucne na strance seznamu konferenci
      if (!sessionsNastaveny()) {
        //pokud uzivatel nema nastaven svuj filtr, zobrazi se vsechna temata
        if (!maNastavenFiltr()) {
          $query_osobni = query("SELECT id_tema FROM tema WHERE true");
          while($radek_osobni = mysql_fetch_array($query_osobni)) {
            $_SESSION["tema_".$radek_osobni[0]] = "true";
          }
        }
        //pokud uzivatel ma nastaven svuj filtr, zobrazi se temata podle tohoto filtru
        else {
          $query_osobni = query("SELECT id_tema FROM tema");
          while($radek = mysql_fetch_array($query_osobni)) {
            $dotaz2 = query("SELECT interested FROM temauziv WHERE id_tema=".$radek["id_tema"]." AND uid=".mysql_real_escape_string($_SESSION["uid"])." LIMIT 1");
            $radekTemauziv  = mysql_fetch_array($dotaz2);
            if ($radekTemauziv[0]==1) {
              $_SESSION["tema_".$radek[0]] = "true";
              ulozPotomkyDoSession($radek[0], true);
            }
            else {
              $_SESSION["tema_".$radek[0]] = "false";
            }
          }
        }
      }
    }
  }
    
  //vypis temat - bud rozsireny (tj. ACM) nebo jednoduchy(jen korenova uroven)
  $onload = "onload=\"";
  $pole = array(false);
  if ($filterType == "filtr_temat") {
    $temata = "<table class=\"filtr_temat\">";
    $temata .= seznamTematRozsireny(0, 0, $pole, "", false);
    $temata .= "</table>";
  }
  elseif ($filterType == "filtr_temat_jednoduchy") {
    $temata = "<ul>";
    $temata .= seznamTemat();
    $temata .= "</ul>";
  }
  else $temata = "";
  
  //nastaveni priznaku filtrovani podle skupin
  if ( isset($_POST["filtr_skupin"]) && !isset($_POST["hledat_vse"]) && !isset($_POST["zobraz_vse"]) || 
        ($filterType == "filtr_kategorii" && $filterTypePrevious == "filtr_temat") )
      $groupsFilter = $_SESSION["groupsFilter"] = "1";
  elseif (!empty($_POST)) 
      $groupsFilter = $_SESSION["groupsFilter"] = "";
  elseif (isset($_SESSION["groupsFilter"])) 
      $groupsFilter = $_SESSION["groupsFilter"];
  else $groupsFilter = "1";
  
  //nastaveni priznaku zobrazovani jen mych skupin ve filtru
  if ( isset($_POST["filtr_skupin_zobraz_moje"]) )
      $groupsFilterShowMine = $_SESSION["groupsFilterShowMine"] = "1";
  elseif (!empty($_POST)) 
      $groupsFilterShowMine = $_SESSION["groupsFilterShowMine"] = "";
  elseif (isset($_SESSION["groupsFilterShowMine"])) 
      $groupsFilterShowMine = $_SESSION["groupsFilterShowMine"];
  else $groupsFilterShowMine = "";
  

  //ukladani skupin do session
  if ( !isset($_SESSION["skupiny"]) || empty($_SESSION["skupiny"]) ) { // skupiny jeste nejsou v session nebo je mnozina prazdna
      $_SESSION["skupiny"] = vratVsechnySkupinyChecked();
      $_SESSION["kategorie"] = vratKategorie();
  }
  else {
    // skupiny uz jsou v session nastavene, uzivatel ma povolen filtr a nechce hledat ve vsech konferencich
    if ( $groupsFilter=="1" && !isset($_POST["hledat_vse"])) {
      if (isset($_POST["skupiny"])) { // formular je odeslan s alespon jednou skupinou
         foreach ($_POST["skupiny"] as $post_skupina) { // oznac skupiny, ktere pred odeslanim formulare oznaceny nebyly
            if ( !isset($_SESSION["skupiny"][$post_skupina]["checked"]) )
               $_SESSION["skupiny"][$post_skupina]["checked"] = "1";
         }
         foreach ($_SESSION["skupiny"] as &$skupina) {  // odoznac skupiny, ktere pred odeslanim formulare oznaceny byly
            if ( isset($skupina["checked"]) ) {
              $unset = true;
              $id_skupina = $skupina["id_skupina"];
              foreach ($_POST["skupiny"] as $post_skupina) {
                if ( $post_skupina == $id_skupina ) {
                   $unset = false;
                   break;
                }
              }
              if ($unset)
                unset($skupina["checked"]); 
            }    
         }
         unset($skupina);   // znicit posledni referenci
      }
      elseif (!empty($_POST)) {  // formular byl odeslan, ale zadna skupina nebyla vybrana
         foreach ($_SESSION["skupiny"] as &$skupina) {  // odoznac vsechny skupiny
            if ( isset($skupina["checked"]) )
               unset($skupina["checked"]);
         }
         unset($skupina);   // znicit posledni referenci
      } 
    }
  }
  
  // synchronizace skupin a kategorii s DB
  if (!empty($_SESSION["skupiny"])) {
    synchronizovatSkupiny();
    synchronizovatKategorie();
  }
  
  //ukladani kategorii do session
  if ( !empty($_SESSION["kategorie"]) && $filterTypePrevious != "filtr_temat" ) {
    if ( $filterType == "filtr_kategorii" && isset($_POST["hledat_vse"]) ) {
      foreach ($_SESSION["kategorie"] as &$kat) { // oznac vsechny kategorie
        $kat["checked"] = "1";
      }
      unset($kat);   // znicit posledni referenci
    }
    // kategorie uz jsou v session nastavene, uzivatel nechce hledat ve vsech konferencich
    elseif ( !isset($_POST["hledat_vse"])) {
      if (isset($_POST["kategorie"])) { // formular je odeslan s alespon jednou kategorii
         foreach ($_POST["kategorie"] as $post_kategorie) { // oznac kategorie, ktere pred odeslanim formulare oznaceny nebyly
            if ( !isset($_SESSION["kategorie"][$post_kategorie]["checked"]) )
               $_SESSION["kategorie"][$post_kategorie]["checked"] = "1";
         }
         foreach ($_SESSION["kategorie"] as &$kat) {  // odoznac kategorie, ktere pred odeslanim formulare oznaceny byly
            if ( isset($kat["checked"]) ) {
              $unset = true;
              $id_kategorie = $kat["id_kategorie"];
              foreach ($_POST["kategorie"] as $post_kategorie) {
                if ( $post_kategorie == $id_kategorie ) {
                   $unset = false;
                   break;
                }
              }
              if ($unset)
                unset($kat["checked"]); 
            }    
         }
         unset($kat);   // znicit posledni referenci
      }
      elseif (!empty($_POST)) {  // formular byl odeslan, ale zadna kategorie nebyla vybrana
         foreach ($_SESSION["kategorie"] as &$kat) {  // odoznac vsechny kategorie
            if ( isset($kat["checked"]) )
               unset($kat["checked"]);
         }
         unset($kat);   // znicit posledni referenci
      } 
    }
  }
  
  /****************************************************************************************************************/
  /***********************************************  VYPIS KONFERENCI  *********************************************/
  /****************************************************************************************************************/
  
  //filtr podle temat
  //pokud je splnena podminka, zobrazi se naprosto vsechny konference, tedy i ty,
  //ktere z nejakeho duvodu nejsou v zadnem tematu (k tomuto by vsak bezne nemelo dochazet)
  if (isset($_POST["zobraz_vse"]) || isset($_POST["hledat_vse"]) || $filterType == "filtr_kategorii") {
    $where = " true";
  }
  else {//vyber temat podle nastaveni filtru
    $dotaz = query("SELECT id_tema FROM tema WHERE true");
    $i = 0;
    $where = " EXISTS (SELECT * FROM konftema ks WHERE ( ";
    while($radek = mysql_fetch_array($dotaz)) {
      if ($_SESSION["tema_".$radek[0]]=="true") {
        if ($i!=0) {
          $where .= " OR ";
        }
        $where .= " ks.id_tema=".$radek[0]." ";
        $i++;
      }
    }
    if ($i==0) {
      $where .= " false ";
    }
    $where .= " ) AND ks.id_konf=k.id_konf)";
  }
  
  //filtr zobrazovanych konferenci v archivu podle roku, vybraneho uzivatelem, a pripadne pouze striktni zobrazeni, 
  //tj. pouze ty archivovane konference, ktere maji prime nearchivni potomky
  if ($archiv) {
    // rok
    if (isset($_POST["archive_filter_year"])) {
      if (is_numeric($_POST["archive_filter_year"]))
        $where .= " AND (k.rok=".$_POST["archive_filter_year"].")";
      $archiveFilterYearSelected = $_POST["archive_filter_year"];
    }
    elseif (isset($_GET["year"])) {
      if (is_numeric($_GET["year"]))
        $where .= " AND (k.rok=".$_GET["year"].")";
      $archiveFilterYearSelected = $_GET["year"];
    }
    // posledni rocnik konference
    if ( isset($_POST["archive_filter_strict"]) || (isset($_GET["strict"]) && is_numeric($_GET["strict"])) || empty($_POST) && $_SESSION["archiveFilterStrictSelected"]) {
      $where .= " AND NOT EXISTS (SELECT * FROM konference potomci WHERE potomci.id_rodice=k.id_konf)";
      $archiveFilterStrictSelected = "1";
      $_SESSION["archiveFilterStrictSelected"] = true;
    }
    else {
      $archiveFilterStrictSelected = "";
      $_SESSION["archiveFilterStrictSelected"] = false;
    }
    //zjisteni vsech roku konferenci, vyskytujicich se v archivu
    $dotaz = query("SELECT DISTINCT rok FROM konference WHERE archiv=1 ORDER BY rok");
    while($radek = mysql_fetch_array($dotaz)) {
      $archiveYears[] = $radek[0];
    }
    // nastaveni priznaku, ze je vybran archiv
    $archiveSelected = "1";
  }
  else {
    $archiveSelected = $archiveFilterYearSelected = $archiveYears = $archiveFilterStrictSelected = "";
  }
  
  //filtr konferenci podle skupin, nastavenych v session
  if ( $groupsFilter=="1" && !isset($_POST["hledat_vse"]) && isset($_SESSION["skupiny"]) ) {
    $first = true;
    $checked = false;
    $where .= " AND EXISTS (SELECT * FROM skupinakonf sk WHERE ( ";
    foreach ($_SESSION["skupiny"] as $skupina) {
      if ( isset($skupina["checked"]) ) {
        if (!$first) 
          $where .= " OR ";
        $where .= " sk.id_skupina=".$skupina["id_skupina"]." ";
        $first = false;
        $checked = true;
      }
    }
    if (!$checked) $where .= "false";
    $where .= " ) AND sk.id_konf=k.id_konf)";
  }
  
  //filtr konferenci podle kategorii, nastavenych v session
  if ( $groupsFilter=="1" && $filterType == "filtr_kategorii" && isset($_SESSION["kategorie"]) ) {
    $first = true;
    $checked = false;
    $where .= " AND EXISTS (SELECT * FROM kategoriekonf kk WHERE ( ";
    foreach ($_SESSION["kategorie"] as $kat) {
      if ( isset($kat["checked"]) ) {
        if (!$first) 
          $where .= " OR ";
        $where .= " kk.id_kategorie=".$kat["id_kategorie"]." ";
        $first = false;
        $checked = true;
      }
    }
    if (!$checked) $where .= "false";
    $where .= " ) AND kk.id_konf=k.id_konf)";
  }
  /****************************************************  VYHLEDAVANI  *********************************************/
  
  //pokud je seznam zobrazovan pomoci "zobraz vybrane" nebo "zobraz vse", ukonci se zapamatovani vyhledavaneho retezce
  if (isset($_POST["zobraz_vybrane"]) || isset($_POST["zobraz_vse"]) || isset($_POST["konec_hledani"])) {
    if ($archiv) {
      $nadpis = "Archiv konferencí";
    }
    else if ($osobni) {
      $nadpis = "Seznam osobních konferencí";
    }
    else {
      $nadpis = "Seznam konferencí";
    }
  }
  //pokud se prochazi stranky nalezenych konferenci
  else if (isset($_GET["search"]) && ($_GET["search"] != "")) {
    $search = mysql_real_escape_string(htmlspecialchars($_GET["search"]));
    $hiddenSearch = '<div><input type="hidden" name="search2" value="' . $search . '" /></div>';
    if ($filterType == "filtr_temat")
      $hledatVsude = '<input class="hledani_tlacitko hledani_tlacitko1" type="submit" value=\'Hledat řetězec "' . $search . '" ve všech tématech a bez skupin\' name="hledat_vse" />';
    else
      $hledatVsude = '<input class="hledani_tlacitko hledani_tlacitko1" type="submit" value=\'Hledat řetězec "' . $search . '" v celé databázi\' name="hledat_vse" />';
    $konecHledani = '<input class="hledani_tlacitko" type="submit" value=\'Ukončit vyhledávání řetězce "' . $search . '"\' name="konec_hledani" />';
    $hledaniDiv = "<div class=\"tlacitka_hledani\">" . $hledatVsude . $konecHledani . "</div>";
    $where .= " AND (k.nazev LIKE '%" . $search . "%' OR k.zkratka LIKE '%" . $search . "%')";
    if ($archiv) {
      $nadpis = "Vyhledávání konferencí v archivu, které mají v názvu nebo ve zkratce řetězec \"" . $search . "\"";
    }
    else if ($osobni) {
      $nadpis = "Vyhledávání konferencí v osobních konferencích, které mají v názvu nebo ve zkratce řetězec \"" . $search . "\"";
    }
    else {
      $nadpis = "Vyhledávání konferencí, které mají v názvu nebo ve zkratce řetězec \"" . $search . "\"";
    }
    $poleSearch = $search;
  }
  //pokud je spusteno vyhledavani zadanim retezce do formularoveho pole z jine stranky
  else if (isset($_POST["search_externi"]) && ($_POST["search_externi"] != "")) {
    $search = mysql_real_escape_string(htmlspecialchars($_POST["search_externi"]));
    $hiddenSearch = '<div><input type="hidden" name="search2" value="' . $search . '" /></div>';
    if ($filterType == "filtr_temat")
      $hledatVsude = '<input class="hledani_tlacitko hledani_tlacitko1" type="submit" value=\'Hledat řetězec "' . $search . '" ve všech tématech a bez skupin\' name="hledat_vse" />';
    else
      $hledatVsude = '<input class="hledani_tlacitko hledani_tlacitko1" type="submit" value=\'Hledat řetězec "' . $search . '" v celé databázi\' name="hledat_vse" />';
    $konecHledani = '<input class="hledani_tlacitko" type="submit" value=\'Ukončit vyhledávání řetězce "' . $search . '"\' name="konec_hledani" />';
    $hledaniDiv = "<div class=\"tlacitka_hledani\">" . $hledatVsude . $konecHledani . "</div>";
    $where .= " AND (k.nazev LIKE '%" . $search . "%' OR k.zkratka LIKE '%" . $search . "%')";
    if ($archiv) {
      $nadpis = "Vyhledávání konferencí v archivu, které mají v názvu nebo ve zkratce řetězec \"" . $search . "\"";
    }
    else if ($osobni) {
      $nadpis = "Vyhledávání konferencí v osobních konferencích, které mají v názvu nebo ve zkratce řetězec \"" . $search . "\"";
    }
    else {
      $nadpis = "Vyhledávání konferencí, které mají v názvu nebo ve zkratce řetězec \"" . $search . "\"";
    }
    $poleSearch = $search;
  }
  //pokud je spusteno vyhledavani zadanim retezce do formularoveho pole
  else if (isset($_POST["search"]) && ($_POST["search"] != "")) {
    $search = mysql_real_escape_string(htmlspecialchars($_POST["search"]));
    $hiddenSearch = '<div><input type="hidden" name="search2" value="' . $search . '" /></div>';
    if ($filterType == "filtr_temat")
      $hledatVsude = '<input class="hledani_tlacitko hledani_tlacitko1" type="submit" value=\'Hledat řetězec "' . $search . '" ve všech tématech a bez skupin\' name="hledat_vse" />';
    else
      $hledatVsude = '<input class="hledani_tlacitko hledani_tlacitko1" type="submit" value=\'Hledat řetězec "' . $search . '" v celé databázi\' name="hledat_vse" />';
    $konecHledani = '<input class="hledani_tlacitko" type="submit" value=\'Ukončit vyhledávání řetězce "' . $search . '"\' name="konec_hledani" />';
    $hledaniDiv = "<div class=\"tlacitka_hledani\">" . $hledatVsude . $konecHledani . "</div>";
    $where .= " AND (k.nazev LIKE '%" . $search . "%' OR k.zkratka LIKE '%" . $search . "%')";
    if ($archiv) {
      $nadpis = "Vyhledávání konferencí v archivu, které mají v názvu nebo ve zkratce řetězec \"" . $search . "\"";
    }
    else if ($osobni) {
      $nadpis = "Vyhledávání konferencí v osobních konferencích, které mají v názvu nebo ve zkratce řetězec \"" . $search . "\"";
    }
    else {
      $nadpis = "Vyhledávání konferencí, které mají v názvu nebo ve zkratce řetězec \"" . $search . "\"";
    }
    $poleSearch = $search;
  }
  //pokud se meni zobrazeni seznamu vyhledanych konferenci, zapamatuje se vyhledavany retezec
  else if (isset($_POST["search2"])) {
    $hiddenSearch = '<div><input type="hidden" name="search2" value="' . $_POST["search2"] . '" /></div>';
    if ($filterType == "filtr_temat")
      $hledatVsude = '<input class="hledani_tlacitko hledani_tlacitko1" type="submit" value=\'Hledat řetězec "' . $_POST["search2"] . '" ve všech tématech a bez skupin\' name="hledat_vse" />';
    else
      $hledatVsude = '<input class="hledani_tlacitko hledani_tlacitko1" type="submit" value=\'Hledat řetězec "' . $search . '" v celé databázi\' name="hledat_vse" />';
    $konecHledani = '<input class="hledani_tlacitko" type="submit" value=\'Ukončit vyhledávání řetězce "' . $_POST["search2"] . '"\' name="konec_hledani" />';
    $hledaniDiv = "<div class=\"tlacitka_hledani\">" . $hledatVsude . $konecHledani . "</div>";
    $where .= " AND (k.nazev LIKE '%" . $_POST["search2"] . "%' OR k.zkratka LIKE '%" . $_POST["search2"] . "%')";
    if ($archiv) {
      $nadpis = "Vyhledávání konferencí v archivu, které mají v názvu nebo ve zkratce řetězec \"" . $_POST["search2"] . "\"";
    }
    else if ($osobni) {
      $nadpis = "Vyhledávání konferencí v osobních konferencích, které mají v názvu nebo ve zkratce řetězec \"" . $search . "\"";
    }
    else {
      $nadpis = "Vyhledávání konferencí, které mají v názvu nebo ve zkratce řetězec \"" . $_POST["search2"] . "\"";
    }
    $poleSearch = $_POST["search2"];
  }
  //pokud je seznam konferenci nove nacten (domovska stranka)
  else {
    if ($archiv) {
      $nadpis = "Archiv konferencí";
    }
    else if ($osobni) {
      $nadpis = "Seznam osobních konferencí";
    }
    else {
      $nadpis = "Seznam konferencí";
    }
  }
  //nastaveni vyhledavaciho pole s vyplnenou hodnotou vyhledavani
  $searchSeznam = '<input name="search" value="' . $poleSearch . '" type="text" />';
  

  /****************************************************  RAZENI  *********************************************/
  
  $trideniPole = array("zkratka", "deadline", "notification", "finalversion", "dat_zacatek", "mesto", "posprispevky");
  
  if (isset($_GET["sort"]) && is_numeric($_GET["sort"]) && abs($_GET["sort"])>0 && abs($_GET["sort"])<=7) {
    $sort = $_GET["sort"];
  }
  elseif (isset($_POST["sort"])) {
    $sort = $_POST["sort"];
    //pokud je podruhe kliknuto na razeni dle stejneho sloupce, razeni se otoci
    if (isset($_POST["sort_hidden"])) {
      if ($sort == $_POST["sort_hidden"]) {
        $sort = -$sort;
      } 
    }
  }
  else if (isset($_POST["sort_hidden"])){
    $sort = $_POST["sort_hidden"];
  }
  //bud se aplikuje razeni prednastavene v session, nebo vychozi podle zkratky
  else {
    if (isset($_SESSION["sort"])) $sort = $_SESSION["sort"];
    else $sort = 1;
  }
  //typ sipky v zavislosti na sortu
  if ($sort < 0) $sipka = "&#9660; ";
  else $sipka = "&#9650; ";
  //vysledne razeni se vzdy nastavi do session
  $_SESSION["sort"] = $sort;
  
  $sort_hidden = '<div><input type="hidden" name="sort_hidden" value="' . $sort . '" /></div>';
  $ob = $trideniPole[abs($sort)-1] . ($sort < 0 ? " DESC" : "");

  if (isset($_POST["archiv_chb"])) {
    $zobrazitArchivVOsobnich = true;
    $archivChecked = 'checked="checked"';
  }
  else {
    $zobrazitArchivVOsobnich = false;
    $archivChecked = "";
  }

  //nastaveni vypisu podle toho, zde se jedna o archiv nebo ne
  if ($archiv) {
    $where .= " AND archiv = 1";
  }
  else {
    if (!$zobrazitArchivVOsobnich) {
      $where .= " AND archiv = 0";
    }
  }
  
  //nastaveni vypisu podle toho, zde se jedna o osobni nebo ne
  if ($osobni) {
    $where .= " AND (SELECT COUNT(*) FROM osobkonf ok WHERE k.id_konf=ok.id_konf AND ok.id_uziv=".$_SESSION["uid"].")=1 ";
  }

  /****************************************************  STRANKOVANI  *********************************************/
  
  $ofs  = (isset($_GET["ofs"])   && is_numeric($_GET["ofs"])   ? $_GET["ofs"] : 0);
  
  // nastaveni vychozi hodnoty poctu zobrazovanych polozek - hodnota ulozena v session ma prednost
  if (isset($_SESSION["rows"])) $defaultRows = $_SESSION["rows"];
  else $defaultRows = 100;
  
  $rows = (isset($_GET["rows"])  && is_numeric($_GET["rows"]) && ($_GET["rows"] > 0) ? $_GET["rows"] : $defaultRows);
  $rows = (isset($_POST["rows"]) && is_numeric($_POST["rows"]) && ($_POST["rows"] > 0) ? $_POST["rows"] : $rows);
  $_SESSION["rows"] = $rows;
  
  $ofs = ($ofs%$rows!=0 ? 0 : $ofs);
  if (mysql_num_rows($dotaz=query("SELECT count(1) FROM konference k WHERE $where")) > 0) {
    $radek = mysql_fetch_array($dotaz);
    $pocetStran = ceil($radek[0]/$rows);
    // pokud odstranime posledni polozku na strance, musime se vratit na predchozi stranku
    if (($radek[0]!=0) && ($ofs >= $radek[0])) {
      $ofs = ($pocetStran - 1)*$rows;
    }
    $aktualniStrana = ceil($ofs/$rows);
  }
  $aktualniStrana = $aktualniStrana + 1;
  
  if (isset($_POST["search_externi"]) && ($_POST["search_externi"] != "")) {
    $search_get = "&amp;search=" . $_POST["search_externi"];
  }
  else if (isset($_POST["search"]) && ($_POST["search"] != "")) {
    $search_get = "&amp;search=" . $_POST["search"];
  }
  else if (isset($_POST["search2"]) && ($_POST["search2"] != "")) {
    $search_get = "&amp;search=" . $_POST["search2"];
  }
  else {
    $search_get = "";
  }
  
  if (isset($_GET["search"])) {
    $search_get = "&amp;search=" . htmlspecialchars($_GET["search"]);
  }

  //nastaveni pro strankovani v archivu
  if ($archiv) {
    $strankovaniArchivNeboOsobni = "archiv&amp;";
  }
  else if ($osobni) {
    $strankovaniArchivNeboOsobni = "osobni&amp;";
  }

  //prvni
  if ($aktualniStrana > 1) {
    $prvni = "<a href='index.php?" . $strankovaniArchivNeboOsobni. "ofs=0&amp;rows=$rows&amp;sort=$sort$search_get&amp;year=$archiveFilterYearSelected&amp;strict=$archiveFilterStrictSelected'><img src=\"graf/arrows/sipll.gif\" alt=\"sipka doleva\" />první</a>";
  }
  else {
    $prvni = "<img src=\"graf/arrows/sipll_.gif\" alt=\"sipka doleva\" />první";
  }
  
  //predchozi
  if ($aktualniStrana > 1) {
    $predchozi = "<a href='index.php?" . $strankovaniArchivNeboOsobni. "ofs=".($ofs-$rows)."&amp;rows=$rows&amp;sort=$sort$search_get&amp;year=$archiveFilterYearSelected&amp;strict=$archiveFilterStrictSelected'><img src=\"graf/arrows/sipl.gif\" alt=\"sipka doleva dvojita\" />předchozí</a>";
  }
  else {
    $predchozi = "<img src=\"graf/arrows/sipl_.gif\" alt=\"sipka doleva dvojita\" />předchozí";
  }
  
  //cisla stranek
  $cislaStranek = "";
  for ($i=0; $i < $pocetStran; $i++) {
    if ($i*$rows != $ofs) {
      $cislaStranek .= "\n&nbsp;<a href='index.php?" . $strankovaniArchivNeboOsobni. "rows=$rows&amp;ofs=" . ($i*$rows) . "&amp;sort=$sort$search_get&amp;year=$archiveFilterYearSelected&amp;strict=$archiveFilterStrictSelected'>";
    }
    else {
      $cislaStranek .= "\n&nbsp;<b style=\"color: black;\">";
    }
    $cislaStranek .= ($i+1);
    if ($i*$rows != $ofs) {
      $cislaStranek .= "</a>&nbsp;";
    }
    else {
      $cislaStranek .= "</b>&nbsp;";
    }
  }

  //dalsi
  if ($aktualniStrana < $pocetStran) {
    $dalsi = "<a href='index.php?" . $strankovaniArchivNeboOsobni. "ofs=".($ofs+$rows)."&amp;rows=$rows&amp;sort=$sort$search_get&amp;year=$archiveFilterYearSelected&amp;strict=$archiveFilterStrictSelected'>další<img src=\"graf/arrows/sipp.gif\" alt=\"sipka doprava dvojita\" /></a>";
  }
  else {
    $dalsi = "další<img src=\"graf/arrows/sipp_.gif\" alt=\"sipka doprava dvojita\" />";
  }
  
  //posledni
  if ($aktualniStrana < $pocetStran) {
    $posledni = "<a href='index.php?" . $strankovaniArchivNeboOsobni. "ofs=".($pocetStran-1)*$rows."&amp;rows=$rows&amp;sort=$sort$search_get&amp;year=$archiveFilterYearSelected&amp;strict=$archiveFilterStrictSelected'>poslední<img src=\"graf/arrows/sippp.gif\" alt=\"posledni\" /></a>";
  }
  else {
    $posledni = "poslední<img src=\"graf/arrows/sippp_.gif\" alt=\"posledni\" />";
  }
  
  //pocet polozek na strance
  $rowsSelected = $rows;
  
  /*******************************  NAPLNENI POLE S INFORMACEMI O KONFERENCICH  ***********************************/
  
  $dotazRetezec = "SELECT k.id_konf, zkratka, rok, deadline, notification, finalversion, dat_zacatek, dat_konec, mesto, stat,
                  (SELECT COUNT(*) FROM prispevek WHERE id_konf=k.id_konf AND prijat=1) AS priprispevky,
                  (SELECT COUNT(*) FROM prispevek WHERE id_konf=k.id_konf) AS posprispevky,
                  k.id_uziv, homepage, id_rodice FROM konference k WHERE $where ORDER BY $ob LIMIT $ofs,$rows";
  if (mysql_num_rows($dotaz = query($dotazRetezec)) > 0) {
    $muzeMazat = muzeMazatUpravovat();
    $advance = uzivPredstihVarovani();
    $zvyraznitUzavreneTerminy = nastavenoZvyrazneni("uzavrene_terminy");
    $zvyraznitTerminySeznam = nastavenoZvyrazneni("zvyraznit_seznam");
    $zvyraznitTerminyOsobni = nastavenoZvyrazneni("zvyraznit_osobni");
    while($radek=mysql_fetch_assoc($dotaz)) {
      $radek["odkaz"] = "info_o_konferenci.php?id=" . $radek["id_konf"];
      $radek["zkratka_rok"] = htmlspecialchars($radek["zkratka"]) . " " . $radek["rok"];
      
      // zvyraznovani blizicich se a uzavrenych terminu 
      if ( !$archiv && prihlasen() ) {
        if ( ($osobni && $zvyraznitTerminyOsobni) || (!$osobni && $zvyraznitTerminySeznam) ) {
          $notify = zkontrolujDatum($radek["deadline"], $advance); // deadline
          if ( $notify > 0 ) { 
            if ( $notify == 4 || $zvyraznitUzavreneTerminy )
              $radek["deadline_warning"] = $notify;
          }
          $notify = zkontrolujDatum($radek["dat_zacatek"], $advance); // zacatek
          if ( $notify > 0 ) { 
            if ( $notify == 4 || $zvyraznitUzavreneTerminy )
              $radek["zacatek_warning"] = $notify;
          }
          if (odeslalPrispevek($radek["id_konf"])) {
            $notify = zkontrolujDatum($radek["notification"], $advance); // notification
            if ( $notify > 0 ) { 
              if ( $notify == 4 || $zvyraznitUzavreneTerminy )
                $radek["notification_warning"] = $notify;
            }
            $notify = zkontrolujDatum($radek["finalversion"], $advance); // finalversion
            if ( $notify > 0 ) { 
              if ( $notify == 4 || $zvyraznitUzavreneTerminy )
                $radek["finalversion_warning"] = $notify;
            } 
          }
        }
      }
      // archiv - kontrola nearchivnich potomku
      else {
        $radek["maNearchivniPotomky"] = maNearchivniPotomky($radek["id_konf"]);
      }
      
      $radek["deadline"] = zmenFormatData($radek["deadline"]);
      $radek["notification"] = zmenFormatData($radek["notification"]);
      $radek["finalversion"] = zmenFormatData($radek["finalversion"]);
      $radek["termin_konani"] = zmenFormatData($radek["dat_zacatek"]) . " - " . zmenFormatData($radek["dat_konec"]);
      $radek["misto"] = htmlspecialchars($radek["mesto"]) . ", " . htmlspecialchars($radek["stat"]);
      $prijate = ($radek["priprispevky"]=="" ? "0" : $radek["priprispevky"]);
      $odeslane = ($radek["posprispevky"]=="" ? "0" : $radek["posprispevky"]);
      $prijateCelkem = $prijate;
      $odeslaneCelkem = $odeslane;
      $rodic = ($radek["id_rodice"]=="" ? "0" : $radek["id_rodice"]);
      if ($rodic != "0" && $id_konf != $id_rodice) {
        $maRodice = true;
      }
      else {
        $maRodice = false;
      }
      while ($maRodice) {
        $dotazPrispevky = query("SELECT (SELECT COUNT(*) FROM prispevek WHERE id_konf=$rodic AND prijat=1) AS prijate, 
                                  (SELECT COUNT(*) FROM prispevek WHERE id_konf=$rodic) AS odeslane, 
                                  (SELECT id_rodice FROM konference WHERE id_konf=$rodic) AS id_rodice");
        $radekPrispevky = mysql_fetch_assoc($dotazPrispevky);
        $rodic2 = ($radekPrispevky["id_rodice"]=="" ? "0" : $radekPrispevky["id_rodice"]);
        $prijateCelkem = $prijateCelkem + $radekPrispevky["prijate"];
        $odeslaneCelkem = $odeslaneCelkem + $radekPrispevky["odeslane"];
        if ($rodic2 != "0") {
          $maRodice = true;
        }
        else {
          $maRodice = false;
        }
        $rodic = $rodic2;
      }
      $radek["prispevky"] = "<a style=\"text-decoration:none\" href=\"prispevky_konference.php?id=".$radek["id_konf"]."\">".$odeslane."/".$prijate."</a>";
      $radek["prispevky"] .= "<a style=\"text-decoration:none\" href=\"prispevky_konference.php?id=".$radek["id_konf"]."&amp;all\"> (".$odeslaneCelkem."/".$prijateCelkem.")</a>";

      $poleKonferenci[] = $radek;
    }
  }
  else {
    if ($archiv) {
      $nenalezeno = "<b>V archivu nebyly nalezeny žádné konference k zobrazení.</b>";
    }
    else if ($osobni) {
      $nenalezeno = "<b>Nebyly nalezeny žádné konference k zobrazení.</b><br /><i>Do osobních konferencí lze konferenci přidat tlačítkem v informacích o konferenci.</i>";
    }
    else {
      $nenalezeno = "<b>Nebyly nalezeny žádné konference k zobrazení.</b>";
    }
  }
  
  /****************************************************  SMARTY  *********************************************/
  require('smarty.php');
  $smarty = new KonfSmarty;

  $smarty->assign("stranka", $aktualniStrana);
  $smarty->assign("pocetStran", $pocetStran);
  $smarty->assign("prvni", $prvni);
  $smarty->assign("predchozi", $predchozi);
  $smarty->assign("cisla", $cislaStranek);
  $smarty->assign("dalsi", $dalsi);
  $smarty->assign("posledni", $posledni);
  $smarty->assign("prihlaseni", $prihlaseni);
  $smarty->assign("formZacatek", $formZacatek);
  $smarty->assign("formKonec", $formKonec);
  $smarty->assign("temata", $temata);
  $smarty->assign("petNejaktualnejsich", $petNejaktualnejsich);
  $smarty->assign("poleKonferenci", $poleKonferenci);
  $smarty->assign("nadpis", $nadpis);
  $smarty->assign("hiddenSearch", $hiddenSearch);
  $smarty->assign("hledaniDiv", $hledaniDiv);
  $smarty->assign("formSeznamZacatek", $formSeznamZacatek);
  $smarty->assign("formSeznamKonec", $formSeznamKonec);
  $smarty->assign("tlacitkoVyhledat", $tlacitkoVyhledat);
  $smarty->assign("searchSeznam", $searchSeznam);
  $smarty->assign("sort_hidden", $sort_hidden);
  $smarty->assign("sipka", $sipka);
  $smarty->assign("sort", $sort);
  $smarty->assign("nenalezeno", $nenalezeno);
  $smarty->assign("info", $info);
  $smarty->assign("onload", $onload);
  $smarty->assign("osobni", $osobni);
  $smarty->assign("archivChecked", $archivChecked);
  $smarty->assign("archiveFilterYearSelected", $archiveFilterYearSelected);
  $smarty->assign("archiveFilterStrictSelected", $archiveFilterStrictSelected); 
  $smarty->assign("archiveYears", $archiveYears);
  $smarty->assign("archiveSelected", $archiveSelected);
  $smarty->assign("rowsSelected", $rowsSelected);
  $smarty->assign("filterType", $filterType);
  $smarty->assign("groupsFilter", $groupsFilter);
  $smarty->assign("groupsFilterShowMine", $groupsFilterShowMine); 
  if ( isset($_SESSION["skupiny"]) ) 
    $smarty->assign("skupiny", $_SESSION["skupiny"]);
  if ( isset($_SESSION["kategorie"]) ) 
    $smarty->assign("kategorie", $_SESSION["kategorie"]);
  
  
  if ($osobni) {
    $smarty->display("osobni.tpl");
  }
  else {
    $smarty->display("index.tpl");
  }
  
  if ($pripojeni) {
    odpojitDB($pripojeni);
  }
  
  //rekurzivni funkce, ktera nastavuje do sessions vsechny potomky rodice na true
  function ulozPotomkyDoSession($id_rodice, $hodnota) {
    global $prvekNastaven;
    $dotaz = query("SELECT id_tema FROM tema WHERE id_rodice=$id_rodice");
    while($radek = mysql_fetch_array($dotaz)) {
      if ($hodnota) {
        $_SESSION["tema_".$radek[0]] = "true";
        $prvekNastaven[$radek[0]] = true;
      }
      else {
        $_SESSION["tema_".$radek[0]] = "false";
        $prvekNastaven[$radek[0]] = true;
      }
      ulozPotomkyDoSession($radek[0], $hodnota);
    }
  }
  
  function maNastavenFiltr() {
    $vystup = false;
    if ($_SESSION["uid"]!=0) {
      $dotaz = query("SELECT uid FROM temauziv WHERE uid=".mysql_real_escape_string($_SESSION["uid"])." LIMIT 1");
      if (mysql_num_rows($dotaz)==1) {
        $vystup = true;
      }
    }
    return $vystup;
  }
  
  function sessionsNastaveny() {
    $vystup = false;
    $dotaz = query("SELECT id_tema FROM tema WHERE true");
    while($radek = mysql_fetch_array($dotaz)) {
      //protoze sessions jsou pri prihlaseni i odhlaseni nastaveny na false
      if ($_SESSION["tema_".$radek[0]] == "true") {
        $vystup = true;
        break;
      }
    }
    return $vystup;
  } 
   
   //filtr temat zobrazenych konferenci - pouze korenova uroven
   function seznamTemat() {
     $dotaz = query("SELECT id_tema, menu_zkr FROM tema WHERE id_rodice=0 ORDER BY menu_zkr");
     if (mysql_num_rows($dotaz) > 0) {
       while($radek = mysql_fetch_array($dotaz)) {
         $nazev_tematu = htmlspecialchars($radek[1]);
         $temata .= '<li><input class="tema_check" name="tema_' . $radek["id_tema"] . '" id="tema_' . $radek["id_tema"] . '" type="checkbox" value="1" ' . ($_SESSION["tema_" . $radek["id_tema"]]=="true"? 'checked="checked"': "") . '/> <label for="tema_' . $radek["id_tema"] . '">' . $nazev_tematu . "</label></li>\n";
       }
       return $temata;
     }
     else return "";
   } 

  function poleTemat() {
    $vsechnaTemata = query("SELECT id_tema, id_rodice, menu_zkr FROM `tema` ORDER BY menu_zkr");
    $i = 0;
    while($radek = mysql_fetch_array($vsechnaTemata)) {
      $pole[$i][0] = $radek["id_tema"];
      $pole[$i][1] = $radek["id_rodice"];
      $pole[$i][2] = $radek["menu_zkr"];
      $i++;
    }
    return $pole;
  }
  
  //funkce sestavujici strom pouze v PHP, tedy vsechna temata jsou nactena jednim dotazem do pole (funkci poleTemat())
  //a s tim se zde pracuje, nicmene rychlost je temer stejna jako pri sestavovani stromu pomoci mnoha MySQL dotazu,
  //takze je to zbytecne predelavat vsude
  function seznamTematRozsireny($uroven, $klic, $poleUrovni, $podtema, $zobrazenoJS) {
    global $onload, $poleTemat, $pocetTemat;
    $prehledTemat = "";
    $pocetTematUrovne = 0;
    for ($i=0; $i < $pocetTemat; $i++) {
      if ($poleTemat[$i][1] == $klic) {
        $pocetTematUrovne++;
      }
    }
    
    $pocetProjetychTematUrovne = 0;
    for ($i=0; $i < $pocetTemat; $i++) {
      if ($poleTemat[$i][1] == $klic) {
        $pocetProjetychTematUrovne++;
        if ($uroven == 0) {
          $podtema = "podtema_" . $poleTemat[$i][0];
          $zobrazenoJS = false;
        }
        
        $nazevSession = "tema_" . $poleTemat[$i][0];
        if ($_SESSION[$nazevSession] == "true") {
          $checked = 'checked="checked"';
        }
        else {
          $checked = "";
        }
        
        if ($uroven > 0) {
          $prehledTemat .= "<tr class=\"$podtema\"><td style=\"padding-left: 12px;\">";
          $input = "<input type=\"checkbox\" class=\"invertovat_a_vybrat_vse\" name=\"tema_" . $poleTemat[$i][0] . "\" id=\"tema_" . $poleTemat[$i][0] . "\" value=\"1\" $checked />";
        }
        else {
          $prehledTemat .= "<tr><td><a href=\"javascript: zobrazSkryj('$podtema');\" class=\"plus\" title=\"Rozbalit\"><img src=\"./graf/plus.gif\" alt=\"plus\" /></a>";
          $onload .= "zobrazSkryj('$podtema');";
          $input = "<input type=\"checkbox\" class=\"invertovat_a_vybrat_vse\" name=\"tema_" . $poleTemat[$i][0] . "\" id=\"tema_" . $poleTemat[$i][0] . "\" value=\"1\" $checked onclick=\"CheckPodtemata('tema_" . $poleTemat[$i][0] . "', '$podtema');\" />";
        }
        
        if ($uroven > 0) {
          for($j=1; $j < $uroven; $j++) {            
            if ($poleUrovni[$j]) {  
              $prehledTemat .= "<img width=\"9\" height=\"21\" class=\"left_\" alt=\"-\" src=\"graf/i.gif\" />";
            }
            else {
              $prehledTemat .= "&nbsp;";
            } 
          }
        
          if (($pocetTematUrovne == 1) || ($pocetProjetychTematUrovne == ($pocetTematUrovne))) {
            $prehledTemat .= "<img width=\"9\" height=\"21\" class=\"left_\" alt=\"L\" src=\"graf/l.gif\" />";
            $poleUrovni[$uroven] = false; 
          }
          else {
            $prehledTemat .= "<img width=\"9\" height=\"21\" class=\"left_\" alt=\"+\" src=\"graf/t.gif\" />";
            $poleUrovni[$uroven] = true; 
          }
        }
        
        $prehledTemat .= $input . htmlspecialchars($poleTemat[$i][2]) . "</td></tr>\n";
        $prehledTemat .= seznamTematRozsireny($uroven+1, $poleTemat[$i][0], $poleUrovni, $podtema, $zobrazenoJS);
      }
    }
    return $prehledTemat;
  }
  
  // vraci pole kategorii, ktere vznikne sjednocenim kategorii obsazenych ve skupinach v session
  function vratKategorie() {
    $kategorie = array();
    $first = true;
    $moje = false;
    $dotazKategoriiRetezec = "SELECT DISTINCT id_kategorie, zkratka 
                              FROM `kategorie` LEFT JOIN `kategorieskup` USING (id_kategorie) WHERE (";
    if ( !empty($_SESSION["skupiny"]) ) {
      foreach ($_SESSION["skupiny"] as $skupina) {
        if ( isset($skupina["moje"]) || $_SESSION["uid"] == 0 ) {               // u neprihlaseneho uzivatele se vraci vsechny kategorie
          if (!$first) 
            $dotazKategoriiRetezec .= " OR ";
          $dotazKategoriiRetezec .= "id_skupina=".$skupina["id_skupina"];
          $first = false;
          $moje = true;
        }
      }
    }
    if (!$moje) $dotazKategoriiRetezec .= " false ";
    $dotazKategoriiRetezec .= ") ORDER BY zkratka";
    
    $dotazKategorii = query($dotazKategoriiRetezec);
    while ($radek = mysql_fetch_array($dotazKategorii)) {
      $radek["checked"] = "1";
      $indexPole = $radek["id_kategorie"];
      $kategorie[$indexPole] = $radek;
    }
    return $kategorie;
  }
  
  // synchronizace skupin v session s temi v databazi
  function synchronizovatSkupiny() {
    $skupinyDB = vratVsechnySkupinyChecked();
    foreach ($skupinyDB as $id=>$skupinaDB) {
      if (isset($_SESSION["skupiny"][$id])) {                           // skupina je v session
        if ($_SESSION["skupiny"][$id]["nazev"] != $skupinaDB["nazev"])  // nazev se ruzni
          $_SESSION["skupiny"][$id]["nazev"] = $skupinaDB["nazev"];
        if ($_SESSION["uid"] != 0) {
          // prihlaseny uzivatel ji nema ve svem seznamu, ale v session je jako jeho oznacena
          if ( !isset($skupinaDB["moje"]) && isset($_SESSION["skupiny"][$id]["moje"]) ) { 
            unset ($_SESSION["skupiny"][$id]["moje"]);
            unset ($_SESSION["skupiny"][$id]["checked"]);
          }
          elseif (isset($skupinaDB["moje"])) {                          // ma ji v seznamu
            $_SESSION["skupiny"][$id]["moje"] = "1";
          }
        }
      }
      else {                                                            // neni v session 
        $_SESSION["skupiny"][$id] = $skupinaDB;
      }
    }
    foreach ($_SESSION["skupiny"] as $id=>$skupinaSE) {
      if (!isset($skupinyDB[$id]))                                      // je v session, ale nema tam byt (smazana)
        unset ($_SESSION["skupiny"][$id]);
    } 
  }
  
  // synchronizace kategorii v session s temi v databazi
  function synchronizovatKategorie() {
    $kategorieDB = vratKategorie();
    foreach ($kategorieDB as $id=>$katDB) {
      if (isset($_SESSION["kategorie"][$id])) {                           // kategorie je v session
        if ($_SESSION["kategorie"][$id]["zkratka"] != $katDB["zkratka"])  // zkratka se ruzni
          $_SESSION["kategorie"][$id]["zkratka"] = $katDB["zkratka"];
      }
      else {                                                              // neni v session 
        unset ($katDB["checked"]);                                                            
        $_SESSION["kategorie"][$id] = $katDB;
      }
    }
    foreach ($_SESSION["kategorie"] as $id=>$katSE) {
      if (!isset($kategorieDB[$id]))                                      // je v session, ale nema tam byt (smazana)
        unset ($_SESSION["kategorie"][$id]);
    }
  } 

?>