<?php
  session_start();

  require_once("funkce.php");
  
  //nastaveni pole pro vyhledavani
  $searchExterni = '<input name="search_externi" value="" type="text" />';
  //nastevni popisku tlacitka vyhledavani
  $tlacitkoVyhledat = "Vyhledat konferenci";
  //nastaveni zacatku a konce vyhledavaciho formulare
  $formHledaniZacatek = "<form action=\"index.php\" method=\"post\">";
  $formHledaniKonec = "</form>";
  $info = "";
  
  //nastaveni odkazu prihlasit/odhlasit
  $prihlaseni = loginLogout(); 
  
  //pro zjisteni, ktere polozky menu se maji zobrazit 
  $muzeSpravovatUzivatele = muzeSpravovatUzivatele();
  $muzeSpravovatTemata = muzeSpravovatTemata();
  $info = $error = "";
  $nazev = $zkratka = "";
  $uspech = false;
  $nadpis = "Editace kategorie";
  $action = "kategorie_editovat.php";
  $submitvalue = "Změnit kategorii"; 
  
  if (prihlasen()) {
    if ($muzeSpravovatTemata) {
      if (isset($_GET["id"]) && is_numeric($_GET["id"]) && ($_GET["id"] >= 0)) {  // zadane id kategorie je realne
        $dotaz = query("SELECT * FROM kategorie WHERE id_kategorie=".mysql_real_escape_string($_GET["id"])." LIMIT 1");
        $result = mysql_fetch_array($dotaz);
        if (!empty($result)) {                                                  // kategorie existuje v db
          $idKategorie = $result["id_kategorie"];                                             
          $nazev = $result["nazev"];
          $zkratka = $result["zkratka"];
          $action = "kategorie_editovat.php?id=$idKategorie";
          
          if (!empty($_POST)) {
            if (!empty($_POST["nazev"])) 
              $nazev = htmlspecialchars($_POST["nazev"]);
            else { 
              $error = "Vyplňte prosím název kategorie.<br />";
              $nazev = "";
            }
            
            if (!empty($_POST["zkratka"])) 
              $zkratka = htmlspecialchars($_POST["zkratka"]);
            else 
              $zkratka = $nazev;
              
            if (empty($error)) {
              query("UPDATE `kategorie` SET `nazev`='".mysql_real_escape_string($nazev)."', 
                                            `zkratka`='".mysql_real_escape_string($zkratka)."' 
                                            WHERE id_kategorie=".$idKategorie); 
              $info = "Kategorie '".$nazev."' byla úspěšně změněna.";
              $uspech = true;
            }
          }
        }
        else $info = "Požadovaná kategorie neexistuje.";
      }
      else $info = "Zadané ID kategorie není platné.";
    }
    else $info = "Nemáte dostatečná práva pro vytvoření nové kategorie.";
  }
  else $info = "Pro editaci kategorie se musíte nejprve <a href=\"login.php\">přihlásit</a>.";
  
  
  require("./smarty.php");
  $smarty = new KonfSmarty;
  
  $smarty->assign("prihlaseni", $prihlaseni);
  $smarty->assign("tlacitkoVyhledat", $tlacitkoVyhledat);
  $smarty->assign("formHledaniZacatek", $formHledaniZacatek);
  $smarty->assign("formHledaniKonec", $formHledaniKonec);
  $smarty->assign("searchExterni", $searchExterni);
  $smarty->assign("muzeSpravovatUzivatele", $muzeSpravovatUzivatele);
  $smarty->assign("muzeSpravovatTemata", $muzeSpravovatTemata);
  $smarty->assign("info", $info);
  $smarty->assign("error", $error);
  $smarty->assign("nazev", $nazev);
  $smarty->assign("zkratka", $zkratka);
  $smarty->assign("uspech", $uspech);
  $smarty->assign("nadpis", $nadpis);
  $smarty->assign("action", $action); 
  $smarty->assign("submitvalue", $submitvalue);

  $smarty->display("kategorie.tpl");
  
  if ($pripojeni) {
    odpojitDB($pripojeni);
  }
?>