<?php
  session_start();

  require_once("funkce.php");
  
  //nastaveni pole pro vyhledavani
  $searchExterni = '<input name="search_externi" value="" type="text" />';
  //nastevni popisku tlacitka vyhledavani
  $tlacitkoVyhledat = "Vyhledat konferenci";
  //nastaveni zacatku a konce vyhledavaciho formulare
  $formHledaniZacatek = "<form action=\"index.php\" method=\"post\">";
  $formHledaniKonec = "</form>";
  
  //nastaveni odkazu prihlasit/odhlasit
  $prihlaseni = loginLogout();

 //zjisteni, ktere polozky menu se maji zobrazit
  $muzeSpravovatUzivatele = muzeSpravovatUzivatele();
  $muzeSpravovatTemata = muzeSpravovatTemata();
  
  $kategorie = array();
  $uspech = false;
  $zpet = "skupina_seznam.php?moje";
  $nazevSkupiny = $idSkupiny = $info = "";
  
  if (prihlasen()) {
    if ($muzeSpravovatTemata) {                                                   // pokud ma uzivatel dostatecna prava
      if (isset($_GET["id"]) && is_numeric($_GET["id"]) && ($_GET["id"] >= 0)) {  // zadane id skupiny je realne
        $dotazSkup = query("SELECT * FROM skupina WHERE aktivni=1 AND id_skupina=".mysql_real_escape_string($_GET["id"]));
        $result = mysql_fetch_array($dotazSkup);
        if (!empty($result)) {                                                    // skupina existuje v db a je aktivni 
          $nazevSkupiny = $result["nazev"];
          $idSkupiny = $result["id_skupina"];
          
          if (!empty($_POST)) {
            query( "DELETE FROM `kategorieskup` WHERE id_skupina=".$_GET["id"] );  // smazat vsechny vztahy
            
            if (!empty($_POST["kategorie"])) {                                     // formular s kategoriemi byl odeslan neprazdny
              foreach ($_POST["kategorie"] as $id_kategorie) {
                query( "INSERT INTO `kategorieskup` (`id_kategorie`, `id_skupina`) 
                  VALUES (".mysql_real_escape_string($id_kategorie).",".mysql_real_escape_string($_GET["id"]).")" );
              }
            }
            
            $uspech = true;
            
            if (isset($_POST["zpet_hidden"]))
              $zpet = $_POST["zpet_hidden"];
            else
              $zpet = "skupina_seznam.php?moje";
              
          }
          else $zpet = $_SERVER["HTTP_REFERER"];
          
          $dotazKategoriiRetezec = "SELECT * FROM kategorieskup RIGHT JOIN kategorie USING (id_kategorie) ORDER BY nazev";
          $dotazKategorii = query($dotazKategoriiRetezec);
          while ($radek = mysql_fetch_array($dotazKategorii)) {
              if ($radek["id_skupina"] == $_GET["id"])
                $radek["checked"] = "1";
              if (isset($kategorie[$radek["id_kategorie"]])) {  // dana kategorie uz je zarazena v poli
                // ...ale neni oznacena, nova oznacena skupina ma prednost
                if ( !isset($kategorie[$radek["id_kategorie"]]["checked"]) && isset($radek["checked"]) ) { 
                   $kategorie[$radek["id_kategorie"]] = $radek;
                }
              }
              else {                                        // skupina jeste neni v poli
                $kategorie[$radek["id_kategorie"]] = $radek;
              }
          }
        }
        else $info = "Daná skupina neexistuje nebo ještě není schválena.";
      }
      else $info = "Zadané ID skupiny platné.";  
    }
    else $info = "Pro editaci kategorií skupiny nemáte dostatečná práva.";
  }
  else $info = "Pro editaci kategorií skupiny se musíte nejprve <a href=\"login.php\">přihlásit</a>.";
  
  
  require("./smarty.php");
  $smarty = new KonfSmarty;
  
  $smarty->assign("prihlaseni", $prihlaseni);
  $smarty->assign("info", $info);
  $smarty->assign("tlacitkoVyhledat", $tlacitkoVyhledat);
  $smarty->assign("formHledaniZacatek", $formHledaniZacatek);
  $smarty->assign("formHledaniKonec", $formHledaniKonec);
  $smarty->assign("searchExterni", $searchExterni);
  $smarty->assign("muzeSpravovatUzivatele", $muzeSpravovatUzivatele);
  $smarty->assign("muzeSpravovatTemata", $muzeSpravovatTemata);
  $smarty->assign("kategorie", $kategorie);
  $smarty->assign("idSkupiny", $idSkupiny);
  $smarty->assign("nazevSkupiny", $nazevSkupiny); 
  $smarty->assign("uspech", $uspech);
  $smarty->assign("zpet", $zpet);

  $smarty->display("kategorie_skupiny.tpl");
  
  if ($pripojeni) {
    odpojitDB($pripojeni);
  }
?>