<?php
  session_start();

  require_once("funkce.php");
  
  //nastaveni pole pro vyhledavani
  $searchExterni = '<input name="search_externi" value="" type="text" />';
  //nastevni popisku tlacitka vyhledavani
  $tlacitkoVyhledat = "Vyhledat konferenci";
  //nastaveni zacatku a konce vyhledavaciho formulare
  $formHledaniZacatek = "<form action=\"index.php\" method=\"post\">";
  $formHledaniKonec = "</form>";
  
  //nastaveni odkazu prihlasit/odhlasit
  $prihlaseni = loginLogout();

  //zjisteni peti nejaktualnejsich konferenci
  $petNejaktualnejsich = petNejaktualnejsich();
  
  $zprava = $info = $hlaska = $jmeno = $mail = $mail2 = $nadpis = "";
  $mailOdeslan = $id = -1;
  
  
  if ((isset($_GET["id"])) && (is_numeric($_GET["id"])) && ($_GET["id"] > 0)) {
    $id = $_GET["id"];
    $dotaz = query("SELECT uname FROM uziv WHERE uid = " . $id . " LIMIT 1");
    if (mysql_num_rows($dotaz) == 1) {
      $radek = mysql_fetch_array($dotaz);
      $mail2 = htmlspecialchars($radek[0]) . "@" . $_ENV["emailova_domena"];
      $nadpis = "<h2>Odeslat e-mail uživateli \"".htmlspecialchars($radek[0])."\"</h2>";
      if (prihlasen()) {
        //pokud jeste nic nebylo odeslano
        if (empty($_POST)) {
          $mailOdeslan = rand(0, 1000);
          $dotaz = query("SELECT uname FROM uziv WHERE uid = " . mysql_real_escape_string($_SESSION["uid"]) . " LIMIT 1");
          $radek = mysql_fetch_array($dotaz);
          if ($radek[0] != "") {
            $jmeno = htmlspecialchars($radek[0]);
            $mail = htmlspecialchars($radek[0]) . "@" . $_ENV["emailova_domena"];
          }
        }
        else { //pokud je neco odeslano
          //pokud již byl formulář odeslán
          if (isset($_SESSION['mailOdeslan']) && ($_SESSION['mailOdeslan'] == $_POST['mailOdeslan'])) {
            $info = "<h3>Vaše zpráva již byla odeslána.</h3>";
            $info .= "<br /><a href=\"sprava.php\"><img src=\"./graf/sipka_nalevo.gif\" alt=\"sipka\" class=\"sipka_nalevo\" />přejít na seznam uživatelů</a>";
          }
          else {
            //pokud je formulář vyplněn korektně
            if (over()) {
              $_SESSION['mailOdeslan'] = $_POST['mailOdeslan'];
              $jmeno = htmlspecialchars($_POST['jmeno']);
              $mail = htmlspecialchars($_POST['mail']);
              $mail2 = htmlspecialchars($mail2);
              $zprava = htmlspecialchars($_POST['zprava']);
              $odeslat = "Jméno odesílatele zprávy:<br />" . $jmeno . "<br /><br />E-mail odesílatele zprávy:<br />" . $mail . "<br /><br />Text zprávy:<br />" . $zprava;
              posliMailFrom("Zpráva od uživatele systému Konference", $mail2, $odeslat, $mail);
              $info = "<h3>Zpráva byla úspěšně odeslána.</h3>";
              $info .= "<br /><a href=\"sprava.php\"><img src=\"./graf/sipka_nalevo.gif\" alt=\"sipka\" class=\"sipka_nalevo\" />přejít na seznam uživatelů</a>";
            }
            else {
              $mailOdeslan = rand(0, 1000);
              $jmeno = htmlspecialchars($_POST['jmeno']);
              $mail = htmlspecialchars($_POST['mail']);
              $zprava = htmlspecialchars($_POST['zprava']);
            }
          }
        }
      }
      else {
        $info = "<h3>Pro odeslání e-mailu se musíte nejprve <a href=\"login.php\">přihlásit</a>.</h3>";
      }
    }
    else {
      $info = "<h3>Uživatel s uvedeným ID nebyl nalezen.</h3>";
    }
  }
  else {
    $info = "<h3>Neplatné ID uživatele.</h3>";
  }
  
  
  require("./smarty.php");
  $smarty = new KonfSmarty;
  
  $smarty->assign("prihlaseni", $prihlaseni);
  $smarty->assign("petNejaktualnejsich", $petNejaktualnejsich);
  $smarty->assign("mailOdeslan", $mailOdeslan);
  $smarty->assign("nadpis", $nadpis);
  $smarty->assign("jmeno", $jmeno);
  $smarty->assign("mail", $mail);
  $smarty->assign("mail2", $mail2);
  $smarty->assign("zprava", $zprava);
  $smarty->assign("info", $info);
  $smarty->assign("hlaska", $hlaska);
  $smarty->assign("tlacitkoVyhledat", $tlacitkoVyhledat);
  $smarty->assign("formHledaniZacatek", $formHledaniZacatek);
  $smarty->assign("formHledaniKonec", $formHledaniKonec);
  $smarty->assign("searchExterni", $searchExterni);
  $smarty->assign("id", $id);

  $smarty->display("mail_uzivateli.tpl");
  
  if ($pripojeni) {
    odpojitDB($pripojeni);
  }
  
  function over() {
    global $hlaska;
    $hlaska = "<h3>Zprávu nebylo možné odeslat, protože došlo k následujícím chybám:</h3>"; 
  
    $chyba_kratkost_jmeno = false;
    if ((empty($_POST['jmeno'])) || (strlen($_POST['jmeno']) < 3) ) {
      $chyba_kratkost_jmeno = true;
      $hlaska .= "<p>Jméno musí být vyplněno.</p>";
    }
  
    $chyba_mail = false;
    if (!empty($_POST['mail'])) {
      if (!preg_match("/^[a-zA-Z0-9]+[a-zA-Z0-9\._-]*[a-zA-Z0-9]+@[a-zA-Z0-9]+[a-zA-Z0-9\._-]*[a-zA-Z0-9]+\.[a-zA-Z]{2,4}$/", $_POST['mail'])) {
        $chyba_mail = true;
        $hlaska .= "<p>E-mail musí být buď prázdný, nebo korektní.</p>";
      }
    }
    
    $chyba_zprava = false;
    if (strlen($_POST['zprava']) > 400) {
      $chyba_zprava = true;
      $hlaska .= "<p>Zpráva musí být kratší než 400 znaků.</p>";
    }
    
    $chyba_kratkost = false;
    if ((empty($_POST['zprava'])) || (strlen($_POST['zprava']) < 3) ) {
      $chyba_kratkost = true;
      $hlaska .= "<p>Zpráva musí být vyplněna.</p>";
    }
    
    if ($chyba_kratkost_jmeno || $chyba_mail || $chyba_zprava || $chyba_kratkost) {
      $hlaska .= "<br/><br/>";
      return false;
    }
    else {
      $hlaska = "";
      return true;
    }
  }
?>