<?php
  require("C:/wamp/www/Konference/funkce.php");
  //vypis informaci nastane pouze v debug modu
  $debugMode = $_ENV["debug_mode"];
  
  //presune do archivu konference, ktere maji datum konce konani starsi nez 7 dni oproti aktualnimu datu
  function presunDoArchivu() {
    global $debug, $debugMode;
    $zprava = "Na základě vašeho nastavení odběru upozornění vám oznamujeme, že konference ";
    $predmet = "Přesun konference ";
    $prijemci = "";
    if ($debugMode) {
      echo "<h3>Začínám přesouvat konference do archivu...</h3>";
    }
    $dotaz = query("SELECT nazev, id_konf FROM konference WHERE archiv=false AND TO_DAYS(dat_konec) < (TO_DAYS(CURRENT_DATE()) - 7)");
    while ($radek = mysql_fetch_array($dotaz)) {
      if ($debugMode) {
        echo "Konference \"" . $radek[0] . "\" (id = " . $radek[1] . ") byla přesunuta do archivu.<br />";
      }
      $predmetFinal = $predmet . "$radek[0] do archivu";
      $zpravaFinal = $zprava . "\"$radek[0]\" byla přesunuta do archivu. Pro přístup k informacím o této konferenci či k fóru konference nyní proto použijte archiv.";
      $prijemci = zjistiOdberatele($radek[1], "konference");
      if (strlen($prijemci) > 0) {
        posliMail($predmetFinal, $prijemci, $zpravaFinal);
        if ($debugMode) {
          echo $debug;
        }
      }
    }
    query("UPDATE konference SET archiv=true WHERE archiv=false AND TO_DAYS(dat_konec) < (TO_DAYS(CURRENT_DATE()) - 7)");
    if ($debugMode) {
      echo "<h3>Přesun dokončen.</h3>";
    }
  }
  
  /*
  odesle upozorneni autorum konferenci, u kterych je nastavena periodicita;
  upozorneni posle 30 dni pred planovanym dalsim konanim konference (na zaklade data zacatku konani minule konference)*/
  function upozorneniNaObnovu() {
    global $debug, $debugMode;
    $predmet = "Upozornění na obnovení konference ";
    $zprava = "Na základě nastavení konference \"";
    $prijemce = "";
    if ($debugMode) {
      echo "<h3>Začínám posílat upozornění na obnovení konference...</h3>";
    }
    $dotaz = query("SELECT uname, nazev FROM konference LEFT JOIN uziv ON konference.id_uziv=uziv.uid WHERE (TO_DAYS(dat_zacatek) + periodicita - 30) = TO_DAYS(CURRENT_DATE()) AND periodicita!=0");
    while ($radek = mysql_fetch_array($dotaz)) {
      $prijemce = $radek[0] . "@" . $_ENV["emailova_domena"];
      $predmetFinal = $predmet . $radek[1];
      $zpravaFinal = $zprava . $radek[1] . "\" vás upozorňujeme, že se blíží termín, kdy by se tato konference měla konat znovu. Konferenci znovu vytvořte pomocí funkce \"Vytvořit nový ročník\" v archivu konferencí.";
      posliMail($predmetFinal, $prijemce, $zpravaFinal);
      if ($debugMode) {
        echo $debug;
      }
    }
    if ($debugMode) {
      echo "<h3>Odesílání dokončeno.</h3>";
    }
  }

  //odesle upozorneni s predstihem dle individualniho nastaveni uzivatelu, kteri maji konference v osobnich
  function posliUpozorneni($udalost) {
    global $debug, $debugMode;
    $predmet               = "";  
    $zprava                = "";
    $spolecna_cast_premetu = "";   
    $prijemci              = "";     
    $atribut_konference    = "";
    $spolecna_cast_premetu = "Upozornění na ";
    $platna_udalost        = true;
     
    switch($udalost) {                        
       case 0:  $atribut_konference     = "deadline";
                $atribut_osobkonf_1     = "deadlinenotify";
                $atribut_osobkonf_2     = "deadline_predstih";
                $spolecna_cast_premetu .= "deadline";
                $zprava .= "Na základě vašeho nastavení konference vás upozorňujeme, že se blíží deadline u konference \"";
                break;              
       case 1:  $atribut_konference     = "finalversion";
                $atribut_osobkonf_1     = "finalnotify";
                $atribut_osobkonf_2     = "final_predstih";
                $spolecna_cast_premetu .= "finální verzi";
                $zprava .= "Na základě vašeho nastavení konference vás upozorňujeme, že se blíží datum finální verze u konference \"";
                break;
       case 2:  $atribut_konference     = "dat_zacatek";
                $atribut_osobkonf_1     = "zacateknotify";
                $atribut_osobkonf_2     = "zacatek_predstih";              
                $spolecna_cast_premetu .= "začátek";
                $zprava .= "Na základě vašeho nastavení konference vás upozorňujeme, že se blíží začátek konference \"";
                break;
                
       default: $platna_udalost = false;
    }
    
    if ($platna_udalost) {
      if ($debugMode) {
        echo("<br /><i style=\"color: blue;\">Začátek posliUpozorneni($atribut_konference)...</i>");
      }
      $spolecna_cast_premetu .= " konference";          
      $dotazRetezec = "SELECT u.uname, k.zkratka, k.rok FROM osobkonf ok, konference k, uziv u WHERE".
                      " ok.$atribut_osobkonf_1=true AND ok.id_konf=k.id_konf AND ok.id_uziv=u.uid AND". 
                      "(TO_DAYS(k.$atribut_konference) - ok.$atribut_osobkonf_2) = TO_DAYS(CURRENT_DATE())";

      $query_upozorneni = query($dotazRetezec);
      while ($RS_upozorneni = mysql_fetch_array($query_upozorneni)) {
        $prijemci = "" ;
        $prijemci = $RS_upozorneni[0]."@".$_ENV["emailova_domena"];
        $nazevKonference = $RS_upozorneni[1] . " " . $RS_upozorneni[2];
        $predmet = $spolecna_cast_premetu . " " . $nazevKonference;
        $zpravaFinal = $zprava . $nazevKonference . "\".";
        posliMail($predmet, $prijemci, $zpravaFinal);
        if ($debugMode) {
          echo $debug;
        }
      }
      if ($debugMode) {
        echo("<br /><i style=\"color: blue;\">...konec posliUpozorneni($atribut_konference)</i><br />");
      }    
    }    
    else {
      echo("<p style=\"color: red;\">Parametr funkce posliUpozorneni() není platný.</p>");
    }                                                                                                                                                   
  }
  if ($debugMode) {
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs" lang="cs">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>Script pro planovac</title>
  </head>
  <body>
    <div>
<?php
  }
  /* ---------------TELO PROGRAMU--------------- */
  presunDoArchivu();
  upozorneniNaObnovu();
  
  if ($debugMode) {
    echo("<h3>Začínám posílat ostatni upozornění...</h3>");
  }
  
  for ($i=0; $i < 3; $i++) {
    posliUpozorneni($i);
  }
  
  if ($debugMode) {
    echo("<h3>Odesílání dokončeno.</h3>");
?>
    </div>
  </body>
</html>
<?php
}
?>
