<?php
  session_start();

  require_once("funkce.php");
  
  //nastaveni pole pro vyhledavani
  $searchExterni = '<input name="search_externi" value="" type="text" />';
  //nastevni popisku tlacitka vyhledavani
  $tlacitkoVyhledat = "Vyhledat konferenci";
  //nastaveni zacatku a konce vyhledavaciho formulare
  $formHledaniZacatek = "<form action=\"index.php\" method=\"post\">";
  $formHledaniKonec = "</form>";
  
  //nastaveni odkazu prihlasit/odhlasit
  $prihlaseni = loginLogout();
  
  //pro zjisteni, ktere polozky menu se maji zobrazit 
  $muzeSpravovatUzivatele = muzeSpravovatUzivatele();
  $muzeSpravovatTemata = muzeSpravovatTemata();
  
  $info = $nadpis = $akce_odstranit = $text = $nazev = $hiddenZpet = "";
  $sprava_menu = true;
  
  if (prihlasen()) {
    if ( isset($_GET["id"]) && is_numeric($_GET["id"]) && ($_GET["id"] >= 0) ) {  // zadane id skupiny je realne
      $dotazSkup = query("SELECT * FROM skupina WHERE id_skupina=".mysql_real_escape_string($_GET["id"])." LIMIT 1");
      $result = mysql_fetch_array($dotazSkup);
      if (!empty($result)) {
        if ( jeAdmin() || jeAutoremSkupiny($_GET["id"]) ) {
          $idSkupiny = $result["id_skupina"];
          $nazev = $result["nazev"];
          $action = "skupina_smazat.php?id=$idSkupiny";
          if (empty($_POST)) {
            $hiddenZpet = $_SERVER["HTTP_REFERER"];
            if (isset($_GET["deny"])) { 
              $nadpis = "Zamítnutí skupiny";
              $text = "Opravdu chcete zamítnout skupinu \"$nazev\"?";
            }
            else { 
              $nadpis = "Smazání skupiny";
              $text = "Opravdu chcete smazat skupinu \"$nazev\"?";
            }
          }
          else {                                                                  //pokud je neco odeslano
            if (isset($_POST["ano"])) {
              // vybrat konference, ktere jsou pouze v teto skupine
              $dotazKonferenci = query ("SELECT DISTINCT id_konf,zkratka,rok FROM `skupinakonf` JOIN konference USING (id_konf) 
                                WHERE id_skupina=$idSkupiny AND 
                                id_konf NOT IN (SELECT DISTINCT id_konf FROM  `skupinakonf` WHERE id_skupina!=$idSkupiny)");
              if (mysql_num_rows($dotazKonferenci) > 0) {
                 // nektere konference se nachazi pouze v teto skupine
                 $info = "<h3>Skupina nebyla smazána, protože následující konfence jsou umístěny pouze v ní: </h3>";
                 $info .= "<div class=\"cleaner_h20\">";
                 while ($radek = mysql_fetch_array($dotazKonferenci)) {
                    $info .= "<a href=\"info_o_konferenci.php?id=".$radek["id_konf"]." \">";
                    $info .= $radek["zkratka"]." ".$radek["rok"]."</a>&nbsp;&nbsp;";
                 }
                 $info .= "<div class=\"cleaner_h20\">";
              }
              else {
                //mazani skupiny
                query( "DELETE FROM `skupina` WHERE id_skupina=$idSkupiny" );  
                $info = "<h3>Skupina byla úspěšně smazána.</h3>";
              }
              
              if (isset($_POST["zpet_hidden"]))
                $zpet = "<br /><a href=\"".$_POST["zpet_hidden"]."\"><img src=\"./graf/sipka_nalevo.gif\" alt=\"sipka\" class=\"sipka_nalevo\" />zpět na seznam skupin</a>";
              else
                $zpet = "<br /><a href=\"skupina_seznam.php?moje\"><img src=\"./graf/sipka_nalevo.gif\" alt=\"sipka\" class=\"sipka_nalevo\" />zpět na seznam skupin</a>";
              $info .= $zpet;
            }
            if (isset($_POST["ne"])) {
              if (isset($_POST["zpet_hidden"])) 
                header("Location: ".$_POST["zpet_hidden"]);
              else
                header("Location: skupina_seznam.php?moje");
            }
          }
            
        }
        else $info = "<h3>Ke smazání skupiny nemáte dostatečná práva.</h3>";
      }
      else $info = "<h3>Požadovaná skupina neexistuje.</h3>";
    }
    else $info = "<h3>Zadané ID skupiny není platné.</h3>"; 
  }
  else $info = "<h3>Pro smazání skupiny se musíte nejprve <a href=\"login.php\">přihlásit</a>.</h3>";
  
  require("./smarty.php");
  $smarty = new KonfSmarty;
  
  $smarty->assign("prihlaseni", $prihlaseni);
  $smarty->assign("tlacitkoVyhledat", $tlacitkoVyhledat);
  $smarty->assign("formHledaniZacatek", $formHledaniZacatek);
  $smarty->assign("formHledaniKonec", $formHledaniKonec);
  $smarty->assign("searchExterni", $searchExterni);
  $smarty->assign("muzeSpravovatUzivatele", $muzeSpravovatUzivatele);
  $smarty->assign("muzeSpravovatTemata", $muzeSpravovatTemata);
  $smarty->assign("info", $info);
  $smarty->assign("nazev", $nazev);
  $smarty->assign("text", $text);
  $smarty->assign("nadpis", $nadpis);
  $smarty->assign("akce_odstranit", $akce_odstranit);
  $smarty->assign("sprava_menu", $sprava_menu); ;
  $smarty->assign("hiddenZpet", $hiddenZpet);

  $smarty->display("odstranit.tpl");
  
  
  if ($pripojeni) {
    odpojitDB($pripojeni);
  }
  
  
  // zjistuje, zda je uzivatel autorem dane skupiny
  function jeAutoremSkupiny($id) {
    $jeAutorem = false; 
    if ($_SESSION["uid"] != 0) {
      $dotaz = query("SELECT * FROM skupina WHERE id_autor=".mysql_real_escape_string($_SESSION["uid"]));
      $result = mysql_fetch_array($dotaz);
      if (!empty($result))
        $jeAutorem = true;
    }
    return $jeAutorem; 
  }
  
?>