{include file="zahlavi.tpl"}
  
<div id="main">
  <div class="sidebar noprint">
    <div class="sidebar-in">
        {include file="sprava_menu.tpl"}
    </div><!-- konec sidebar-in -->
  </div><!-- konec sidebar -->
  <div class="content"><!--vrstva pro obsah stredu-->
    <div class="content-in">
      <div class="content-in2">
        {if $info != ""}
          <h3>{$info}</h3>
        {else}
          {if $mojeSkup}
            <h2>Můj seznam skupin</h2>
            <div class="cleaner_h10"></div>
            <a href="skupina_vytvorit.php" class="tlacitko_akce" style="margin-left:19px">Vytvořit novou skupinu</a>
            {if $jeAdmin}
              <br /><a href="skupina_seznam.php?admin" class="tlacitko_akce" style="margin-left:19px">Spravovat skupiny
              (ke schválení: {if $neaktivniSkup > 0}<span style="color: red">{$neaktivniSkup}</span>{else}0{/if})
              </a>
            {/if}
            {if count($skupiny) == 0}
              <div class="cleaner_h20"></div>
              <h3>Ve svém seznamu nemáte vybrány žádné skupiny.</h3>
              <div class="cleaner_h20"></div>
              <a href="skupina_seznam.php">Zde můžete skupiny přidat</a>
            {/if}
          {elseif $adminSkup}
            <h2>Správa skupin</h2><br />
            <a href="skupina_seznam.php?moje"><img src="./graf/sipka_nalevo.gif" alt="sipka" class="sipka_nalevo" />přejít na můj seznam skupin</a><br /><br />
            {if count($skupiny) == 0}
              <h3>Nebyly nalezeny žádné skupiny.</h3>
            {/if}
          {else}
            <h2>Seznam volných skupin</h2><br />
            <a href="skupina_seznam.php?moje"><img src="./graf/sipka_nalevo.gif" alt="sipka" class="sipka_nalevo" />přejít na můj seznam skupin</a><br /><br />
            {if count($skupiny) == 0}
              <h3>Nebyly nalezeny žádné volné aktivní skupiny.</h3>
            {/if}
          {/if}
          <div class="cleaner_h20"></div>
          {if count($skupiny) > 0}
            <table class="table_basic">
              <thead>
                <tr class="textbg-3">
                  <th>Název</th>
                  <th>Popis</th>
                  <th>Datum vložení</th>
                  {if $adminSkup}
                    <th>Datum potvrzení</th>
                    <th>Admin</th>
                  {/if}
                  <th>Autor</th>
                  <th>Akce</th>
                </tr>
              </thead>
              <tfoot>
                <tr>
                  <td {if $adminSkup}colspan="7"{else}colspan="5"{/if}>
                    {if $mojeSkup}
                      <a href="skupina_seznam.php">Přidat skupinu do seznamu</a>
                    {else}
                      <a href="skupina_vytvorit.php">Vytvořit novou skupinu</a>
                    {/if}
                  </td>
                </tr>
              </tfoot>
              <tbody>
                {section name=i loop=$skupiny}
                <tr class="textbg-{if ($smarty.section.i.iteration mod 2) == 1}1{else}0{/if}{if $smarty.section.i.last} lastrow{/if}">
                  <td>
                    {$skupiny[i].nazev}
                  </td>
                  <td>
                    {if $skupiny[i].popis=="NULL"}
                      N/A
                    {else} 
                      {$skupiny[i].popis}
                    {/if}
                  </td>
                  <td class="center">
                    {$skupiny[i].dat_vlozeni}
                  </td>
                  {if $adminSkup}
                    <td class="center"> 
                      {$skupiny[i].dat_potvrzeni}
                    </td>
                    <td class="center">
                      {if $skupiny[i].admin==""}
                        N/A
                      {else}
                        {$skupiny[i].admin} 
                      {/if}
                    </td>
                  {/if}
                  <td class="center"> 
                    {$skupiny[i].uname}
                  </td>
                  <td {if $adminSkup && $skupiny[i].aktivni == "0"}class="schvalit"{/if}>
                    {if isset($skupiny[i].odebrat)}
                      <a href="skupina_odebrat.php?id={$skupiny[i].id_skupina}"><img src="./graf/odebrat.gif" alt="odebrat" class="ctverecek" />Odebrat</a>
                    {/if}
                    {if isset($skupiny[i].pridat)}
                      <a href="skupina_pridat.php?id={$skupiny[i].id_skupina}"><img src="./graf/plus.gif" alt="pridat" class="ctverecek" />Přidat</a>
                    {/if}
                    {if isset($skupiny[i].editovat)}
                      {if !$adminSkup}<br />{/if}
                      <a href="skupina_editovat.php?id={$skupiny[i].id_skupina}"><img src="./graf/edit.gif" alt="editovat" class="ctverecek" />Editovat</a>
                      <br />
                    {/if}
                    {if isset($skupiny[i].smazat)}
                      <a href="skupina_smazat.php?id={$skupiny[i].id_skupina}"><img src="./graf/odstranit.png" alt="odstranit" class="ctverecek" />Smazat</a>
                    {/if}
                    {if isset($skupiny[i].schvalit)}
                      <a href="skupina_schvalit.php?id={$skupiny[i].id_skupina}"><img src="./graf/plus.gif" alt="schvalit" class="ctverecek" />Schválit</a>
                    {/if}
                    {if isset($skupiny[i].zamitnout)}
                      <br /><a href="skupina_smazat.php?id={$skupiny[i].id_skupina}&amp;deny"><img src="./graf/odstranit.png" alt="odstranit" class="ctverecek" />Zamítnout</a>
                    {/if}
                    {if $muzeSpravovatTemata && !isset($skupiny[i].schvalit)}
                      <br /><a href="kategorie_skupiny.php?id={$skupiny[i].id_skupina}"><img src="./graf/katg.png" alt="kategorie" class="ctverecek" />Kategorie</a>
                    {/if}
                    {if $jeAdmin && !isset($skupiny[i].schvalit)}
                      <br /><a href="uzivatele_skupiny.php?id={$skupiny[i].id_skupina}"><img src="./graf/uziv.png" alt="uzivatele" class="ctverecek" />Uživatelé</a>
                    {/if}
                  </td>
                </tr>
                {/section}
              </tbody>
            </table>
          {/if}        {* konec tabulky skupin*}
        {/if}
      </div><!-- konec content-in2 -->
    </div><!-- konec content-in -->
  </div><!-- konec content -->

{include file="zapati.tpl"}